2012-03-30 01:45  asvitkine

	* src/uae_cpu/fpu/: fpu_ieee.cpp, fpu_uae.cpp:

	Add correct GPUv2 attribution to fpu_ieee.cpp and fpu_uae.cpp files, to
	match the other files under uae_cpu/fpu, which have the same history
	according to CVS.

2012-03-30 01:25  asvitkine

	* src/uae_cpu/: build68k.c, cpuopti.c, gencpu.c, m68k.h,
	  memory.cpp, memory.h, newcpu.cpp, newcpu.h, readcpu.cpp,
	  spcflags.h:

	Add GPLv2 notices to files from UAE Amiga Emulator, as retrieved from the
	COPYING file of uae-0.8.29, retrieved from http://www.amigaemulator.org/
	via uae-0.8.29.tar.bz2 (MD5 = 54abbabb5e8580b679c52de019141d61).

2012-03-30 01:10  asvitkine

	* src/slirp/: cksum.c, icmp_var.h, ip.h, ip_icmp.c, ip_icmp.h,
	  ip_input.c, ip_output.c, mbuf.h, tcp.h, tcp_input.c,
	  tcp_output.c, tcp_subr.c, tcp_timer.c, tcp_timer.h, tcp_var.h,
	  tcpip.h, udp.c, udp.h:

	Switch slirp to 3-clause BSD license. This change went in upstream to QEMU's
	version of slirp (where this code comes from), with the following checkin:

	commit 2f5f89963186d42a7ded253bc6cf5b32abb45cec
	Author: aliguori <aliguori@c046a42c-6fe2-441c-8c8c-71466251a162>
	Date:   Mon Jan 26 19:37:41 2009 +0000

	    Remove the advertising clause from the slirp license

	    According to the FSF, the 4-clause BSD license, which slirp is covered under,
	    is not compatible with the GPL or LGPL[1].

	    [1] http://www.fsf.org/licensing/licenses/index_html#GPLIncompatibleLicenses

	    There are three declared copyright holders in slirp that use the 4-clause
	    BSD license, the Regents of UC Berkley, Danny Gasparovski, and Kelly Price.
	    Below are the appropriate permissions to remove the advertise clause from slirp
	    from each party.

	    Special thanks go to Richard Fontana from Red Hat for contacting all of the
	    necessary authors to resolve this issue!

	    Regents of UC Berkley:
	    From ftp://ftp.cs.berkeley.edu/pub/4bsd/README.Impt.License.Change

	    July 22, 1999

	    To All Licensees, Distributors of Any Version of BSD:

	    As you know, certain of the Berkeley Software Distribution ("BSD") source
	    code files require that further distributions of products containing all or
	    portions of the software, acknowledge within their advertising materials
	    that such products contain software developed by UC Berkeley and its
	    contributors.

	    Specifically, the provision reads:

	    "     * 3. All advertising materials mentioning features or use of this software
	          *    must display the following acknowledgement:
	          *    This product includes software developed by the University of
	          *    California, Berkeley and its contributors."

	    Effective immediately, licensees and distributors are no longer required to
	    include the acknowledgement within advertising materials.  Accordingly, the
	    foregoing paragraph of those BSD Unix files containing it is hereby deleted
	    in its entirety.

	    William Hoskins
	    Director, Office of Technology Licensing
	    University of California, Berkeley

	    Danny Gasparovski:

	    Subject: RE: Slirp license
	    Date: Thu, 8 Jan 2009 10:51:00 +1100
	    From: "Gasparovski, Daniel" <Daniel.Gasparovski@ato.gov.au>
	    To: "Richard Fontana" <rfontana@redhat.com>

	    Hi Richard,

	    I have no objection to having Slirp code in QEMU be licensed under the
	    3-clause BSD license.

	    Thanks for taking the effort to consult me about this.

	    Dan ...

	    Kelly Price:

	    Date: Thu, 8 Jan 2009 19:38:56 -0500
	    From: "Kelly Price" <strredwolf@gmail.com>
	    To: "Richard Fontana" <rfontana@redhat.com>
	    Subject: Re: Slirp license

	    Thanks for contacting me, Richard.  I'm glad you were able to find
	    Dan, as I've been "keeping the light on" for Slirp.  I have no use for
	    it now, and I have little time for it (now holding onto Keenspot's
	    Comic Genesis and having a regular US state government position). If
	    Dan would like to return to the project, I'd love to give it back to
	    him.

	    As for copyright, I don't own all of it.  Dan does, so I will defer to
	    him.  Any of my patches I will gladly license to the 3-part BSD
	    license.  My interest in re-licensing was because we didn't have ready
	    info to contact Dan.  If Dan would like to port Slirp back out of
	    QEMU, a lot of us 64-bit users would be grateful.

	    Feel free to share this email address with Dan.  I will be glad to
	    effect a transfer of the project to him and Mr. Bellard of the QEMU
	    project.

	    Signed-off-by: Anthony Liguori <aliguori@us.ibm.com>

	    git-svn-id: svn://svn.savannah.nongnu.org/qemu/trunk@6451 c046a42c-6fe2-441c-8c8c-71466251a162

2012-03-01 04:27  asvitkine

	* src/Unix/ether_unix.cpp:

	another warning fix

2012-03-01 04:24  asvitkine

	* src/Unix/sys_unix.cpp:

	fix a warning

2012-03-01 04:22  asvitkine

	* src/Unix/sys_unix.cpp:

	rename file_handle to mac_file_handle since file_handle is defined in system headers on some systems

2012-01-14 15:45  asvitkine

	* src/SDL/video_sdl.cpp:

	fix some unused declaration warnings

2012-01-04 22:52  asvitkine

	* src/SDL/video_sdl.cpp:

	autorelease fix has landed upstream to SDL, remove our version of it

2012-01-01 23:24  asvitkine

	* src/MacOSX/clip_macosx.cpp:

	fix a warning

2012-01-01 22:32  asvitkine

	* src/Unix/vm_alloc.cpp:

	cleanup ifdef chain syntax

2011-12-31 19:47  asvitkine

	* src/Unix/vm_alloc.cpp:

	make the ifdef chain more readable

2011-12-30 20:37  asvitkine

	* src/Unix/: vm_alloc.cpp, vm_alloc.h:

	Fix CrashReporter poping up when PPC is not emulated on pre-10.5 systems.

2011-12-30 15:11  asvitkine

	* src/SDL/video_sdl.cpp:

	enable hardware cursor on SDL 1.2.15+

2011-12-29 07:38  asvitkine

	* src/: MacOSX/utils_macosx.h, MacOSX/utils_macosx.mm,
	  SDL/SDLMain.m, SDL/video_sdl.cpp, Unix/configure.ac:

	move NSAutoReleasePool_wrap() into its own file

2011-12-28 22:15  asvitkine

	* src/SDL/: video_sdl.cpp, SDLMain.m:

	fix SDL leak by wrapping video_refresh() call with an NSAutoReleasePool

2011-12-28 21:44  asvitkine

	* src/SDL/video_sdl.cpp:

	revert r1.39 - SDL 1.2.14 doesn't fix the hardware cursor :\

2011-12-28 21:35  asvitkine

	* src/SDL/video_sdl.cpp:

	re-enable hardware cursor switching for SDL 1.2.14+, since the bug appears
	to have been fixed

2011-12-28 20:22  asvitkine

	* src/: SDL/video_sdl.cpp, Unix/ether_unix.cpp:

	fix some unused var/function warnings

2011-12-27 21:01  asvitkine

	* src/Unix/Darwin/lowmem.c:

	get file size using stat, which seems to be more reliable

2011-12-27 20:50  asvitkine

	* src/Unix/Darwin/lowmem.c:

	check for MAP_FAILED result

2011-12-27 19:50  asvitkine

	* src/Unix/Darwin/lowmem.c:

	remove extra comment start

2011-12-27 07:29  asvitkine

	* src/slirp/if.c:

	fix a warning and indents

2011-03-11 16:47  asvitkine

	* src/MacOSX/sysdeps.h:

	[Joseph Oswald]
	Fix MACH timer header

2011-03-11 16:44  asvitkine

	* src/MacOSX/configure.in:

	[Joseph Oswald]
	The src/MacOSX/configure script generated by autoconf is broken (it has bad syntax after the egrep test). Applying a fix from the src/Unix fixes this.

2011-03-11 16:43  asvitkine

	* src/MacOSX/main_macosx.mm:

	[Joseph Oswald]
	Skip -psn_XXX command-line argument.

2011-03-11 16:41  asvitkine

	* src/Unix/sshpty.c:

	Fix fatal() macro

2010-11-27 00:14  asvitkine

	* src/Unix/Linux/NetDriver/sheep_net.c:

	[Amadeusz Sławiński]
	Patch fixing build on 2.6.35 and 2.6.36 kernels.

2010-10-23 21:13  asvitkine

	* src/Unix/sigsegv.h:

	Fix issue from my last change where it ended up not defining
	SIGSEGV_FAULT_ADDRESS_FAST at all on PPC builds.

2010-10-19 03:30  asvitkine

	* src/Unix/serial_unix.cpp:

	fix sentinel warning

2010-10-19 03:21  asvitkine

	* src/Unix/: configure.ac, sys_unix.cpp, vhd_unix.cpp, vhd_unix.h:

	[Geoffrey Brown]
	For my work on digital preservation it's important to have "golden"
	disk images that are not corrupted by user action.  In order to enable
	this, I've added support for VHD virtual disks (especially snapshots !)
	to the Linux and OS X versions of BasiliskII and SheepShaver.

	The support uses the open source libvhd library which is part of xen,
	available here:
	  http://www.xen.org/products/xen_source.html

	The piece that's needed is libvhd which is in tools/blktap2 and it can
	be separately compiled.
	The vhd-util enables creation of vhd disks and snapshots.

	Compiling libvhd for OS X is non-trivial and required  1) a new config
	and 2) a number of small changes to the include files and c files.
	Compiling for linux is a snap.

	I use this as follows.

	1) create my "golden image"  gold.dsk in the usual way
	2) create a snapshot:  vhd-util snapshot -n gold.vhd -p gold.dsk -m
	3) use the snapshot in my prefs file

	In my work the golden images are in an AFS system which means the golden
	images can reside at "universal" addresses.   The snapshots are initially
	tiny, so a complete virtual machine configuration -- prefs + snapshot is
	quick to download for the end user.

	The snapshots are copy on write which has the pleasant side effect of
	letting the end user keep any changes.

2010-10-16 04:11  asvitkine

	* src/MacOSX/clip_macosx.cpp:

	[C.W. Betts]
	This attached patch allows you to compile the Carbon Pasteboard services on
	Snow Leopard if you are building for 32-bit, but not if you are building for 64.

	To maintain backwards compatibility, the Carbon UI APIs aren't going to be
	stripped from the 32-bit any time soon.  However, there is no worry about
	that in 64, so they didn't include it.

2010-10-06 00:30  asvitkine

	* src/: SDL/audio_sdl.cpp, Unix/bincue_unix.cpp,
	  Unix/bincue_unix.h, Unix/configure.ac, Unix/sys_unix.cpp:

	[Geoffrey Brown]

	Add bin/cue support. The following should work:

	1) Basilisk and SheepShaver with sdl-audio and bincue on linux and os x
	2) SheepShaver with bincue and core audio on os x

2010-09-24 00:49  asvitkine

	* src/Unix/video_blit.cpp:

	[no log message]

2010-09-24 00:48  asvitkine

	* src/Unix/video_blit.cpp:

	apparently this makes newest SDL happy

2010-08-23 23:51  asvitkine

	* src/SDL/keycodes:

	[Edward Mendelson] Fix default keycode for ` key.

2010-08-22 19:43  asvitkine

	* src/slirp/: tcp_input.c, udp.c:

	Fix warning with undeclared free() with clang

2010-07-28 21:59  asvitkine

	* src/MacOSX/clip_macosx.cpp:

	Fix compile on Snow Leopard.

2010-07-28 01:10  asvitkine

	* src/Unix/configure.ac:

	Some messy changes got into last commit that weren't supposed to be there.

2010-07-28 01:07  asvitkine

	* src/Unix/configure.ac:

	Do the right thing if host-triplet is a i386-i686, but gcc compiles by
	default as x86_64. Fixes configure on Snow Leopard.

2010-07-27 22:52  asvitkine

	* src/Unix/: configure.ac, sigsegv.h:

	Fixing sigsegv on Mach x86_64 - possibly a hack; I'm not sure why the
	address returned doesn't have that bit set already.

2010-04-08 03:58  asvitkine

	* src/Unix/Linux/NetDriver/: Makefile, sheep_net.c:

	[Howard Spoelstra and Joel Mauras]
	Patches to update Linux NetDriver to work with newer kernel versions.

2010-04-08 03:53  asvitkine

	* src/Unix/sigsegv.cpp:

	[Joel Mauras]
	GCC has become too smart - we need to slice the binary created to be sure the
	address of the trap is within the test addresses. This is why each trap occurs
	between two case labels and a new section of assembly code is set in between.

2010-03-10 01:05  asvitkine

	* src/Unix/sigsegv.cpp:

	[Amadeusz Sławiński]
	fix check on gcc 4.4.3

2010-03-07 00:45  asvitkine

	* src/Unix/configure.ac:

	[Amadeusz Slawinski]
	These patches fix the issues with using newer versions of autoconf,
	which led to generating broken configure script.

2010-02-21 12:00  cebix

	* src/Unix/: main_unix.cpp, video_x.cpp:

	fixed warnings

2010-02-21 12:00  cebix

	* src/: emul_op.cpp, rom_patches.cpp, slot_rom.cpp:

	fixed const-correctness

2010-02-21 09:58  cebix

	* src/Unix/sys_unix.cpp:

	fixed missing INT_MAX

2010-02-21 09:55  cebix

	* src/: adb.cpp, Unix/clip_unix.cpp:

	fixed compiler warnings

2010-01-15 01:58  asvitkine

	* src/SDL/audio_sdl.cpp:

	Revert previous patch, as it was causing issues (as per basilisk-devel discussions).

2010-01-15 01:53  asvitkine

	* src/: Unix/prefs_editor_gtk.cpp, Windows/main_windows.cpp:

	Fix PrefsInit() calls to take correct number of parameter

2009-11-13 01:57  asvitkine

	* src/Unix/Darwin/lowmem.c:

	[ Patch from Jean-Pierre <chombier@free.fr> ]
	Make lowmem be able to deal with x86_64 binaries.

2009-11-07 08:05  nigel

	* src/MacOSX/Makefile.in:

	Make a few sections more like Unix/Makefile.in to simplify future resynchs -
	includes fixes so that it will actually build again. Some whitespace fixes.

2009-11-07 07:41  nigel

	* src/MacOSX/Makefile.in:

	A few more fixes to thoroughly clean

2009-11-07 07:19  nigel

	* src/MacOSX/Makefile.in:

	After universal binary build changes, repair the clean rules

2009-11-06 21:33  nigel

	* src/MacOSX/: PrefsEditor.mm, prefs_macosx.cpp:

	Allow linking after prefs API changes from 3 months ago.

2009-10-20 01:55  asvitkine

	* src/Unix/Linux/NetDriver/sheep_net.c:

	[Joel Mauras]
	Patch for network suppor on 2.6 Linux Kernel.

2009-10-18 16:21  asvitkine

	* src/AmigaOS/main_amiga.cpp:

	fix PrefsInit on amiga

2009-10-18 01:22  asvitkine

	* src/MacOSX/clip_macosx.cpp:

	trying to get slightly better clip behaviour - swap the data back after
	giving it to the host OS, and don't clear clipboard every time as some
	apps will put many varieties of the same data in succession...
	however, a better fix would be to patch the ROM ZeroScrap function in a
	similar way as we patch GetScrap/PutScrap

2009-10-08 09:20  nigel

	* src/MacOSX/Emulator.mm:

	Another build fix for changed Prefs methods

2009-10-08 08:56  nigel

	* src/MacOSX/main_macosx.mm:

	Re-synch with latest main_unix.cpp to work around method changes in LoadPrefs()
	and PrefsInit(). Fixes build error reported by Jean-Jacques Cortes.

2009-09-21 03:33  asvitkine

	* src/: AmigaOS/main_amiga.cpp, BeOS/main_beos.cpp,
	  Windows/main_windows.cpp, dummy/xpram_dummy.cpp:

	Fix builds on platforms that may have gotten broken due to my vmdir changes.

2009-08-21 17:39  asvitkine

	* src/Unix/timer_unix.cpp:

	Change #include <mach/mach_host.h> to #include <mach/mach.h>

2009-08-17 20:42  asvitkine

	* src/Unix/: sysdeps.h, timer_unix.cpp:

	[Charles Srstka]
	Attached is a set of patches to port the precise timer that is currently used in the Linux and BeOS builds of SheepShaver to Mac OS X (and any other Mach-based operating systems).

	Currently, the Linux build uses the clock_gettime() function to get nanosecond-precision time, and falls back on gettimeofday() if it is not present. Unfortunately, Mac OS X does not currently support clock_gettime(), and gettimeofday() has only microsecond granularity. The Mach kernel, however, has a clock_get_time() function that does very nearly the same thing as clock_gettime(). The patches to BasiliskII cause the timing functions such as timer_current_time() to use clock_get_time() instead of gettimeofday() on Mach-based systems that do not support clock_gettime().

	The changes to SheepShaver involve the precise timer. The existing code for Linux uses pthreads and real-time signals to handle the timing. Mac OS X unfortunately does not seem to support real-time signals, so Mach calls are again used to suspend and resume the timer thread in order to attempt to duplicate the Linux and BeOS versions of the timer. The code is somewhat ugly right now, as I decided to leave alone the pre-existing style of the source file, which unfortunately involves #ifdefs scattered throughout the file and some duplication of code. A future patch may want to clean this up to separate out the OS-specific code and put it all together at the top of the file. However, for the time being, this seems to work.

	This has not been extensively tested, because I have not been able to get my hands on a good test-case app for the classic Mac OS that would run inside the emulator and try out the timer. However, performance does seem to be better than with the pre-existing code, and nothing seems to have blown up as far as I can tell. I did find a game via a Google search -  Cap'n Magneto - that is known to have problems with Basilisk/SheepShaver's legacy 60 Hz timer, and the opening fade-to-color for this game appears to run much more smoothly with the precise timer code in place.

2009-08-11 07:43  asvitkine

	* src/Unix/vm_alloc.cpp:

	[Michael Schmitt]
	SheepShaver includes the C errno string in many error messages. One case is when it calls the memory allocation routines in the Basilisk II vm_alloc.cpp program.

	This works when the memory allocation routine uses functions that set errno (such as mmap or malloc). For example, running SheepShaver on a Linux hosts produces meaningful error messages.

	The problem is that when run on an OS X host, the memory allocation uses Mach routines such as vm_allocate, which do not set errno.

	So when SheepShaver reported the error, it used a stale value of errno, which happened to be 17. The result was an extremely misleading error message: "Cannot map RAM: File already exists".

	The fix is to change vm_alloc so that it translates Mac return codes into POSIX errno values.

	It also initializes errno to 0 at the start of the memory allocation routine, so that no matter what path it takes, it won't return a stale value.

2009-07-23 19:19  asvitkine

	* src/: Windows/main_windows.cpp, Windows/prefs_editor_gtk.cpp,
	  Windows/prefs_windows.cpp, Windows/xpram_windows.cpp,
	  include/main.h, include/prefs.h, include/xpram.h, main.cpp,
	  prefs.cpp, xpram.cpp, BeOS/xpram_beos.cpp, MacOSX/main_macosx.mm,
	  Unix/main_unix.cpp, Unix/prefs_unix.cpp, Unix/xpram_unix.cpp:

	BasiliskII side of changes to support .sheepvm bundles for SheepShaver

2009-04-14 15:17  asvitkine

	* src/Windows/clip_windows.cpp:

	[Patch by Kelvin Delbarre]
	Fixes copy/paste errors in the Windows version of SheepShaver, wherein pasted
	text would have a trailing null character or extra garbage after the end.

2009-04-13 23:13  asvitkine

	* src/Unix/sigsegv.cpp:

	windows fix try#2

2009-04-13 19:57  asvitkine

	* src/Unix/sigsegv.cpp:

	make sigsegv work better with cygwin

2009-03-03 08:14  asvitkine

	* src/SDL/video_sdl.cpp:

	[patch by Dave Vasilevsky]
	Fix for bug: SheepShaver compiled with VOSF off will not display
	fullscreen on OS X. The VM boots, but the display is entirely black.
	This was expected, I suppose, since video_refresh_dga() didn't
	actually attempt to draw anything!

	The patch fixes this. Notes:
	* video_refresh_window() now takes an argument of type driver_base,
	since nothing specific to driver_window was used
	* video_refresh_dga() can now call video_refresh_window_static()
	* update_display_static_bbox() now respects the destination having a
	different bytes-per-row from the source
	* fullscreen modes are now created for all depths

2009-03-03 08:04  asvitkine

	* src/: Unix/Makefile.in, SDL/SDLMain.h, SDL/SDLMain.m,
	  Unix/configure.ac:

	[patch by Mike Sliczniak]

	Here is a patch to allow compiling of SS and B2 with an SDL Framework. You can
	get this by downloading from:

	http://www.libsdl.org/release/SDL-1.2.13.dmg

	Here is how I tested on an intel 32-bit mac with Mac OS X 10.5.6:

	SS ./autogen.sh --disable-standalone-gui --enable-vosf --enable-sdl-framework --enable-sdl-framework-prefix=/Users/mzs/Library/Frameworks --enable-sdl-video --disable-sdl-audio --enable-addressing=real
	--without-esd --without-gtk --without-mon --without-x

	SS /autogen.sh --disable-standalone-gui --enable-vosf --disable-sdl-framework --disable-sdl-video --disable-sdl-audio --enable-addressing=real --without-esd --without-gtk --without-mon --with-x

	B2 ./autogen.sh --disable-standalone-gui --enable-vosf --enable-sdl-framework --enable-sdl-framework-prefix=/Users/mzs/Library/Frameworks --enable-sdl-video --enable-sdl-audio --enable-addressing=real --without-esd --without-gtk --without-mon --without-x --enable-jit-compiler

	B2 ./autogen.sh --disable-standalone-gui --enable-vosf --disable-sdl-framework --disable-sdl-video --disable-sdl-audio --enable-addressing=real --with-esd --without-gtk --without-mon --with-x --enable-jit-compiler

	(esound does not really work on mac, it needs some better coreaudio patches.)

	configure.ac for SS has two little additional fixes so that the Cocoa prefs gui
	does not get built if you are building for X11 and so that you can use esd, sdl,
	or coreaudio for sound.

2009-03-03 08:01  asvitkine

	* src/uae_cpu/memory.h:

	change #else #if into #elif in case both are defined

2009-02-19 07:09  asvitkine

	* src/Unix/video_x.cpp:

	[Patch by Mike Sliczniak]
	I was testing some other SS patches and I noticed that when I ran an X11
	build of SS there were not all the video modes I expected in the the
	control strip. Mac OS X 10.5 changed the form of the DISPLAY environment
	variable. The reason for this is that the DISPLAY variable looks like
	this in Leopard:

	/tmp/launch-XXXXXX/:0

	The Xs are like in mktemp.

2009-02-19 06:52  asvitkine

	* src/Unix/: Makefile.in, cpr.sh:

	[patch from Mike Sliczniak]
	Here is a patch that has a shell script cpr.sh to recursively copy directories but
	discarding things that cause problems at least on 10.4 when making the .app bundles.

2009-02-19 06:42  asvitkine

	* src/SDL/audio_sdl.cpp:

	[patch by Mike Sliczniak]
	This patch helps to keep the audio from breaking-up on slow machines when using
	SDL audio. On those slow machines you do still get the break-up every so often
	but the sound tends not to break-up nearly as often. It is much better on the
	ears. Notably often the system beeps do not have a pause in them.
	Slow machine is <= 1 GHz G4.

2009-02-11 20:44  asvitkine

	* src/Unix/: sigsegv.cpp, sigsegv.h:

	move sigsegv_info_t declaration to header

2009-02-11 19:23  asvitkine

	* src/Unix/sigsegv.cpp:

	[Patch from Mike Sliczniak]

	This first patch gets B2 and SS to build under Leopard and Tiger.

	I tested this on a 32-bit intel 10.5.6 mac like so:

	B2
	./autogen.sh --disable-standalone-gui --enable-vosf --enable-sdl-video --enable-sdl-audio --enable-addressing=real --without-esd --without-gtk --without-mon --without-x

	SS
	./autogen.sh --disable-standalone-gui --enable-vosf -enable-sdl-video --disable-sdl-audio --enable-addressing=real --without-esd --without-gtk --without-mon --without-x --enable-jit

	There is also a little tweak so that you can use sdl audio in SheepShaver when building for Mac OS X.

2008-12-09 18:03  asvitkine

	* src/: MacOSX/Emulator.h, MacOSX/Makefile.in, MacOSX/configure.in,
	  Unix/Makefile.in, Unix/configure.ac:

	some changes to make Basillisk build better on Leopard

2008-12-09 17:28  asvitkine

	* src/MacOSX/: BasiliskII.icns, English.lproj/InfoPlist.strings:

	Add missing MacOSX icons file. Fix character encoding of InfoPlist.strings,
	so that the copyright symbol shows up correctly in the Basillisk about box.

2008-10-01 10:34  cebix

	* README:

	fixed the "smart questions" link

2008-07-20 07:38  asvitkine

	* src/MacOSX/sys_darwin.cpp:

	[patch from Kelvin Delbarre]
	Previously, SheepShaver would usually hang if it was unable to access the ROM
	file on startup, due to a race between media_poll_func() and DarwinSysExit().
	This change eliminates the race by ensuring that media_poll_func() always ends
	up waiting in CFRunLoopRun(), which allows us to terminate the polling thread
	in a consistent way.

2008-07-20 07:33  asvitkine

	* src/SDL/video_sdl.cpp:

	[patch from Kelvin Delbarre]
	This fixes the mapping of SDL mouse-button numbers to MacOS/ADB mouse-button numbers,
	to correct the reversal of the middle and right buttons. Most useful in conjunction
	with a multi-button mouse enabler such as TheMouse2B:

	http://hyperarchive.lcs.mit.edu/HyperArchive/Archive/cfg/themouse-2b-11.hqx

	... which can turn a right-click into a control-click.

2008-06-28 18:36  asvitkine

	* src/cdrom.cpp:

	[patch from Kelvin Delbarre]
	The CDROM status call "WhoIsThere" (csCode 97) is now implemented. Apart from
	eliminating "WARNING: Unknown CDROMStatus(97)" complaints from the console log,
	this does not appear to have had any effects whatsoever.

	A typo in the implementation of the CDROM status call "GetCDFeatures" has been
	corrected per Technical Note DV22:
		http://developer.apple.com/technotes/dv/dv_22.html

2008-06-25 02:52  asvitkine

	* src/SDL/video_sdl.cpp:

	[patch from Kelvin Delbarre]
	Software cursor mode is now supported, although currently the existing hardware
	cursor mode is used whenever possible. (Software mode will be used if you are
	running with a recent version of SDL's Quartz video driver, since a bug in SDL
	1.2.11 and later prevents the hardware cursor from working properly with that
	driver.)

	In hardware cursor mode, the hot-spot is now determined heuristically. Formerly
	it could not be determined and was always (1,1), an annoyance for many cursors
	other than the arrow.

	In hardware cursor mode, the cursor will now be hidden when requested by the
	emulated OS (such as when you are typing in a text field).

	In hardware cursor mode, some cursor image formats that the code does not handle
	correctly will now be rejected, causing the emulated OS to revert temporarily to
	software cursor mode. Formerly you would just end up with random garbage for a
	cursor. This typically happened for grayscale or color cursors; rejecting images
	with rowBytes != 2 eliminates the worst cases.

2008-06-20 00:47  asvitkine

	* src/MacOSX/extfs_macosx.cpp:

	[patch from Kelvin Delbarre] Typo fix.

2008-06-20 00:45  asvitkine

	* src/SDL/video_sdl.cpp:

	[patch from Kelvin Delbarre] If you move the mouse cursor in and out of the
	SheepShaver window a number of times (somewhere around 30 or 40 times will do
	it), SheepShaver appears to lock up. This occurs because SDL posts application
	activate/deactivate events to its event queue when the mouse moves in/out of the
	SheepShaver window, but these events are never consumed, and as a result, the
	event queue fills up. Thereafter, no new events can be posted, and user inputs
	are ignored. The fix is to consume SDL_ACTIVEEVENT in handle_events().

2008-06-20 00:39  asvitkine

	* src/extfs.cpp:

	[patch from Kelvin Delbarre] Fix file corruption experienced when doing random-access
	file I/O to the external filesystem. The application-specified ioPosMode parameter must
	be masked off appropriately in extfs.cpp:fs_set_fpos(), as is done elsewhere in the file.

2008-02-16 22:15  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	Cope with assembler updates.

2008-02-16 22:14  gbeauche

	* src/uae_cpu/compiler/: codegen_x86.h, test_codegen_x86.cpp:

	Use D suffix for 64-bit real, even though L is the actual GNU assembler suffix.

2008-02-16 19:01  gbeauche

	* src/uae_cpu/compiler/: codegen_x86.h, test_codegen_x86.cpp:

	Add FPU instructions.

2008-02-12 14:42  gbeauche

	* src/uae_cpu/compiler/: codegen_x86.h, test_codegen_x86.cpp:

	Add MMX instructions

2008-02-12 09:55  gbeauche

	* src/uae_cpu/compiler/test_codegen_x86.cpp:

	- Fix tests for 32-bit code generation
	- Simplify parse_imm() and factor out failure messages to show_instruction()

2008-02-12 00:45  gbeauche

	* src/uae_cpu/compiler/test_codegen_x86.cpp:

	Fix decoding of 64-bit values on 32-bit hosts. Improve register decoding speed
	by more than 2x, aka use a big switch/tree to lookup the register ID from string.

2008-02-11 19:05  gbeauche

	* src/uae_cpu/compiler/: codegen_x86.h, test_codegen_x86.cpp:

	Fix and add other SSE conversion instructions.

2008-02-11 17:17  gbeauche

	* src/uae_cpu/compiler/test_codegen_x86.cpp:

	Add more tests in mem,reg cases: scale factor 8, base-only (e.g. mov (%breg),%dreg). Don't test for %rip relative addressing yet, need to improve the parser first.

2008-02-11 16:50  gbeauche

	* src/uae_cpu/compiler/codegen_x86.h:

	Use symbolic constants for Jcc and SETcc instructions. Don't emit extraneous REX bits for JMP and CALL instructions.

2008-02-11 16:13  gbeauche

	* src/uae_cpu/compiler/: codegen_x86.h, test_codegen_x86.cpp:

	- Fix CMPSD, COMISS, COMISD, UCOMISS, UCOMISD, MOVD/MOVQ %xmm,%reg
	- Rename X86_SSE_CC_NE to X86_SSE_CC_NEQ (match Intel reference manual)
	- Rename MOVDLX to MOVDXD (%Xmm register as Destination)
	- Rename MOVDQX to MOVQXD (%Xmm register as Destination)
	- Rename MOVDXL to MOVDXS (%Xmm register as Source)
	- Rename MOVDXQ to MOVQXS (%Xmm register as Source)

2008-02-11 13:21  gbeauche

	* src/uae_cpu/compiler/test_codegen_x86.cpp:

	Enable/disable some tests at compile time. Show status while verifying hundred thousands variants.

2008-02-11 10:14  gbeauche

	* src/uae_cpu/compiler/test_codegen_x86.cpp:

	Fix for newer binutils (2.17). Skip extraneous REX prefix (FIXME?) in disassembly,
	fix decoding for pushq/popq.

2008-02-04 01:02  nigel

	* src/MacOSX/sys_darwin.cpp:

	Remove a few 'warning: NULL used in arithmetic'

2008-02-04 01:00  nigel

	* src/MacOSX/main_macosx.mm:

	Add a dummy Screen_fault_handler so this builds again,
	whitespace changes, set a working directory other than /,
	allow the file ROM to be opened from the bundle.

2008-01-20 22:24  gbeauche

	* src/Unix/sigsegv.cpp:

	64-bit Mach exceptions support. Note that mach_exc_server() et al. must be
	explicitly generated from mig. The advantage of that is to provide a "fast"
	path for x86_64 on Leopard too (fault address in code[1]).

	By "fast", this means +33% faster wrt. explicitly thread_get_state() but
	still pretty slow (40 usec/fault). This is on par with the i386 code path though.

2008-01-20 17:09  gbeauche

	* src/Unix/sigsegv.cpp:

	Add support for Windows/ia64.

2008-01-20 11:52  gbeauche

	* src/Unix/video_vosf.h:

	Err, restore a reasonnable value for the emulators. ;-)

2008-01-20 11:51  gbeauche

	* src/Unix/video_vosf.h:

	Arrangements for the SIGSEGV perf tester.

2008-01-20 00:39  gbeauche

	* src/Unix/sigsegv.cpp:

	HPPA support.

2008-01-20 00:38  gbeauche

	* src/Unix/vm_alloc.cpp:

	HP-UX does support 32-bit memory mappings.

2008-01-19 22:27  gbeauche

	* src/Unix/sigsegv.cpp:

	Add support for HP-UX/ia64. It would be best to use libunwind so that to
	handle stacked registers access with ease...

2008-01-19 22:25  gbeauche

	* src/Unix/sigsegv.cpp:

	Use fixed-size integer types, especially for 64-bit quantities. HP-UX for IPF
	is essentially an ILP32 platform but machine registers are 64-bit wide. Make
	IA64_SET_GR() set the NaT bit at the same time as the register value.

2008-01-17 23:19  gbeauche

	* src/Unix/vm_alloc.cpp:

	Fix build on 64-bit Vista.

2008-01-16 22:36  gbeauche

	* src/Unix/: vm_alloc.cpp, vm_alloc.h:

	Wrap the Windows write-watch API.

2008-01-14 19:29  gbeauche

	* src/Unix/sigsegv.cpp:

	Fix build on MacOS X Leopard.

	Leopard kernel faster? This is pure marketing hype. For 32-bit applications,
	Mach exception recovery is 60% slower. For 64-bit applications, this is up
	to 40% faster though. In any case, MacOS X remains pretty slow wrt. Linux...

2008-01-12 23:01  gbeauche

	* src/Unix/sigsegv.cpp:

	64-bit Windows support

2008-01-12 21:43  gbeauche

	* src/Unix/vm_alloc.cpp:

	LLP64 fixes (64-bit Windows)

2008-01-07 22:44  gbeauche

	* src/Unix/sigsegv.cpp:

	Make it possible to override the Mach fault recovery scheme through an
	environment variable: SIGSEGV_MACH_FAULT. It can be set to "direct" to
	assume the fault address comes from code[1] argument, or "slow" to use
	the slow path through thread_get_status(EXCEPTION_STATE)->faultvaddr.

2008-01-06 17:22  gbeauche

	* src/Unix/sigsegv.cpp:

	The Linux kernel actually allows to restart execution from the specified slot
	in the bundle. This is faster and more accurate as this avoids emulation.

	Also clean-up code so that to prepare the use of lib uaccess on hpux/ia64.
	XXX: this will need explicit use of uint64_t to define registers because
	HP/UX is ILP32 capable and all registers are 64-bit capable so "unsigned long"
	won't fit.

2008-01-06 16:36  gbeauche

	* src/Unix/sigsegv.cpp:

	Further comment the ia64 decoder and (minimal) emulator.

2008-01-06 16:25  gbeauche

	* src/Unix/sigsegv.cpp:

	Add initial support for instruction skipping on Linux/ia64. It was more
	complex than expected but it was fun to play with. Who designed this ISA?
	I'd love to see how the decoder is implemented in HW, by all means it is
	not "simplified" unless I missed some pattern...

2008-01-06 16:19  gbeauche

	* src/Unix/sigsegv.cpp:

	Hack around over-optimized labels-as-values extension from GCC.

2008-01-06 16:10  gbeauche

	* src/Unix/: sigsegv.cpp, sigsegv.h:

	ISO C++ conformance fixes: remove superfluous coma at the end of enum definitions.

2008-01-06 05:14  nigel

	* src/MacOSX/: ToDo.html, Versions.html:

	Corrent HTML for the accent on Gwenolé's name

2008-01-05 08:35  gbeauche

	* src/Unix/sigsegv.cpp:

	Don't clobber "sip" arg from our sigsegv_info wrapper (renamed to SIP).

2008-01-02 23:19  nigel

	* src/MacOSX/0_HOW_TO_BUILD.txt:

	Replace mention to 1_prepare_files.sh script with discrete commands

2008-01-01 21:48  gbeauche

	* src/uae_cpu/compiler/codegen_x86.h:

	Add macros for SSSE3 instructions encoding (PSHUFB in particular).

2008-01-01 09:40  gbeauche

	* README, src/adb.cpp, src/audio.cpp, src/cdrom.cpp, src/disk.cpp,
	  src/emul_op.cpp, src/ether.cpp, src/extfs.cpp,
	  src/macos_util.cpp, src/main.cpp, src/prefs.cpp,
	  src/prefs_items.cpp, src/rom_patches.cpp, src/rsrc_patches.cpp,
	  src/scsi.cpp, src/serial.cpp, src/slot_rom.cpp, src/sony.cpp,
	  src/timer.cpp, src/user_strings.cpp, src/video.cpp,
	  src/xpram.cpp, src/AmigaOS/audio_amiga.cpp,
	  src/AmigaOS/clip_amiga.cpp, src/AmigaOS/ether_amiga.cpp,
	  src/AmigaOS/extfs_amiga.cpp, src/AmigaOS/main_amiga.cpp,
	  src/AmigaOS/prefs_amiga.cpp, src/AmigaOS/prefs_editor_amiga.cpp,
	  src/AmigaOS/scsi_amiga.cpp, src/AmigaOS/serial_amiga.cpp,
	  src/AmigaOS/sys_amiga.cpp, src/AmigaOS/sysdeps.h,
	  src/AmigaOS/timer_amiga.cpp, src/AmigaOS/user_strings_amiga.cpp,
	  src/AmigaOS/user_strings_amiga.h, src/AmigaOS/video_amiga.cpp,
	  src/AmigaOS/xpram_amiga.cpp, src/BeOS/about_window.cpp,
	  src/BeOS/about_window.h, src/BeOS/audio_beos.cpp,
	  src/BeOS/clip_beos.cpp, src/BeOS/ether_beos.cpp,
	  src/BeOS/extfs_beos.cpp, src/BeOS/main_beos.cpp,
	  src/BeOS/prefs_beos.cpp, src/BeOS/prefs_editor_beos.cpp,
	  src/BeOS/scsi_beos.cpp, src/BeOS/serial_beos.cpp,
	  src/BeOS/sys_beos.cpp, src/BeOS/sysdeps.h,
	  src/BeOS/timer_beos.cpp, src/BeOS/user_strings_beos.cpp,
	  src/BeOS/user_strings_beos.h, src/BeOS/video_beos.cpp,
	  src/BeOS/xpram_beos.cpp, src/BeOS/SheepDriver/sheep_driver.h,
	  src/BeOS/SheepNet/sheep_net.cpp, src/BeOS/SheepNet/sheep_net.h,
	  src/MacOSX/Controller.h, src/MacOSX/Controller.mm,
	  src/MacOSX/Emulator.h, src/MacOSX/Emulator.mm,
	  src/MacOSX/EmulatorView.h, src/MacOSX/EmulatorView.mm,
	  src/MacOSX/PrefsEditor.h, src/MacOSX/PrefsEditor.mm,
	  src/MacOSX/audio_defs_macosx.h, src/MacOSX/audio_macosx.cpp,
	  src/MacOSX/clip_macosx.cpp, src/MacOSX/config_macosx.h,
	  src/MacOSX/extfs_macosx.cpp, src/MacOSX/macos_util_macosx.h,
	  src/MacOSX/main_macosx.h, src/MacOSX/main_macosx.mm,
	  src/MacOSX/misc_macosx.h, src/MacOSX/misc_macosx.mm,
	  src/MacOSX/prefs_macosx.cpp, src/MacOSX/sys_darwin.cpp,
	  src/MacOSX/sysdeps.h, src/MacOSX/video_macosx.h,
	  src/MacOSX/video_macosx.mm, src/SDL/audio_sdl.cpp,
	  src/SDL/video_sdl.cpp, src/Unix/audio_oss_esd.cpp,
	  src/Unix/clip_unix.cpp, src/Unix/ether_unix.cpp,
	  src/Unix/extfs_unix.cpp, src/Unix/main_unix.cpp,
	  src/Unix/posix_sem.cpp, src/Unix/prefs_editor_gtk.cpp,
	  src/Unix/prefs_unix.cpp, src/Unix/rpc.h, src/Unix/rpc_unix.cpp,
	  src/Unix/serial_unix.cpp, src/Unix/sigsegv.cpp,
	  src/Unix/sigsegv.h, src/Unix/sys_unix.cpp, src/Unix/sysdeps.h,
	  src/Unix/timer_unix.cpp, src/Unix/user_strings_unix.cpp,
	  src/Unix/user_strings_unix.h, src/Unix/video_blit.cpp,
	  src/Unix/video_blit.h, src/Unix/video_vosf.h,
	  src/Unix/video_x.cpp, src/Unix/vm_alloc.cpp, src/Unix/vm_alloc.h,
	  src/Unix/xpram_unix.cpp, src/Unix/FreeBSD/scsi_freebsd.cpp,
	  src/Unix/FreeBSD/scsidump.cpp, src/Unix/Irix/audio_irix.cpp,
	  src/Unix/Linux/scsi_linux.cpp,
	  src/Unix/Solaris/audio_solaris.cpp, src/Windows/cd_defs.h,
	  src/Windows/clip_windows.cpp, src/Windows/ether_windows.cpp,
	  src/Windows/extfs_windows.cpp, src/Windows/kernel_windows.cpp,
	  src/Windows/kernel_windows.h, src/Windows/main_windows.cpp,
	  src/Windows/posix_emu.cpp, src/Windows/posix_emu.h,
	  src/Windows/prefs_editor_gtk.cpp, src/Windows/prefs_windows.cpp,
	  src/Windows/serial_windows.cpp, src/Windows/sys_windows.cpp,
	  src/Windows/sysdeps.h, src/Windows/timer_windows.cpp,
	  src/Windows/user_strings_windows.cpp,
	  src/Windows/user_strings_windows.h, src/Windows/util_windows.cpp,
	  src/Windows/util_windows.h, src/Windows/xpram_windows.cpp,
	  src/Windows/b2ether/multiopt.h, src/Windows/b2ether/packet32.cpp,
	  src/Windows/b2ether/inc/b2ether_hl.h,
	  src/Windows/cdenable/cache.cpp, src/Windows/cdenable/cache.h,
	  src/Windows/cdenable/cdenable.h,
	  src/Windows/cdenable/eject_nt.cpp,
	  src/Windows/cdenable/eject_nt.h, src/Windows/cdenable/ntcd.cpp,
	  src/Windows/cdenable/ntcd.h, src/Windows/router/arp.cpp,
	  src/Windows/router/arp.h, src/Windows/router/dump.cpp,
	  src/Windows/router/dump.h, src/Windows/router/dynsockets.cpp,
	  src/Windows/router/dynsockets.h, src/Windows/router/ftp.cpp,
	  src/Windows/router/ftp.h, src/Windows/router/icmp.cpp,
	  src/Windows/router/icmp.h, src/Windows/router/iphelp.cpp,
	  src/Windows/router/iphelp.h, src/Windows/router/ipsocket.cpp,
	  src/Windows/router/ipsocket.h, src/Windows/router/router.cpp,
	  src/Windows/router/router.h, src/Windows/router/router_types.h,
	  src/Windows/router/tcp.cpp, src/Windows/router/tcp.h,
	  src/Windows/router/udp.cpp, src/Windows/router/udp.h,
	  src/Windows/router/mib/interfaces.cpp,
	  src/Windows/router/mib/interfaces.h,
	  src/Windows/router/mib/mibaccess.cpp, src/dummy/audio_dummy.cpp,
	  src/dummy/clip_dummy.cpp, src/dummy/ether_dummy.cpp,
	  src/dummy/prefs_dummy.cpp, src/dummy/prefs_editor_dummy.cpp,
	  src/dummy/scsi_dummy.cpp, src/dummy/serial_dummy.cpp,
	  src/dummy/user_strings_dummy.cpp, src/dummy/xpram_dummy.cpp,
	  src/include/adb.h, src/include/audio.h, src/include/audio_defs.h,
	  src/include/cdrom.h, src/include/clip.h, src/include/debug.h,
	  src/include/disk.h, src/include/emul_op.h, src/include/ether.h,
	  src/include/ether_defs.h, src/include/extfs.h,
	  src/include/extfs_defs.h, src/include/macos_util.h,
	  src/include/main.h, src/include/prefs.h,
	  src/include/prefs_editor.h, src/include/rom_patches.h,
	  src/include/rsrc_patches.h, src/include/scsi.h,
	  src/include/serial.h, src/include/serial_defs.h,
	  src/include/slot_rom.h, src/include/sony.h, src/include/sys.h,
	  src/include/timer.h, src/include/user_strings.h,
	  src/include/version.h, src/include/video.h,
	  src/include/video_defs.h, src/include/xpram.h,
	  src/native_cpu/cpu_emulation.h, src/powerrom_cpu/cpu_emulation.h,
	  src/powerrom_cpu/powerrom_cpu.cpp, src/uae_cpu/basilisk_glue.cpp,
	  src/uae_cpu/cpu_emulation.h,
	  src/uae_cpu/compiler/codegen_x86.cpp,
	  src/uae_cpu/compiler/codegen_x86.h,
	  src/uae_cpu/compiler/compemu.h,
	  src/uae_cpu/compiler/compemu_fpp.cpp,
	  src/uae_cpu/compiler/compemu_support.cpp,
	  src/uae_cpu/compiler/flags_x86.h, src/uae_cpu/fpu/core.h,
	  src/uae_cpu/fpu/exceptions.cpp, src/uae_cpu/fpu/exceptions.h,
	  src/uae_cpu/fpu/flags.cpp, src/uae_cpu/fpu/flags.h,
	  src/uae_cpu/fpu/fpu.h, src/uae_cpu/fpu/fpu_ieee.h,
	  src/uae_cpu/fpu/fpu_uae.h, src/uae_cpu/fpu/fpu_x86.cpp,
	  src/uae_cpu/fpu/fpu_x86.h, src/uae_cpu/fpu/impl.h,
	  src/uae_cpu/fpu/mathlib.cpp, src/uae_cpu/fpu/mathlib.h,
	  src/uae_cpu/fpu/rounding.cpp, src/uae_cpu/fpu/rounding.h,
	  src/uae_cpu/fpu/types.h:

	Happy New Year!

2007-12-31 18:07  gbeauche

	* src/Unix/sigsegv.cpp:

	Fix instruction skipping on MacOS X in the fast path case.

2007-12-31 06:59  gbeauche

	* src/Unix/sigsegv.cpp:

	Add support for 64-bit MacOS X for PowerPC (untested beyond "it compiles").

2007-12-30 12:11  gbeauche

	* src/Unix/sigsegv.cpp:

	According to kernel sources, that is XNU 344.49 (10.2.8), XNU 517.12.7 (10.3.9),
	XNU 792.21.3 (10.4.10) and XNU 1228 (10.5.0), exception handler code[1] always
	contains the fault address nowadays. So make it the default fast path but keep
	provisions to check that at run-time first.

	This yields a nearly 4x improvement in SIGSEGV recovery but MacOS X is still
	suboptimal wrt. Linux, so VOSF is still not possible with frameskip == 0.

	XXX: the ppc kernel had bugs that caused DAR (put into code[1]) to be incorrectly
	decoded. This would need a broader test audience or more careful audit of the
	sources changes.

2007-12-30 09:15  gbeauche

	* src/MacOSX/extfs_macosx.cpp:

	More overrides for MacOS X.

2007-12-30 08:47  gbeauche

	* src/: MacOSX/main_macosx.mm, Unix/main_unix.cpp,
	  Unix/video_vosf.h, Windows/main_windows.cpp:

	Sync with the new SIGSEGV API.

2007-12-30 08:45  gbeauche

	* src/Unix/: sigsegv.cpp, sigsegv.h:

	Improve API for systems that require explicit calls to functions to retrieve
	the memory addresses that triggered a SIGSEGV (e.g. MacOS X).

2007-11-03 16:36  gbeauche

	* src/slirp/: VERSION, tcp.h, tcp_subr.c, udp.c:

	Update to slirp sources from QEMU 0.9.0:
	- fix UDP (Jason Wessel)
	- enable TCP_NODELAY for slirp redirection (Daniel Jacobowitz)

2007-11-03 11:31  gbeauche

	* src/Unix/ether_unix.cpp:

	Don't raise SIGPIPE, let errno be set to EPIPE. i.e. this fixes slirp ethernet
	mode with no listening port on the remote host.

2007-11-03 11:11  gbeauche

	* src/slirp/: VERSION, bootp.c, ip.h, ip_icmp.c, libslirp.h,
	  main.h, misc.c, slirp.c, slirp_config.h, socket.c, tcp_subr.c,
	  udp.c:

	Update to slirp sources from QEMU 0.8.2:
	- set slirp client hostname
	- fix slirp redirection on systems without a useful host IP address
	- separate alias_addr (10.0.2.2) from our_addr (Ed Swierk)
	- fix 32+ KB packets handling (Ed Swierk)
	- fix UDP broadcast translation error
	- solaris port (Ben Taylor)

2007-11-03 10:01  gbeauche

	* src/slirp/VERSION:

	Add VERSION file so that to track differences from "upstream" slirp sources, i.e. QEMU.

2007-11-03 09:59  gbeauche

	* src/extfs.cpp:

	Host OS name representation must be large enough to handle any kind of native
	encoding (e.g. UTF-8 on MacOS X).

2007-11-01 15:33  gbeauche

	* src/: MacOSX/Makefile.in, MacOSX/extfs_macosx.cpp,
	  MacOSX/extfs_macosx.h, MacOSX/extfs_macosx.mm, Unix/configure.ac:

	Rewrite ExtFS support for MacOS X. This implementation uses xattrs (metadata)
	on Tiger+ to store FInfo and FXInfo. Otherwise, plain old .finfo/ helpers are
	used. "Safe" flags and fields are always synchronized to/from MacOS X.

	BTW, CFString leak was fixed at the same time.

2007-07-28 15:45  asvitkine

	* src/: prefs.cpp, include/prefs.h:

	support for prefs stuff

2007-06-30 08:00  gbeauche

	* src/uae_cpu/gencpu.c:

	Fix xBCD instruction for 68040 emulation: the NV flags shall not be affected.

2007-06-30 07:33  gbeauche

	* src/MacOSX/video_macosx.h:

	Use NSIMAGE graphics mode for MacOS X on Intel platforms for now. Otherwise
	it's crashing in some Apple code.

2007-06-29 16:53  gbeauche

	* src/uae_cpu/compiler/: compemu.h, gencomp.c:

	Fix LSL & LSR instructions so that they preserve the X flags when the
	shift count is 0. Likewise for ASR + another improvement to avoid shifting
	by halves (propagated bit is reset to original's when necessary).

2007-06-29 16:36  gbeauche

	* src/uae_cpu/compiler/: codegen_x86.cpp, compemu.h,
	  compemu_support.cpp:

	Implement CMOV.B and CMOV.W translations. Only the latter has a native
	x86 equivalent however.

2007-06-29 16:32  gbeauche

	* src/uae_cpu/: gencpu.c, readcpu.cpp, readcpu.h,
	  compiler/gencomp.c:

	More human readable instruction names (from e-uae).

2007-06-16 07:24  gbeauche

	* src/Unix/video_vosf.h:

	Improve heuristic for VOSF profitability: we should not spend more than
	the half of a video interrupt quantum for updating the screen. Also improve
	the wording of the result.

2007-06-16 06:21  gbeauche

	* src/Unix/sigsegv.cpp:

	Add Darwin/x86_64 support. Fix EDX register index for i386 insn decoder.

2007-06-15 22:54  gbeauche

	* src/: MacOSX/Makefile.in, MacOSX/configure.in,
	  MacOSX/config_macosx.h, Unix/Darwin/lowmem.c:

	Fix REAL_ADDRESSING mode on MacOS X, aka move Mach defines to config_macosx.h
	and fix lowmem (BLESS) to handle other-endian binaries.

2007-06-15 21:46  gbeauche

	* src/MacOSX/: Makefile.in, configure.in:

	Disable cxmon by default for MacOS X builds. Add hackery to cross-compile
	a working 10.2/ppc binary.

2007-06-15 17:11  gbeauche

	* src/MacOSX/: Makefile.in, config_macosx.h, configure.in:

	Enable universal builds with --enable-universal

	Move arch-dependent definitions to config_macosx.h, i.e. make them compile
	time instead of configure time. Support IEEE FPU emulation core only.

2007-06-15 10:11  gbeauche

	* src/MacOSX/: Makefile.in, configure.in:

	Fix cxmon files inclusion. Drop support for non ppc & x86 MacOS X arches.
	Make JIT files & defs selection at build-time, not configure-time (FATs).

	NOTE: be careful, larger changes are yet to come.

2007-06-15 09:16  gbeauche

	* src/MacOSX/: 1_prepare_files.sh, Makefile.in, configure.in:

	Build MacOS X binaries only from the command line. Prepare the configure
	scripts as follows: [NO_CONFIGURE=1] ../Unix/autogen.sh

	Second round will be to build FAT binaries.

2007-06-15 08:10  gbeauche

	* src/uae_cpu/newcpu.cpp:

	Fix MOVEC for 68020/68030 emulation (MSP & ISP are supported control regs).

2007-06-15 08:09  gbeauche

	* src/uae_cpu/: gencpu.c, compiler/compemu_support.cpp:

	Fix JIT for 68020/68030 emulation mode.

2007-06-15 07:55  gbeauche

	* src/uae_cpu/compiler/compemu_support.cpp:

	Add support for comma-separated elements in "jitblacklist" item.

2007-06-14 14:45  gbeauche

	* TODO, src/SDL/video_sdl.cpp, src/Unix/video_x.cpp:

	Workaround video mode switch problems. IOW, make sure to always allocate
	the frame buffer at the same base address.

2007-06-13 16:11  gbeauche

	* src/MacOSX/prefs_macosx.cpp:

	Handle "idlewait" option.

2007-06-13 16:10  gbeauche

	* src/MacOSX/Emulator.mm:

	Raise INTFLAG_1HZ in RTCInterrupt()

2007-06-13 15:57  gbeauche

	* src/uae_cpu/: memory.cpp, memory.h:

	Remove dead code, B2 doesn't use valid_address()

2007-06-13 13:27  gbeauche

	* src/Unix/autogen.sh:

	Fix autogen.sh to automatically include the local m4 directory, used as a
	fallback if system-wide defs are not found.

2007-06-07 11:52  gbeauche

	* src/Unix/configure.ac:

	Add MIPS files from cxmon.

2007-06-05 13:15  gbeauche

	* src/Unix/sigsegv.cpp:

	Arrangements for Linux/mips.

2007-02-18 21:11  asvitkine

	* src/MacOSX/clip_macosx.cpp:

	byteswap styled text (clipboard) on little endian host OS X

2007-01-24 05:42  asvitkine

	* src/slirp/tftp.c:

	fix compile warning & potential buffer overflow at the same time

2007-01-24 02:37  asvitkine

	* src/: extfs.cpp, MacOSX/extfs_macosx.mm, Unix/extfs_unix.cpp,
	  Windows/extfs_windows.cpp, include/extfs.h:

	macroman_to_host_encoding - so it works the other way around too

2007-01-22 17:14  asvitkine

	* src/: extfs.cpp, MacOSX/extfs_macosx.mm, Unix/extfs_unix.cpp,
	  Windows/extfs_windows.cpp, include/extfs.h:

	Since Guest and Host OS may use different text encodings for filenames,
	I am adding functionality to support this. For the moment, I've only
	added the platform-specific conversion for MacOSX (ie: UTF8 -> MacRoman),
	but others can be added later.

2007-01-22 14:58  asvitkine

	* src/MacOSX/sys_darwin.cpp:

	cleanup: use get_device_path() since we already have it, instead of doing
	         the same thing manually with duplicated code

2007-01-22 14:48  asvitkine

	* src/slirp/: mbuf.c, misc.c, sbuf.c, socket.c, tcp_subr.c:

	fix compile warnings w/ slirp caused by not including stdlib

2007-01-22 00:36  asvitkine

	* src/SDL/video_sdl.cpp:

	Ok, now this works properly (Fix resolution switching without affecting audio).

2007-01-22 00:32  asvitkine

	* src/SDL/video_sdl.cpp:

	back out my previous change, it breaks audio

2007-01-21 19:33  asvitkine

	* src/SDL/video_sdl.cpp:

	Fix for resolution switching corruption under SDL (Mac OS X).

2007-01-21 18:06  asvitkine

	* src/MacOSX/sys_darwin.cpp:

	ignore disks on which you can't get size

2007-01-21 17:40  asvitkine

	* src/disk.cpp:

	some documentation of status codes not yet implemented

2007-01-21 17:27  asvitkine

	* src/MacOSX/sys_darwin.cpp:

	newline in error msgs

2007-01-21 17:10  asvitkine

	* src/Unix/Darwin/lowmem.c:

	fix compile warnings on OS X

2007-01-21 17:04  asvitkine

	* src/MacOSX/extfs_macosx.mm:

	Byteswapping fixes for Mac OS X x86

2007-01-14 13:23  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	Fix CMOV emulation on x86_64 in case the CPU doesn't support that instruction
	(which is very unlikely).

2007-01-14 13:07  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	The older code generator is now deprecated on x86-32 too.

2007-01-14 12:23  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	Use SAHF_SETO_PROFITABLE wherever possible on x86-64, it's faster. This can't
	be the default because some very ancient CPUs don't support LAHF in long mode

2007-01-13 18:21  gbeauche

	* src/: MacOSX/configure.in, MacOSX/main_macosx.mm,
	  Unix/configure.ac, Unix/main_unix.cpp, Unix/vm_alloc.cpp,
	  Unix/vm_alloc.h, Windows/configure.ac, Windows/main_windows.cpp,
	  uae_cpu/compiler/codegen_x86.cpp,
	  uae_cpu/compiler/compemu_support.cpp:

	Remove the 33-bit addressing hack as it's overly complex for not much gain.
	Rather, use an address override prefix (0x67) though Intel Core optimization
	reference guide says to avoid LCP prefixes. In practise, impact on performance
	is measurably marginal on e.g. Speedometer tests.

2007-01-13 17:21  gbeauche

	* src/uae_cpu/basilisk_glue.cpp:

	Fix 64-bit builds in REAL_ADDRESSING mode with gcc4.1.

2006-08-01 03:31  nigel

	* src/MacOSX/audio_macosx.cpp:

	Do'h. Checked in and shipped a DEBUG=1. Thanks to Steve Green for his fast eyes.

2006-07-31 11:10  nigel

	* src/MacOSX/ToDo.html:

	Clarify CD insertion state, add widescreen suggestion

2006-07-31 10:51  nigel

	* src/MacOSX/: Info.plist, Versions.html:

	Final doco changes before a new release

2006-07-31 10:10  nigel

	* src/MacOSX/ToDo.html:

	Sound done, VOSF pointless, Cut/paste half working, CD insert

2006-07-31 08:52  nigel

	* src/MacOSX/BasiliskII.xcode/project.pbxproj:

	Use Gwenole's clip_macosx.cpp instead of the dummy version

2006-07-31 08:47  nigel

	* src/MacOSX/: 1_prepare_files.sh, Makefile.in,
	  BasiliskII.xcode/project.pbxproj:

	ether_unix.cpp somehow pulls something in that needs mem_banks.
	If it isn't compiled in this directory, the wrong config.h is used.

2006-07-29 02:24  nigel

	* src/MacOSX/BasiliskII.xcode/project.pbxproj:

	Project file updates for the new audio source files.

2006-07-28 13:42  nigel

	* src/MacOSX/: MacOSX_sound_if.cpp, MacOSX_sound_if.h:

	Working audio output by Daniel Sumorok.
	Not quite the way I wanted to do it but it will do for now.
	(on a real Mac, the real audio hardware should be able to pull/grab the data
	 from our buffers - an extra thread with its own set of buffers is wasteful!)

2006-07-28 13:28  nigel

	* src/MacOSX/configure.in:

	Resync with latest src/Unix/configure.ac

2006-07-28 13:18  nigel

	* src/MacOSX/: Makefile.in, audio_macosx.mm:

	Giving up on the Objective-C version, also need to remove it from the makefile

2006-07-28 13:15  nigel

	* src/MacOSX/: AudioBackEnd.cpp, AudioBackEnd.h, AudioDevice.cpp,
	  AudioDevice.h, audio_macosx.cpp:

	Working audio output by Daniel Sumorok.
	Not quite the way I wanted to do it but it will do for now.
	(on a real Mac, the real audio hardware should be able to pull/grab the data
	 from our buffers - an extra thread with its own set of buffers is wasteful!)

2006-07-23 10:20  gbeauche

	* src/uae_cpu/compiler/codegen_x86.h:

	icc9.1 & gcc4.1 warning fixes

2006-07-19 21:31  gbeauche

	* src/Unix/: sigsegv.cpp, sigsegv.h:

	A few fixlets to the SIGSEGV library:
	- Don't export transfer types definitions (formerly used by older API)
	- Handle ADD instructions in ix86_skip_instruction() (generated by icc 9.1)
	- Use "%p" format for EIP/RIP addresses

2006-07-19 21:23  gbeauche

	* src/Unix/vm_alloc.cpp:

	Fix remove_shm_range() to actually return something

2006-07-19 21:22  gbeauche

	* src/Unix/configure.ac:

	Fix 33-bit addressing mode check when compiling with icc 9.1

2006-07-17 04:07  gbeauche

	* src/uae_cpu/compiler/codegen_x86.h:

	Add LEALQmr, EMMS, SSE CMP and a series of new SSE opcodes (auto-generated)

2006-07-14 16:53  gbeauche

	* src/uae_cpu/compiler/codegen_x86.h:

	Add more SSE templates for new SheepShaver's code generator -- though it
	should be made independent of this file.

2006-07-14 09:09  gbeauche

	* src/uae_cpu/compiler/codegen_x86.h:

	Run-time assembler fixes:
	- Check for RIP register only in 64-bit mode
	- Add missing macros and arguments (BT*im)
	- MOVSWQ/MOVZWQ are 64-bit mode instructions only

2006-05-25 05:03  nigel

	* src/MacOSX/: Makefile.in, BasiliskII.xcode/project.pbxproj:

	libgenemu can't find regflags in the XCode built newcpu.o,
	so we compile it from the makefile into the lib, and not in the project

2006-05-14 17:27  gbeauche

	* src/slirp/: if.c, ip_input.c, slirp.c:

	Merge from the QEMU tree:
	- Fix IP packet re-assembly logic (Ed Swierk)
	- Suppress unaligned accesses (Fabrice Bellard)

2006-05-14 16:13  gbeauche

	* src/Windows/prefs_editor_gtk.cpp:

	Support up to 1GB in SheepShaver for Windows now.

2006-05-14 14:11  gbeauche

	* src/SDL/video_sdl.cpp:

	Windows apparently needs an extra mouse event to make the new cursor image
	visible.

2006-05-14 13:49  gbeauche

	* src/SDL/video_sdl.cpp:

	Fix build on Windows (<malloc.h> for alloca())

2006-05-14 11:58  nigel

	* src/MacOSX/: Makefile.in, BasiliskII.xcode/project.pbxproj:

	Compile the CPU emulator in the makefile, so that it picks up configure-
	generated #defines that are needed for running on X86 (vs PPC) emulator

2006-05-14 10:17  nigel

	* src/MacOSX/EmulatorView.mm:

	Some windowed graphics drawing methods cause the snapshot code to fail
	if you have changed the depth since boot (seems to be something strange
	with the parameters that I still haven't worked out). If this happens,
	we now put a suggested workaround in the warning message.

2006-05-14 08:32  gbeauche

	* src/: SDL/video_sdl.cpp, Unix/video_vosf.h:

	Fix NQD bounds checking -- don't overwrite the CLEAR Page Guard.

2006-05-14 07:11  gbeauche

	* src/Unix/video_vosf.h:

	Fix page alignment

2006-05-13 16:58  gbeauche

	* src/SDL/video_sdl.cpp:

	NQD dirty boxes, SDL backend.

	This reduces the number of Screen_fault_handler() calls by 80%. i.e. VOSF
	is now viable on this turtle MacOS X. Besides, since there is no buffer
	comparison, idle sleep can really be effective. SheepShaver in idle mode
	on my PBG4 now goes below 8% of CPU resources instead of 70-80% with
	bounding boxes based video refreshes.

	Caveat: if your program doesn't use standard MacOS routines that call NQD,
	then you can expect slower (visual) performance. However, I do think the
	new default behavior (VOSF+NQD) is the most common.

2006-05-13 16:48  gbeauche

	* src/Unix/video_vosf.h:

	Use NQD dirty boxes, VOSF backend
	+ make video_vosf_profitable() NQD accel aware
	+ call vm_protect() only if PFLAG_CLEAR(page)

2006-05-11 07:51  gbeauche

	* src/SDL/video_sdl.cpp:

	Introduce a new video refresh function that uses smaller bounding boxes.

	This does not improve graphics performance but helps CPU because it reduces
	the number of bytes transfered to actual screen. I saw an improvement by up
	to 26% in frameskip 4 800x600x16 but also a hit by 3% with frameskip 0.

	The next step is to use NQD bounding boxes to help detecting dirty areas.

	So far, this is the best I can do without VOSF working (MacOS X performance
	bugs -- pitifully slow Mach syscalls)

2006-05-09 21:41  gbeauche

	* src/SDL/video_sdl.cpp:

	SDL Video updates:
	- Properly handle migration from "screenmodes" and "windowmodes" to "screen"
	- Fix has_mode() logic to really test for actual mode availability. i.e.
	  no longer start in large screen mode if user specified a max size.

2006-05-09 06:24  gbeauche

	* src/Unix/sigsegv.cpp:

	MacOS X exception handling updates:
	- Call user handler for KERN_INVALID_ADDRESS too (SIGBUS)
	- Check for VALID_THREAD_STATE_FLAVOR in forward_exception()
	- Return KERN_FAILURE if forward_exception() got an unknown behavior code

2006-05-08 16:56  gbeauche

	* src/: MacOSX/main_macosx.mm, Unix/main_unix.cpp,
	  Windows/main_windows.cpp, uae_cpu/compiler/compemu_support.cpp:

	Fix for LAZY_FLUSH_ICACHE_RANGE. Blocks are indexed by native addresses.

2006-05-08 15:22  gbeauche

	* src/Unix/prefs_editor_gtk.cpp:

	Adapt for new functions (DarwinSysInit() & DarwinSysExit())

2006-05-08 12:15  gbeauche

	* src/: MacOSX/ToDo.html, MacOSX/sys_darwin.cpp, Unix/sys_unix.cpp,
	  Windows/sys_windows.cpp, include/sys.h:

	Rewrite MacOS X CD-ROM support.

	Other bugs fixed:
	- CD-ROM media are polled and now can be changed without rebooting
	- Buffer overflow, memory leak and extra wait in CD-ROM ejection code

2006-05-05 07:37  gbeauche

	* src/Unix/m4/gtk.m4:

	fix underquoted definition warning

2006-05-05 06:00  gbeauche

	* src/Unix/Darwin/gtk-osx.patch:

	Add another NULL pointer check

2006-05-05 05:56  gbeauche

	* src/Unix/Darwin/gtk-osx-loop.patch:

	remove

2006-05-05 05:56  gbeauche

	* src/Unix/Darwin/gtk-osx.patch:

	updates

2006-05-02 19:49  gbeauche

	* src/Unix/vm_alloc.cpp:

	fix rev 1.22 commit for windows (extraneous return -1 left)

2006-05-02 05:36  gbeauche

	* src/Unix/: Makefile.in, configure.ac:

	Don't build a built-in GUI if --enable-standalone-gui was requested.

	The following configurations were tested:
	./configure --without-mon --with-gtk=gtk1 --enable-jit-compiler	  [B.GTK1]
	./configure --without-mon					  [B.GTK2]
	./configure --without-mon --enable-standalone-gui --without-gtk	  [no GUI]
	./configure --without-mon --enable-standalone-gui --with-gtk=gtk1 [S.GTK1]
	./configure --enable-jit-compiler --enable-standalone-gui	  [S.GTK2]

2006-05-01 23:09  gbeauche

	* src/Unix/Darwin/gtk-osx-loop.patch:

	Add my local changes to GTK+OSX 0.7 -- it's only correct for Basilisk II
	and SheepShaver purposes. i.e. it's not fully suitable as a generic
	g_main_run() replacement.

2006-05-01 13:13  gbeauche

	* src/Unix/timer_unix.cpp:

	improve locks

2006-05-01 10:42  gbeauche

	* src/Windows/ether_windows.cpp:

	Handle compatibility with older preferences files.
	- routerenabled true
	- ether GUID
	both have priority over regular options.

2006-05-01 10:27  gbeauche

	* src/Windows/: prefs_editor_gtk.cpp, util_windows.cpp,
	  util_windows.h:

	Add ether "tap" support to the GUI. Also fix "slirp" callback.

2006-05-01 10:23  gbeauche

	* src/Windows/ether_windows.cpp:

	Add experimental TAP-Win32 support. It looks rather sluggish to me, something
	is probably wrong somewhere...

2006-05-01 06:14  gbeauche

	* src/Windows/timer_windows.cpp:

	aha, quick fix ;-)

2006-05-01 06:12  gbeauche

	* src/Windows/: main_windows.cpp, timer_windows.cpp:

	Implement better Windows suspend/resume routines so that we don't oversleep.
	i.e. really wake up the thread on next TriggerInterrupt().

2006-04-30 21:49  gbeauche

	* ChangeLog:

	Note new "idlewait" feature

2006-04-30 21:46  gbeauche

	* src/Windows/: prefs_editor_gtk.cpp, prefs_windows.cpp:

	Add "idlewait" to Basilisk II for Windows

2006-04-30 21:26  gbeauche

	* src/: BeOS/timer_beos.cpp, powerrom_cpu/powerrom_cpu.cpp:

	Tentative fixes to BeOS idle suspend/resume routines. Well, I have no-op'ed
	them. So, if someone has BeOS and wants to give it a try, please change and
	test this new code. Corner case could be a resume_thread() when emul_thread
	is not suspended.

	Fixlet to powerrom_cpu: call idle_resume() from TriggerInterrupt().

2006-04-30 21:16  gbeauche

	* src/: emul_op.cpp, rsrc_patches.cpp, user_strings.cpp,
	  Unix/prefs_editor_gtk.cpp, Unix/prefs_unix.cpp,
	  include/emul_op.h, include/user_strings.h,
	  uae_cpu/basilisk_glue.cpp:

	Patch SynchIdleTime() to implement new "idlewait" prefs item.

2006-04-30 21:13  gbeauche

	* src/AmigaOS/timer_amiga.cpp:

	Implement dummy idle suspend/resume routines for AmigOS

2006-04-30 17:27  gbeauche

	* src/: emul_op.cpp, rom_patches.cpp:

	Fix PutScrap() patch with Mac Classic ROMs. Untested but it should work
	again provided you build with --enable-addressing=banks

2006-04-30 15:46  gbeauche

	* src/extfs.cpp:

	handle creation time on MacOS X

2006-04-30 14:46  gbeauche

	* src/MacOSX/extfs_macosx.mm:

	Workaround finderFlags problem on folders in MacOS X 10.4.
	TODO: implement the same ".finf/" trickery as for Unix versions.

2006-04-29 14:15  gbeauche

	* src/Windows/prefs_editor_gtk.cpp:

	update GUI with ether "slirp" on win32

2006-04-29 10:57  gbeauche

	* src/Windows/: Makefile.in, configure.ac, ether_windows.cpp,
	  ether_windows.h, user_strings_windows.cpp,
	  user_strings_windows.h:

	slirp now works on windows

2006-04-29 10:54  gbeauche

	* src/slirp/: libslirp.h, slirp.h:

	slight updates for win32...

2006-04-29 10:41  gbeauche

	* src/slirp/: misc.c, slirp.h, socket.c:

	fix build on win32

2006-04-26 06:26  gbeauche

	* src/slirp/slirp.c:

	FAST_TIMO is 2 ms not 2 usec. Noticed on Windows but this obviously can't
	fix my problem with slirp_select_fill() there as it still doesn't fill in
	any socket descriptor. :-/ I think I won't bother much for Windows...

2006-04-23 15:44  gbeauche

	* TODO:

	updates

2006-04-23 15:40  gbeauche

	* src/Windows/: Makefile.in, prefs_editor_gtk.cpp,
	  prefs_windows.cpp:

	Update the GUI with the new ethernet configuration changes. Handle migrations
	from the GUI. Also move from a combo to a fixed popdown menu with pretty
	printed ethernet interfaces.

2006-04-23 15:36  gbeauche

	* src/Windows/: ether_windows.cpp, router/router.cpp,
	  router/router.h:

	Some clean-ups. Rewrite ethernet config interpreter. This implies some
	prefs items changes but it should now be simpler to add other ethernet
	emulation means (slirp, tap-win32).

	# Basilisk II driver mode
		ether {guid}
	becomes
		ether b2ether
		etherguid {guid}

	# Basilisk II Router mode
		routerenabled true
	becomes
		ether router

2006-04-23 15:20  gbeauche

	* src/Windows/: util_windows.cpp, util_windows.h:

	Avoid the use of min(). Add helpers to access the network control panel
	registry -- aka get pretty printed names from GUID ethernet devices.

2006-04-20 22:36  gbeauche

	* src/Windows/configure.ac:

	Make it possible to build Basilisk II for Windows with SDL libraries
	statically linked in.

2006-04-19 22:51  gbeauche

	* src/Unix/Darwin/mkstandalone:

	Add mkstandalone -- make a standalone bundle with GTK runtime

2006-04-19 06:55  gbeauche

	* src/Unix/: Makefile.in, configure.ac, main_unix.cpp:

	Always build the STANDALONE_GUI hooks into Basilisk II.

2006-04-19 06:47  gbeauche

	* src/Unix/rpc_unix.cpp:

	Enable build of RPC code without pthreads (for Basilisk II and SheepShaver)
	since we use our own custom message dispatch loop

2006-04-18 22:17  gbeauche

	* src/Unix/prefs_editor_gtk.cpp:

	Handle MacOS X bundles, search order: BasiliskII.app in the same directory
	as BasiliskIIGUI.app, or /Applications/BasiliskII.app if none was found.

	Also make yet another arrangement for MacOS X "difference". This scenario
	was not working: WarningAlert -> ErrorAlert, the latter was not performed
	because the exit status was not properly filled in sip->si_status...

2006-04-18 21:29  gbeauche

	* src/Unix/prefs_editor_gtk.cpp:

	Fix NO_B2_EXE_FOUND (again) -- catch it very early, hence the SIGCHLD. Use
	new rpc_wait_dispatch() function and gracefully get out of the main loop
	when the child returns, though this is caught but the sigchld_handler().

2006-04-18 21:24  gbeauche

	* src/Unix/: rpc.h, rpc_unix.cpp:

	Implement rpc_wait_dispatch()

2006-04-17 21:22  gbeauche

	* src/Unix/prefs_editor_gtk.cpp:

	- Only start the emulator if requested (click on the "Start" button)
	- Rewrote dispatch loop to accomodate GTK+1.2 for MacOS X (which doesn't
	  like threads nor forks(!)). The latter also requires an additional patch
	  to the version 0.7 available on SourceForge
	- Run-time detect JIT capability so that we could hopefully use the ppc GUI
	  on intel based Macs (check!)

2006-04-17 15:32  gbeauche

	* src/Unix/Makefile.in:

	Create MacOS X bundle for BasiliskIIGUI.app. Also make sure to only link in
	necessary GUI_LIBS and not all of the LIBS.

2006-04-17 14:25  gbeauche

	* src/Unix/prefs_editor_gtk.cpp:

	Fixes for GTK+1.2 GUI on MacOS X

2006-04-17 09:06  gbeauche

	* src/Unix/rpc_unix.cpp:

	Fixes for MacOS X (10.2 has no <sys/poll.h> and 10.4 version is broken).

2006-04-16 21:25  gbeauche

	* src/Unix/: Makefile.in, configure.ac, main_unix.cpp,
	  prefs_editor_gtk.cpp, rpc.h, rpc_unix.cpp:

	Make Basilisk II main application not use GTK libraries when compiling with
	STANDALONE_GUI. This is the second step towards a more interesting GUI alike
	to VMware. Communication from/to the GUI is held by some lightweight RPC.

	Note: The step should be enough to provide a tiny GTK GUI for MacOS X.

2006-04-16 16:32  gbeauche

	* src/Unix/: Makefile.in, configure.ac, main_unix.cpp,
	  prefs_editor_gtk.cpp, user_strings_unix.cpp, user_strings_unix.h:

	Enable build of a standalone GUI (first step).

2006-04-13 22:15  gbeauche

	* src/slirp/: tcp.h, tcp_input.c:

	Apply the qemu-slirp-performance.patch from Kenneth Duda available here:
	<http://lists.nongnu.org/archive/html/qemu-devel/2006-04/msg00245.html>

	This does improve slirp performance a lot, especially in FTP passive mode
	transfers. i.e. now, they are equally as fast as non passive mode. I get
	approx. 800 KB/sec in B2 and 500 KB/sec in SheepShaver (over a DSL line).
	In native env, the max download data rate from my ISP is around 950 KB/sec.

2006-04-09 13:40  gbeauche

	* src/uae_cpu/fpu/types.h:

	Fix long double support for x86 targets if -m128bit-long-double.

2006-04-04 07:08  gbeauche

	* src/MacOSX/extfs_macosx.mm:

	cleanups

2006-04-02 21:06  gbeauche

	* src/: Unix/ether_unix.cpp, slirp/libslirp.h, slirp/slirp.c:

	Try to improve slirp performance again (though passive mode is still slower)

2006-04-02 08:47  gbeauche

	* src/slirp/mbuf.c:

	fix memory leak (1.0.17)

2006-03-30 22:45  gbeauche

	* src/Unix/sigsegv.cpp:

	decode movslq (generated by gcc4.1)

2006-03-28 07:01  gbeauche

	* src/: SDL/video_sdl.cpp, Windows/sys_windows.cpp:

	Fix pollmedia on Windows, it's no longer necessary to boot with a CD-ROM in
	the drive to use it. Side effect: media can be changed without problems now

2006-03-28 06:59  gbeauche

	* src/Windows/: clip_windows.cpp, main_windows.cpp:

	Use GetMainWindowHandle() provided by main_windows.cpp

2006-03-28 06:58  gbeauche

	* src/Windows/sysdeps.h:

	cleanups, it's only worth supporting x86 arches

2006-03-27 22:04  gbeauche

	* src/Windows/clip_windows.cpp:

	cosmetics

2006-03-25 07:57  gbeauche

	* src/slirp/: slirp.c, socket.c, udp.c:

	Merge in slirp updates from QEMU:
	- improved performance (still not visible in B2 part, especially passive mode)
	- set SO_REUSEADDR before calling bind()
	- win32 compile fix

2006-03-25 07:08  gbeauche

	* src/Unix/: configure.ac, ldscripts/linux-ppc.ld:

	- add Linux/PPC linker script
	- always relocate Basilisk II binary to 0x78048000 on MacOS X (including x86,
	  to be tested later)

2006-03-21 06:43  gbeauche

	* src/MacOSX/clip_macosx.cpp:

	fix clipboard handling for MacOS X

2006-03-16 04:23  nigel

	* src/MacOSX/ToDo.html:

	Gwelolé fixed ether_unix exit problem (and my hacky workaround), so the enhancement comment can go

2006-03-16 04:14  nigel

	* src/MacOSX/ToDo.html:

	Better documentation of Snapshot bug

2006-03-15 06:54  gbeauche

	* src/Unix/ldscripts/freebsd-i386.ld:

	freebsd linker script

2006-03-15 06:54  gbeauche

	* src/Unix/configure.ac:

	Add linker script for FreeBSD 5.3 (and probably newer). Verified to allocate
	up to 1 GB of Mac RAM in both REAL_ADDRESSING and DIRECT_ADDRESSING modes.

	NetBSD 2.0 can use the Linux linker script. However, I could not verify 1G
	support since my installation does not permit this.

2006-03-14 22:14  gbeauche

	* src/Unix/configure.ac:

	Link with AppKit framework on MacOS X. This should enable X11 builds when
	there is no SDL available (suggested by Dara Hazeghi)

2006-03-14 21:18  gbeauche

	* src/Unix/configure.ac:

	Relocate MacOS X executable to 0x78048000 akin to linker scripts on Linux
	arches. This probably already worked in the past but I have just verified
	that Basilisk II works with up to 1 GB of Mac RAM in DIRECT_ADDRESSING or
	REAL_ADDRESSING mode.

	BTW, a quick Speedometer 4 CPU performance test showed a +15% speed increase
	in real addressing mode vs. direct addressing. x86 arches don't benefit much
	from that mode since they support complex address modes already (beyond plain
	load/store).

	TODO: check on MacOS X for Intel so that to reduce the test to darwin*:*)

2006-03-14 09:38  nigel

	* src/MacOSX/PrefsEditor.mm:

	1. Happy New Year.   2. Minor syntax error

2006-03-11 11:45  nigel

	* src/MacOSX/: configure.in, main_macosx.mm:

	Incorporate recent changes from Unix equivalent files

2006-03-10 08:16  nigel

	* src/MacOSX/Controller.mm:

	Ensure event processing works in fullscreen mode

2006-02-27 13:39  gbeauche

	* src/Unix/ether_unix.cpp:

	fix cross-block initializer

2006-02-27 13:38  gbeauche

	* src/Unix/sigsegv.cpp:

	add some barriers to make sure L_e_region* really come after the test insns

2006-02-27 07:25  gbeauche

	* TODO, src/Unix/vm_alloc.h:

	Updates

2006-02-27 07:24  gbeauche

	* src/Unix/main_unix.cpp:

	- Try to allocate Mac memory only once on 32-bit systems
	- Cap Mac memory to 1023 MB, Apple Personal Diagnostics crashes at 1 GB
	- Scratch memory is meant to be addressed from Mac programs too

2006-02-27 07:16  gbeauche

	* src/Unix/vm_alloc.cpp:

	Start allocating memory from 0x10000000 with linker scripts since the system
	sometimes has a problem to make a decision when next_address == 0.

	NOTE: this makes it possible to allocate up to 1 GB with DIRECT_ADDRESSING

2006-02-27 07:14  gbeauche

	* src/Unix/ldscripts/: linux-i386.ld, linux-x86_64.ld:

	Move up _start base

2006-02-27 00:15  gbeauche

	* src/Unix/main_unix.cpp:

	Fix vm_acquire_mac() fallback to non 33-bit addressing mode. Support 33-bit
	addressing in REAL_ADDRESSING mode. Only support platforms with proper
	linker scripts to map the whole Mac memory from address 0. Warning fix.

	NOTE: when compiled with --enable-addressing=real on Linux {x86,x86_64},
	you can not address up to 1.5 GB in Basilisk II.

2006-02-27 00:11  gbeauche

	* src/Unix/: configure.ac, ldscripts/linux-i386.ld,
	  ldscripts/linux-x86_64.ld:

	Add linker scripts for correct REAL_ADDRESSING support

2006-02-27 00:04  gbeauche

	* src/Unix/vm_alloc.cpp:

	Memory allocated through win32 VirtualAlloc() is zero-filled. Likewise for
	memory mmap()'ed with MAP_ANONYMOUS (equivalent to /dev/zero mapping but
	faster)

2006-02-26 23:45  gbeauche

	* src/Unix/vm_alloc.cpp:

	add 33-bit addressing support to vm_acquire_fixed()

2006-02-26 18:58  gbeauche

	* src/uae_cpu/compiler/compemu_support.cpp:

	prefer lower indexes in register allocation, this avoids REX prefixes on
	x86_64 when %r8 - %r15 are used (very light speedup expected)

2006-02-26 18:49  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	fix FETOX & FTWOTOX translations for x86_64

2006-02-19 14:18  gbeauche

	* src/rsrc_patches.cpp:

	fix ROM85 bug fix for AppleShare extension

2006-02-06 23:06  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	Fix SAHF_SETO_PROFITABLE code for x86-64 platforms.

	This was only an experiment. Improvement was marginal: only +3% on AMD64
	(an Athlon 64 3200+). However, it may be interesting to test it on EM64T
	(e.g. newer P4s) since an older P3/800, hence in 32-bit mode, got a +15%
	improvement in Speedometer 4 benchmarks.

	Rationale: lahf/seto sequences avoid load/stores to the stack (push/pop)
	and it was thus hoped to be faster.

	Anyhow, SAHF_SETO_PROFITABLE can only be enabled manually at this time.
	Edit your generated Makefile for testing, but first make sure your CPU
	supports lahf in 64-bit mode (lahf_lm flag in /proc/cpuinfo).

2006-02-06 22:57  gbeauche

	* src/uae_cpu/compiler/codegen_x86.h:

	Cosmetics, fix %rh cases in !X86_FLAT_REGISTERS mode, lahf/sahf are now
	valid instructions in long mode (recent enough CPU revisions: lahf_lm).

2006-02-06 22:55  gbeauche

	* src/uae_cpu/m68k.h:

	Manually emit LAHF instructions so that 64-bit assemblers can grok it

2006-01-27 23:49  gbeauche

	* src/Unix/configure.ac:

	fix logic

2006-01-27 23:41  gbeauche

	* src/Unix/configure.ac:

	Check whether compiler supports byte bit-fields. If so, we can enable slirp
	emulation code since it pure C+sockets code.

2006-01-27 23:31  gbeauche

	* src/slirp/: ip.h, tcp.h:

	Further unaligned access fixes on IRIX (Brian J. Johnson). Configury needed
	to ensure compiler supports bit-field members of unsigned char type.

2006-01-24 23:46  gbeauche

	* src/: Unix/configure.ac, Unix/ether_unix.cpp,
	  Unix/user_strings_unix.cpp, Unix/user_strings_unix.h,
	  slirp/misc.c:

	Use the most portable POSIX-style non-blocking I/O (O_NONBLOCK) instead of
	BSD-style through FIONBIO. It turns out Tru64 and probably IRIX don't support
	the latter when fd is a pipe (slirp case).

2006-01-24 21:33  gbeauche

	* src/Unix/sigsegv.cpp:

	ugly cast games

2006-01-23 23:57  gbeauche

	* src/Unix/sigsegv.cpp:

	Code I wrote yesterday was totally broken. It's enough to make sure nPC is
	correctly updated too... Instruction skipper now works on Solaris/SPARC.

2006-01-22 23:14  gbeauche

	* src/Unix/sigsegv.cpp:

	- Fix SPARC Store Doubleword transfer_size in decoder.
	- In the instruction skipper code, add a huge kludge (trampoline) to forcibly
	  zero out %global registers when requested. Otherwise, Solaris/SPARC turned
	  out to use %g1 during signal handling, and the zero we could have written
	  to there vanished. This assumes [%sp-8] is valid to use (ABI states data
	  below %sp is undefined though)

2006-01-22 00:05  gbeauche

	* src/Unix/sigsegv.cpp:

	Adapt for MacOS X for Intel, also fix thread_state type in forward_exception()

2006-01-21 20:48  gbeauche

	* src/Unix/ether_unix.cpp:

	Remove nigel's hack, I am confident the problem was MacOS X implementation of
	poll() that was not a cancellation point, which I fixed (OSX/Intel 10.4.4)

2006-01-21 16:19  gbeauche

	* src/Unix/ether_unix.cpp:

	poll() and select() are still not cancellation points in MacOS X 10.4.4...

2006-01-21 16:00  gbeauche

	* src/Unix/video_vosf.h:

	streamline for standalone VOSF performance testing

2006-01-21 13:06  gbeauche

	* src/Unix/Makefile.in:

	MacOS X bundle

2006-01-17 21:19  gbeauche

	* src/slirp/: bootp.h, ip.h, ip_icmp.h, slirp.c, slirp.h, tcp.h,
	  tftp.h, udp.h:

	Packet headers can be examined through unaligned addresses. This patch
	fixes this, especially for MIPS & SPARC platforms. [Initial patch from
	Brian J. Johnson]

2006-01-16 23:10  nigel

	* src/MacOSX/audio_defs_macosx.h:

	A few more clashes with OS X headers (10.3 only?), update year

2006-01-16 23:09  nigel

	* src/MacOSX/Versions.html:

	Added the cosmetic feature that I forgot was in v17

2006-01-16 23:07  nigel

	* src/MacOSX/HowTo.html:

	Add a Networking section, update formatting in other parts of the text

2006-01-16 21:31  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	more precise callee-saved register set

2006-01-16 21:31  gbeauche

	* src/uae_cpu/compiler/: compemu.h, compemu_support.cpp:

	JIT generated code is not guaranteed to be leaf, e.g. there could be a call
	to a generic instruction handler (untranslated code). This caused problems
	on MacOS X for Intel where the unaligned stack conditions turned out to be
	more visible. Performance loss is really neglectable and this is the right
	fix now anyway.

2006-01-15 22:42  gbeauche

	* src/uae_cpu/: newcpu.cpp, newcpu.h, compiler/codegen_x86.cpp,
	  compiler/compemu_support.cpp:

	fix stack alignment (theoritically but it was OK in practise) in generated
	functions, move m68k_compile_execute() to compiler/ dir since it's JIT
	generic and it now depends on USE_PUSH_POP (as it should)

2006-01-15 11:38  gbeauche

	* src/Unix/configure.ac:

	fix framework detection on OSX/intel (thanks toshi for the remote access ;-)

2006-01-05 03:37  nigel

	* src/MacOSX/0_HOW_TO_BUILD.txt:

	10.4 builds are fine, but not when using Xcode

2006-01-05 00:36  nigel

	* src/MacOSX/0_HOW_TO_BUILD.txt:

	Update in what OSs this compiles under

2006-01-04 06:28  nigel

	* README:

	Another year, OS X port networking now works, seperate OS X slirp
	and udp tunneling descriptions by an extra blank line

2006-01-04 06:23  nigel

	* src/MacOSX/English.lproj/InfoPlist.strings:

	Another two years!

2006-01-04 06:20  nigel

	* src/MacOSX/Versions.html:

	Version 17 test was a bit messy

2006-01-04 06:14  nigel

	* src/MacOSX/Versions.html:

	Another year, another version

2006-01-04 06:14  nigel

	* src/MacOSX/ToDo.html:

	There is now a fix (er, hack) for the ethernet thread exit problem,
	so move it from bugs to "wouldn't it be nice if ..."

2006-01-04 06:11  nigel

	* src/MacOSX/Makefile.in:

	Clean up after configure

2006-01-04 06:09  nigel

	* src/MacOSX/Info.plist:

	Another year, another version

2006-01-03 22:03  gbeauche

	* src/Unix/video_x.cpp:

	- factor out native_byte_order determination
	- fix ExpandMap[] when client X image byte order is different than host's
	  e.g. { mips, ppc } -> x86 in 8 bpp mode

2005-12-30 01:56  nigel

	* src/MacOSX/BasiliskII.pbproj/project.pbxproj:

	Add SLIRP changes to Project Builder file (10.0 and 10.1)

2005-12-30 01:19  nigel

	* src/slirp/slirp.h:

	Compiling on Mac OS X 10.2 doesn't define uint8_t using the standard headers.
	Including stdint.h should be safe, but if it clashes, we could put an OS X
	specific wrapper around it: #if (defined(__MACH__) && defined(__APPLE__))

2005-12-29 13:40  nigel

	* src/Unix/ether_unix.cpp:

	Small hack for clean exits on Nigel's OS X port

2005-12-29 13:06  nigel

	* README, TODO, src/MacOSX/1_prepare_files.sh,
	  src/MacOSX/Makefile.in, src/MacOSX/ToDo.html,
	  src/MacOSX/BasiliskII.xcode/project.pbxproj:

	Working EtherNet (SLIRP), minor doco update, semaphore.h needed for Unix src.

2005-12-29 00:32  nigel

	* src/MacOSX/configure.in:

	A few more updates from latest Unix configure.ac

2005-12-04 15:45  gbeauche

	* src/Unix/configure.ac:

	Link with math library (-lm) on IRIX so that to get support for long double
	arithmetic. Also make sure to only use -IPA with MIPSPro Compilers.

2005-12-04 15:23  gbeauche

	* src/slirp/: misc.c, misc.h, slirp.h:

	Fixes for IRIX/mips build with MIPSPro compilers

2005-12-04 15:03  gbeauche

	* src/Unix/: configure.ac, serial_unix.cpp:

	Fix Serial build on IRIX, remove the STDC_HEADERS manually defined macro
	since it now works (egrep was missing previously, IIRC)

2005-11-29 23:20  gbeauche

	* src/SDL/video_sdl.cpp:

	Protect the SDL events queue when changing the cursor map in SheepShaver,
	aka fix "Xlib: unexpected async reply" messages in SDL/x11 builds.

2005-11-29 22:59  gbeauche

	* src/Windows/: Makefile.in, prefs_editor_gtk.cpp:

	Initial support for NDIS interfaces selection (very preliminary but working
	for me on Windows XP, and actually faster than NAT/Router ethernet emulation)

2005-11-29 20:54  gbeauche

	* src/Windows/prefs_editor_gtk.cpp:

	add support for "cdrom" drive selection

2005-11-27 23:51  gbeauche

	* src/Windows/prefs_editor_gtk.cpp:

	SheepShaver GUI, remove extraneous "slirp" currently inexistent for Windows

2005-11-27 22:18  gbeauche

	* src/Windows/: ether_windows.cpp, ether_windows.h:

	SheepShaver glue for Ethernet support. Remove duplicate "Set source address"
	case from common code.

2005-11-24 17:23  cebix

	* src/Unix/sys_unix.cpp:

	ignore floppy device open fail in Sys_open() so the floppy drive will be
	operative even if no disk was inserted at startup

2005-11-24 17:03  cebix

	* src/Unix/prefs_unix.cpp:

	modernized Linux sound device detection

2005-11-24 17:02  cebix

	* src/Unix/sys_unix.cpp:

	modernized Linux floppy detection

2005-11-24 16:43  cebix

	* src/include/serial.h:

	added missing virtual destructor

2005-11-22 22:57  gbeauche

	* TODO, src/Windows/prefs_editor_gtk.cpp:

	Windows GUI: set "frameskip" to 1 when switching to fullscreen mode

2005-11-22 22:42  gbeauche

	* TODO:

	last minute TODO

2005-11-22 21:57  gbeauche

	* src/Unix/posix_sem.cpp:

	undo unwanted change for now (double check this one later)

2005-11-22 21:53  gbeauche

	* src/Unix/: posix_sem.cpp, prefs_editor_gtk.cpp:

	fix build with gtk-1.2

2005-11-22 21:21  gbeauche

	* TODO:

	Update: Windows GUI is still missing detection of NDIS interfaces

2005-11-22 21:20  gbeauche

	* ChangeLog:

	try to add missing changes and regroup them better

2005-11-22 20:29  gbeauche

	* src/Unix/prefs_editor_gtk.cpp:

	fix copyright dates

2005-11-22 06:48  gbeauche

	* src/prefs_items.cpp:

	"jitlazyflush" prefs item type was changed to bool some time ago, this fixes
	this and enables the GUI to set it to true by default, as expected.

2005-11-22 06:26  gbeauche

	* TODO, src/Windows/main_windows.cpp:

	Windows HACK: default to the DIB driver as it looks smoother to me and
	doesn't require locking the surfaces, which probably the cause of apparent
	slowness when using the DirectX backend. This needs to be investigated more

2005-11-21 23:38  gbeauche

	* src/: SDL/video_sdl.cpp, Unix/video_vosf.h:

	Remove obsolete Cygwin/X11 addressing hack. Fix DirectX fullscreen mode
	with hardware surface. On the other hand, DIB (SDL_VIDEODRIVER=windib)
	always seems the fastest on my system for both windowed and fullscreen
	modes.

2005-11-21 22:13  gbeauche

	* src/Windows/configure.ac:

	add support for instruction skipping on windows too

2005-11-21 22:03  gbeauche

	* src/Windows/Makefile.in:

	don't remove config.h.in in make distclean

2005-11-21 21:39  gbeauche

	* src/Unix/: prefs_editor_gtk.cpp, user_strings_unix.cpp,
	  user_strings_unix.h:

	GUI cosmetics from the Windows port: add "browse" button to ROM & keycodes
	file selectors, improve "Memory/Misc" pane to be more attractive and simplify
	RAM size selection, rename to "Keyboard/Mouse" pane to match the actual order
	of elements in the pane, make "<control>-S" save/start the config.

2005-11-20 23:59  gbeauche

	* src/Windows/prefs_editor_gtk.cpp:

	Windows GUI: don't mess the button pad, map '<ctrl>-S' to Start/Save config

2005-11-20 23:55  gbeauche

	* src/Windows/user_strings_windows.cpp:

	Try to be a bit more descriptive

2005-11-20 23:47  gbeauche

	* src/Windows/: prefs_editor_gtk.cpp, user_strings_windows.cpp,
	  user_strings_windows.h:

	Windows GUI: disable SCSI settings for now since they are not merged yet,
	handle Ethernet (NAT/Router module, None) and actually execute BasiliskII.exe

2005-11-20 21:58  gbeauche

	* src/user_strings.cpp:

	GUI cosmetics: translation cache size is expressed in Kilo Bytes (KB)

2005-11-20 21:56  gbeauche

	* src/Windows/: prefs_editor_gtk.cpp, user_strings_windows.cpp,
	  user_strings_windows.h:

	Windows GUI: fix creation of new volumes, handle "Enable external file system",
	"Enable polling", add "Browse" button for keycodes file chooser.

2005-11-20 17:45  gbeauche

	* src/Windows/: BasiliskIIGUI.ico, BasiliskIIGUI.rc:

	Windows GUI resources

2005-11-20 17:26  gbeauche

	* src/: user_strings.cpp, Windows/prefs_editor_gtk.cpp,
	  Windows/prefs_windows.cpp, include/user_strings.h:

	GUI cosmetics

2005-10-15 10:38  nigel

	* src/MacOSX/PrefsEditor.mm:

	Another minor 10.4 fix, Marcus Gail's CD-ROM boot UI fix

2005-10-15 10:22  nigel

	* src/MacOSX/Credits.html:

	Update official B2 web page

2005-10-15 10:21  nigel

	* README:

	Minor change to Mc OS X details

2005-09-19 07:49  nigel

	* src/MacOSX/main_macosx.mm:

	Fixes from latest Unix version (no more black screen bug!)

2005-09-19 07:45  nigel

	* src/MacOSX/configure.in:

	Re-sync with Unix version. Fixes black screen bug

2005-09-19 07:38  nigel

	* src/MacOSX/1_prepare_files.sh:

	No need for classic mode

2005-09-19 07:24  nigel

	* src/MacOSX/0_HOW_TO_BUILD.txt:

	Recent fixes mean there is no "classic" build, so update doco

2005-09-19 06:02  nigel

	* src/MacOSX/PrefsEditor.mm:

	Some more 10.4 fixes by Kirk Kerekes

2005-08-18 22:10  gbeauche

	* src/Unix/configure.ac:

	don't grab in -mdynamic-no-pic with icc, note that you need icc >= 9.0.25
	to have a working build

2005-08-14 12:24  nigel

	* src/MacOSX/ToDo.html:

	Added a few more bugs

2005-08-14 12:22  nigel

	* src/MacOSX/HowTo.html:

	Added install item

2005-08-14 12:21  nigel

	* src/MacOSX/Controller.mm:

	Stylistic (and possible GCC3/4) fix

2005-08-09 03:28  nigel

	* src/MacOSX/PrefsEditor.mm:

	Started including 10.4 compile fixed from Kirk Kerekes,
	Confirmation on disk image Delete requested by Markus Gail.

2005-08-01 05:23  gbeauche

	* src/Unix/sys_unix.cpp:

	Drop the old _llseek() hack. That was causing problems and we "now" use the
	right approach with LFS for a few years now.

2005-07-24 14:57  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	Stop abort()'ing when we fail to recognize the underlying processor, assume
	an obsolete i386 instead. Keep report on stderr though.

2005-07-24 14:48  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	recognize more P4 cores

2005-07-24 14:05  gbeauche

	* src/disk.cpp:

	Fix a long standing typo, now enabling use of volumes larger than 4 GB!

2005-07-10 16:42  gbeauche

	* src/Unix/sys_unix.cpp:

	sys_darwin.cpp depends on CoreFoundation stuff, disable it for OpenDarwin

2005-07-06 05:25  gbeauche

	* src/Unix/configure.ac:

	Fix detection of GCC versions (J.P. Larocque)

2005-07-03 08:21  gbeauche

	* src/Unix/ether_unix.cpp:

	Factor out stuff for SheepShaver compatibility.

2005-07-01 05:57  gbeauche

	* src/Unix/configure.ac:

	- Check for <stdint.h> ourselves if AC_HEADER_STDC didn't do that
	- Build with -mdynamic-no-pic on MacOS X, this brings up to 20% performance
	  improvement in the CPU core.

2005-07-01 05:54  gbeauche

	* src/Unix/Makefile.in:

	Don't remove config.h.in in distclean rule if we are still keeping configure

2005-07-01 05:54  gbeauche

	* src/Unix/m4/: egrep.m4, esd.m4, gettext.m4, gtk-2.0.m4, gtk.m4:

	Import m4 macros for external packages in case one would want to regenerate
	a configure script without having those installed (e.g. on MacOS X).

2005-06-30 21:27  cebix

	* BasiliskII.spec, Makefile, README:

	modernized spec file and makefile

2005-06-30 21:25  cebix

	* src/: Unix/acinclude.m4, Unix/configure.ac, slirp/misc.c,
	  slirp/socket.c, slirp/tcp_subr.c, slirp/tftp.c, slirp/udp.c:

	minor cleanups

2005-06-30 10:34  gbeauche

	* src/Unix/timer_unix.cpp:

	POSIX conforming use of pthread_cond_wait().

2005-06-30 10:20  gbeauche

	* src/: BeOS/timer_beos.cpp, Unix/configure.ac,
	  Unix/timer_unix.cpp, Windows/timer_windows.cpp, include/timer.h:

	Add system-specific implementations of idle_{wait,resume} functions.

2005-06-25 11:40  gbeauche

	* src/Unix/video_vosf.h:

	Use fast spinlocks only for small enough atomic operations. Otherwise, you
	run into some performance problems in e.g. video graphics experience because
	of busywaits in the current spin_lock() implementation.

2005-06-22 08:51  gbeauche

	* src/uae_cpu/gencpu.c:

	Avoid C99-isms in C code for old compilers (e.g. gcc "2.96" on MDK 8.1)

2005-06-22 08:50  gbeauche

	* src/Unix/clip_unix.cpp:

	Comment typo and return handled status in handle_selection()

2005-06-20 08:43  gbeauche

	* src/Windows/: Makefile.in, configure.ac, prefs_editor_gtk.cpp,
	  prefs_windows.cpp, user_strings_windows.cpp,
	  user_strings_windows.h:

	Check for GTK for the GUI. Also add serial_windows.cpp to SRCS files

2005-06-20 08:40  gbeauche

	* src/Windows/prefs_editor_gtk.cpp:

	WIP prefs editor for Windows in GTK

2005-06-20 06:11  gbeauche

	* src/Windows/serial_windows.cpp:

	merge in serial ports emulation from original B2/win port

2005-06-20 03:54  gbeauche

	* src/Unix/vm_alloc.cpp:

	Get real page size on Windows for vm_get_page_size() [64 KB]

2005-06-19 15:52  gbeauche

	* src/Unix/: configure.ac, prefs_editor_gtk.cpp:

	gtk2 gui support

2005-06-19 15:50  gbeauche

	* src/Unix/clip_unix.cpp:

	Only close clipboard hidden window only if created. This fixes errors on
	early exit from the GUI.

2005-06-14 22:35  gbeauche

	* src/: SDL/video_sdl.cpp, Unix/main_unix.cpp:

	Support USE_CPU_EMUL_SERVICES in SDL/video driver. Only trigger ethernet
	interrupt in one_tick() if no pthreads at all are used, i.e. ether_dummy
	is effective in that case. Otherwise, don't trigger ethernet again if
	pthreads are available (and ether_unix) and cpu emul services are active.

2005-06-13 20:19  gbeauche

	* src/Unix/main_unix.cpp:

	Always allocate RAM and ROM areas at the same time. This avoids having ROM
	suddenly allocated below RAM and thus not working. Besides, this may fix a
	latent deallocation bug in real addressing mode (i.e. release the whole
	block allocated at once, not separately).

	Side effect: this makes Basilisk II work in direct addressing mode with JIT
	on Darwin 8.0.1 for x86.

2005-06-12 23:36  gbeauche

	* src/: MacOSX/configure.in, MacOSX/sys_darwin.cpp,
	  Unix/configure.ac:

	Check for CoreFoundation framework (Darwin 8.0.1). Likewise for
	IOKit/storage/IOBlockStorageDevice.h which is not available there on x86

2005-06-12 22:48  gbeauche

	* src/: Unix/ether_unix.cpp, Unix/user_strings_unix.cpp,
	  Unix/user_strings_unix.h, slirp/libslirp.h, slirp/slirp.c:

	Enable Basilisk II to work even if slirp_init() failed. Disable ethernet
	emulation in that case, don't exit(1).

2005-06-12 21:47  gbeauche

	* src/Unix/sigsegv.cpp:

	Mach exception recovery and instruction skipping for Darwin/x86.

2005-06-11 06:52  gbeauche

	* src/Unix/: main_unix.cpp, video_x.cpp:

	%Ld is for long double, not long long (%lld)

2005-06-11 06:43  gbeauche

	* src/: Unix/main_unix.cpp, Unix/sysdeps.h, Unix/video_x.cpp,
	  uae_cpu/newcpu.cpp, uae_cpu/newcpu.h,
	  uae_cpu/compiler/compemu_support.cpp:

	Much improved responsiveness on NetBSD systems.

	On those systems, it's really hard to get high resolution timings and the
	system oftens fails to honour a timeout in less than 20 ms. The idea here
	is to have an average m68k instruction count (countdown quantum) that
	triggers real interrupt checks. The quantum is calibrated every 10 ticks
	and has a 1000 Hz resolution on average.

2005-06-06 21:20  gbeauche

	* src/SDL/video_sdl.cpp:

	Add experimental fullscreen SDL video graphics. Map Windows keys to Option.

2005-06-06 20:11  gbeauche

	* src/: user_strings.cpp, Unix/prefs_editor_gtk.cpp,
	  include/user_strings.h:

	Update GTK Prefs Editor with support for "jitinline" and "slirp" ethernet.

2005-06-06 19:40  gbeauche

	* src/Unix/vm_alloc.cpp:

	Robustify: only close zero_fd if actually allocated

2005-06-06 19:39  gbeauche

	* src/Unix/main_unix.cpp:

	Properly QuitEmulator() on unhandled SIGSEGV even if not ENABLE_MON.

2005-06-06 19:31  gbeauche

	* src/Unix/: Makefile.in, configure.ac:

	Restrict mandatory SLIRP_CFLAGS to minimum, i.e. -fno-strict-aliasing.

2005-06-06 19:22  gbeauche

	* src/: prefs_items.cpp, uae_cpu/readcpu.cpp,
	  uae_cpu/compiler/compemu_support.cpp:

	Really make translation through constant jumps functional. This can be
	disabled with the new prefs item "jitinline". Some rapid Speedometer 4
	benchmarks showed only a 4% improvement.

2005-06-06 18:49  gbeauche

	* src/uae_cpu/spcflags.h:

	Add support for hardware locks on x86_64 too

2005-06-05 07:32  gbeauche

	* src/uae_cpu/: memory.cpp, memory.h:

	Fix build with NO_INLINE_MEMORY_ACCESS set

2005-06-05 07:03  gbeauche

	* src/ether.cpp:

	Fix build on 32-bit platforms with REAL_ADDRESSING mode

2005-06-04 16:47  gbeauche

	* src/uae_cpu/: newcpu.cpp, newcpu.h, compiler/compemu_support.cpp:

	Enable FLIGHT_RECORDER for generated code but don't record registers in
	that case (yet).

2005-05-21 17:48  gbeauche

	* src/Unix/ether_unix.cpp:

	Handle all slirp input/output from a single thread, thus fixing occasional
	hangs on slower systems (concurrent read/write in 68k mode). Reduce timeout
	to 10 ms.

2005-05-15 17:22  gbeauche

	* src/Unix/: configure.ac, ether_unix.cpp:

	Fix and factor out ether_exit(). Pitifully, MacOS X 10.2 does not make select()
	a cancellation point when it is passed a NULL timeout. Workarounded in
	receive_func() with a full inline of poll_fd() + pthread_testcancel().

2005-05-15 07:55  gbeauche

	* src/SDL/keycodes:

	Add "fbcon" keycodes (Linux Framebuffer Console)

2005-05-14 17:40  gbeauche

	* src/Unix/configure.ac:

	Enable ethernet on MacOS X even though slirp seems to have some small
	problems on big endian systems. IOW, Basilisk II can hang there. I also
	noticed that on Linux/ppc so that's probably not MacOS X specific, assuming
	the same problem. ==> A packet arrives but Basilisk II can't seem to trigger
	an interrupt (need to try sheep_net/tun in linux to make sure)

2005-05-14 17:37  gbeauche

	* src/slirp/: bootp.c, slirp.h:

	Remove bootp debug code as it uses varargs macros that are not supported in
	all foreign compilers (including preprocessor shipped with MacOS X!). Also
	fix build on platforms not including <stdint.h> by default.

2005-05-14 17:33  gbeauche

	* src/Unix/ether_unix.cpp:

	fix poll() emulation

2005-05-14 17:32  gbeauche

	* src/Unix/semaphore.h:

	MacOS X doesn't implement unnamed POSIX semaphores even though their libc
	defines the functions. Use Mach semaphores instead.

2005-05-14 16:37  gbeauche

	* src/Unix/Makefile.in:

	add missing rule to build extfs_macosx.mm

2005-05-14 16:08  gbeauche

	* README, src/Unix/tunconfig:

	Try to improve the documentation concerning the "tun" interface. Take note
	that that kernel module must be loaded and IP forwarding enabled. Also add
	slight improvements to the "tunconfig" script so that sudo /sbin/ifconfig
	and sudo /sbin/iptables are really supported for current user if not root.

2005-05-14 08:42  gbeauche

	* src/Unix/configure.ac:

	ethernet/slirp works on netbsd too

2005-05-14 08:10  gbeauche

	* src/Unix/: Makefile.in, configure.ac, ether_unix.cpp:

	detect slirp at configure time, aka fix build when ether_dummy.cpp is used

2005-05-14 08:10  gbeauche

	* src/dummy/ether_dummy.cpp:

	fix for new packet interface

2005-05-13 17:43  gbeauche

	* src/Unix/: configure.ac, ether_unix.cpp:

	Use a custom poll_fd() function implemented as select() on platforms that
	don't support poll() natively, e.g. MacOS X and some older BSDs.

2005-05-13 17:32  gbeauche

	* src/Unix/: Makefile.in, configure.ac:

	Fix build on MacOS X: dedicated extfs_macosx.mm & static SDL libs

2005-05-13 14:02  gbeauche

	* src/: Unix/ether_unix.cpp, slirp/bootp.c, slirp/bootp.h,
	  slirp/ip_icmp.h, slirp/udp.c, slirp/udp.h:

	Some 64-bit fixes to bootp, icmp, udp (cu-seeme). However, it can happen
	that on certain occasions, it doesn't work. Some timing problem?

2005-05-13 11:13  gbeauche

	* src/Unix/configure.ac:

	fix CFLAGS preservation

2005-05-13 11:05  gbeauche

	* src/uae_cpu/memory.cpp:

	fix "banks" addressing mode for 64-bit platforms

2005-05-13 09:33  gbeauche

	* README:

	slirp documentation from qemu

2005-05-13 09:21  gbeauche

	* src/Unix/: Makefile.in, configure.ac, ether_unix.cpp:

	Recognize Intel Compilers. Add user mode network stack with slirp from qemu.
	Simply use "ether slirp" in the prefs file, no kernel module required. I
	could perform up to 450 KB/sec on my DSL line.

2005-05-13 09:00  gbeauche

	* src/slirp/: COPYRIGHT, bootp.c, bootp.h, cksum.c, ctl.h, debug.c,
	  debug.h, icmp_var.h, if.c, if.h, ip.h, ip_icmp.c, ip_icmp.h,
	  ip_input.c, ip_output.c, libslirp.h, main.h, mbuf.c, mbuf.h,
	  misc.c, misc.h, sbuf.c, sbuf.h, slirp.c, slirp.h, slirp_config.h,
	  socket.c, socket.h, tcp.h, tcp_input.c, tcp_output.c, tcp_subr.c,
	  tcp_timer.c, tcp_timer.h, tcp_var.h, tcpip.h, tftp.c, tftp.h,
	  udp.c, udp.h:

	slirp user mode network emulation code from qemu

2005-05-12 16:55  gbeauche

	* src/Unix/video_vosf.h:

	Improve SDL/fullscreen mode when not used in DGA mode, i.e. cases when
	screen needs to be updated too. This needs better boxes characterisation.

2005-05-12 14:39  gbeauche

	* src/Unix/video_vosf.h:

	Fix SDL/DGA build. Drop useless "inline" for updates. Overlapping scanlines
	optimization.

2005-05-12 11:09  gbeauche

	* src/Unix/: video_vosf.h, video_x.cpp:

	Fix DGA when visible screen is smaller than virtual display, aka fix
	fullscreen mode when VidMode extension is enabled. Also fix SDL fullscreen
	to really update the screen as this is necessary by default on Linux since
	simple windowed is used (and not DGA for fullscreen).

	Always prefer the 64 pixel chunks update code.

	Rearrange B2 video_x.cpp to match video_vosf.h updates

2005-04-24 23:02  gbeauche

	* src/uae_cpu/compiler/compemu_support.cpp:

	ensure allocated code fits under 32-bit boundaries

2005-04-24 23:00  gbeauche

	* src/uae_cpu/compiler/: codegen_x86.h, compemu_fpp.cpp, gencomp.c:

	Fix build with gcc4 on x86-64: ignore errors when casting pointers to int
	from regs & fpu members + code cache. This is possible because data is
	allocated in 32-bit space and we force allocation of translation cache to
	those bounds too.

2005-04-21 09:08  gbeauche

	* src/uae_cpu/compiler/: codegen_x86.cpp, compemu_support.cpp:

	Recognize lahf_lm from Dual Core Opterons. This enables use of LAHF/SETO
	instructions in long mode (64-bit). However, there seems to be another bug
	in the JIT preventing it from being fully supported. m68k.h & codegen_x86.h
	are easily fixed bug another patch is still needed.

2005-04-02 09:56  gbeauche

	* src/Unix/: video_blit.cpp, video_blit.h:

	cosmetics

2005-04-02 09:50  gbeauche

	* src/Unix/video_vosf.h:

	Rewrite update_display_dga_vosf() for much improved performance and cope
	with palette changes. Also slightly improve the generic code when we need
	to further update the screen (e.g. SDL without hardware surface)

2005-03-28 16:14  gbeauche

	* src/Unix/: video_blit.cpp, video_blit.h, video_vosf.h,
	  video_x.cpp:

	Enable multiple depths in fullscreen DGA modes, i.e. add 1-bit to 16/32-bit
	blitters, rewrite update_display_dga_vosf() to actually work with sub byte
	pixels. Factor out update_display_window_vosf() since it's long time that
	it is no longer checking for first column and last column that have changed.

2005-03-24 23:45  gbeauche

	* src/Unix/vm_alloc.cpp:

	Gracefully catch SIGSEGV & SIGBUS for TEST_VM_PROT_* test cases. This should
	avoid dumping core, and especially Windows fault alerts when natively
	configuring with MinGW32.

2005-03-24 23:13  gbeauche

	* src/Windows/: Makefile.in, configure.ac:

	enable cross-compilation

2005-03-23 22:00  gbeauche

	* src/Unix/sigsegv.cpp:

	Enable instruction skipping for OpenBSD 3.4 on i386

2005-03-23 21:37  gbeauche

	* src/Unix/sigsegv.cpp:

	instruction skipper for Solaris/i386 (Solaris 9)

2005-03-22 16:12  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	Allocate executable space to detect cpu features (cpuid). aka don't crash
	on non-executable .data sections on x86-64 with NX support enabled.

2005-03-22 13:43  gbeauche

	* src/Unix/Linux/NetDriver/sheep_net.c:

	fix for 2.4.21

2005-03-22 13:31  gbeauche

	* src/Unix/Linux/NetDriver/sheep_net.c:

	fix build with kernels >= 2.6.9

2005-03-21 23:57  gbeauche

	* src/Unix/video_x.cpp:

	Avoid use of pthread_cancel() for redraw thread cancellation. Use an extra
	variable to acknowledge cancellation. This avoids Xserver events queue
	corruption when clipboard is in use. Concretely, this fixes following errors:
	Xlib: unexpected async reply (sequence 0xHEX)!

2005-03-21 22:45  gbeauche

	* Makefile:

	Use autogen.sh to generate configure scripts, likewise for Windows

2005-03-21 22:39  gbeauche

	* ChangeLog:

	Extra changes I forgot to mention in the ChangeLog

2005-03-20 23:43  gbeauche

	* src/SDL/video_sdl.cpp:

	more sdl key conversions

2005-03-19 19:01  gbeauche

	* src/Windows/: main_windows.cpp, util_windows.cpp, util_windows.h:

	Check that drivers are installed (e.g. CD-ROM driver)

2005-03-19 17:43  gbeauche

	* src/: emul_op.cpp, ether.cpp, BeOS/ether_beos.cpp,
	  Unix/ether_unix.cpp, Windows/ether_windows.cpp, include/ether.h:

	Make ethernet really work on 64-bit platforms, especially x86-64

2005-03-19 05:34  gbeauche

	* src/SDL/video_sdl.cpp:

	SDL_ListModes() sometimes does not return a sorted list from largest to
	smallest screen dimensions (e.g. on windows)

2005-03-17 00:27  gbeauche

	* src/Windows/configure.ac:

	And finally the Windows specific configure script to be generated with
	../Unix/autogen.sh. Who would be the first to see Basilisk II is fully
	buildable from CVS now with SDL and Cygwin? ;-)

2005-03-17 00:25  gbeauche

	* src/Windows/Makefile.in:

	Windows specific Makefile, this could be improved though

2005-03-17 00:24  gbeauche

	* src/Windows/sysdeps.h:

	Windows specific sysdeps.h

2005-03-17 00:22  gbeauche

	* src/Windows/: cd_defs.h, ether_windows.h, user_strings_windows.h:

	add missing windows specific header files

2005-03-17 00:21  gbeauche

	* src/uae_cpu/: build68k.c, gencpu.c, compiler/gencomp.c:

	close opened files and make sure to flush stdout on exit, this used to
	cause weird results on windows otherwise

2005-03-17 00:19  gbeauche

	* src/SDL/video_sdl.cpp:

	Default to BasiliskII_keycodes file on Windows if user wants keycodes but
	no keycodefile is specified

2005-02-21 22:57  gbeauche

	* src/Unix/timer_unix.cpp:

	nanosleep() delays seem better suited to MacOS X, instead of select()

2005-02-20 11:39  gbeauche

	* src/Unix/sigsegv.cpp:

	NetBSD/ppc support

2005-02-13 17:56  gbeauche

	* src/Unix/audio_oss_esd.cpp:

	<machine/soundcard.h> was simply a compatibility symlink on FreeBSD and it
	is now gone away.

2005-01-30 21:42  gbeauche

	* src/: adb.cpp, audio.cpp, cdrom.cpp, disk.cpp, emul_op.cpp,
	  ether.cpp, extfs.cpp, macos_util.cpp, main.cpp, prefs.cpp,
	  prefs_items.cpp, rom_patches.cpp, rsrc_patches.cpp, scsi.cpp,
	  serial.cpp, slot_rom.cpp, sony.cpp, timer.cpp, user_strings.cpp,
	  video.cpp, xpram.cpp, AmigaOS/prefs_amiga.cpp, AmigaOS/sysdeps.h,
	  AmigaOS/user_strings_amiga.cpp, AmigaOS/user_strings_amiga.h,
	  AmigaOS/video_amiga.cpp, BeOS/about_window.cpp,
	  BeOS/about_window.h, BeOS/audio_beos.cpp, BeOS/clip_beos.cpp,
	  BeOS/ether_beos.cpp, BeOS/extfs_beos.cpp, BeOS/main_beos.cpp,
	  BeOS/prefs_beos.cpp, BeOS/prefs_editor_beos.cpp,
	  BeOS/scsi_beos.cpp, BeOS/serial_beos.cpp, BeOS/sys_beos.cpp,
	  BeOS/sysdeps.h, BeOS/timer_beos.cpp, BeOS/user_strings_beos.cpp,
	  BeOS/user_strings_beos.h, BeOS/video_beos.cpp,
	  BeOS/xpram_beos.cpp, MacOSX/Controller.h, MacOSX/Controller.mm,
	  MacOSX/Emulator.h, MacOSX/Emulator.mm, MacOSX/EmulatorView.h,
	  MacOSX/EmulatorView.mm, MacOSX/Info.plist, MacOSX/PrefsEditor.h,
	  MacOSX/PrefsEditor.mm, MacOSX/audio_defs_macosx.h,
	  MacOSX/audio_macosx.cpp, MacOSX/audio_macosx.mm,
	  MacOSX/clip_macosx.cpp, MacOSX/extfs_macosx.h,
	  MacOSX/extfs_macosx.mm, MacOSX/macos_util_macosx.h,
	  MacOSX/main_macosx.h, MacOSX/main_macosx.mm,
	  MacOSX/misc_macosx.h, MacOSX/misc_macosx.mm,
	  MacOSX/prefs_macosx.cpp, MacOSX/sys_darwin.cpp, MacOSX/sysdeps.h,
	  MacOSX/video_macosx.h, MacOSX/video_macosx.mm,
	  MacOSX/BasiliskII.pbproj/project.pbxproj, SDL/audio_sdl.cpp,
	  SDL/keycodes, SDL/video_sdl.cpp, Unix/asm_support.s,
	  Unix/audio_oss_esd.cpp, Unix/clip_unix.cpp, Unix/ether_unix.cpp,
	  Unix/extfs_unix.cpp, Unix/keycodes, Unix/main_unix.cpp,
	  Unix/posix_sem.cpp, Unix/prefs_editor_gtk.cpp,
	  Unix/prefs_unix.cpp, Unix/serial_unix.cpp, Unix/sigsegv.cpp,
	  Unix/sigsegv.h, Unix/sys_unix.cpp, Unix/sysdeps.h,
	  Unix/timer_unix.cpp, Unix/user_strings_unix.cpp,
	  Unix/user_strings_unix.h, Unix/video_blit.cpp, Unix/video_blit.h,
	  Unix/video_vosf.h, Unix/video_x.cpp, Unix/vm_alloc.cpp,
	  Unix/vm_alloc.h, Unix/xpram_unix.cpp, Unix/Darwin/lowmem.c,
	  Unix/Darwin/testlmem.sh, Unix/FreeBSD/scsi_freebsd.cpp,
	  Unix/FreeBSD/scsidump.cpp, Unix/Irix/audio_irix.cpp,
	  Unix/Irix/unaligned.c, Unix/Linux/scsi_linux.cpp,
	  Unix/Solaris/audio_solaris.cpp, Windows/clip_windows.cpp,
	  Windows/ether_windows.cpp, Windows/extfs_windows.cpp,
	  Windows/main_windows.cpp, Windows/prefs_windows.cpp,
	  Windows/sys_windows.cpp, Windows/timer_windows.cpp,
	  Windows/user_strings_windows.cpp, Windows/util_windows.cpp,
	  Windows/util_windows.h, Windows/xpram_windows.cpp,
	  Windows/cdenable/cache.cpp, Windows/cdenable/cache.h,
	  Windows/cdenable/cdenable.h, Windows/cdenable/eject_nt.cpp,
	  Windows/cdenable/eject_nt.h, Windows/cdenable/ntcd.cpp,
	  Windows/cdenable/ntcd.h, Windows/router/arp.cpp,
	  Windows/router/icmp.cpp, dummy/audio_dummy.cpp,
	  dummy/clip_dummy.cpp, dummy/ether_dummy.cpp,
	  dummy/prefs_dummy.cpp, dummy/prefs_editor_dummy.cpp,
	  dummy/scsi_dummy.cpp, dummy/serial_dummy.cpp,
	  dummy/user_strings_dummy.cpp, dummy/xpram_dummy.cpp,
	  include/adb.h, include/audio.h, include/audio_defs.h,
	  include/cdrom.h, include/clip.h, include/debug.h, include/disk.h,
	  include/emul_op.h, include/ether.h, include/ether_defs.h,
	  include/extfs.h, include/extfs_defs.h, include/macos_util.h,
	  include/main.h, include/prefs.h, include/prefs_editor.h,
	  include/rom_patches.h, include/rsrc_patches.h, include/scsi.h,
	  include/serial.h, include/serial_defs.h, include/slot_rom.h,
	  include/sony.h, include/sys.h, include/timer.h,
	  include/user_strings.h, include/version.h, include/video.h,
	  include/video_defs.h, include/xpram.h,
	  native_cpu/cpu_emulation.h, powerrom_cpu/cpu_emulation.h,
	  powerrom_cpu/powerrom_cpu.cpp, uae_cpu/basilisk_glue.cpp,
	  uae_cpu/cpu_emulation.h, uae_cpu/compiler/codegen_x86.cpp,
	  uae_cpu/compiler/codegen_x86.h, uae_cpu/compiler/compemu.h,
	  uae_cpu/compiler/compemu_fpp.cpp,
	  uae_cpu/compiler/compemu_support.cpp,
	  uae_cpu/compiler/flags_x86.h, uae_cpu/compiler/gencomp.c,
	  uae_cpu/fpu/core.h, uae_cpu/fpu/exceptions.cpp,
	  uae_cpu/fpu/exceptions.h, uae_cpu/fpu/flags.cpp,
	  uae_cpu/fpu/flags.h, uae_cpu/fpu/fpu.h, uae_cpu/fpu/fpu_ieee.h,
	  uae_cpu/fpu/fpu_uae.h, uae_cpu/fpu/fpu_x86.cpp,
	  uae_cpu/fpu/fpu_x86.h, uae_cpu/fpu/impl.h,
	  uae_cpu/fpu/mathlib.cpp, uae_cpu/fpu/mathlib.h,
	  uae_cpu/fpu/rounding.cpp, uae_cpu/fpu/rounding.h,
	  uae_cpu/fpu/types.h:

	Happy New Year!

2005-01-22 17:41  gbeauche

	* src/SDL/video_sdl.cpp:

	fix parsing of the keycode table

2005-01-19 20:27  gbeauche

	* src/Unix/video_blit.cpp:

	Implement RGB555 mode on 16-bit displays, big endian, native byte order (MacOS X)

2005-01-08 08:57  gbeauche

	* src/include/serial.h:

	new way to allocate dt_store

2005-01-04 23:38  gbeauche

	* src/Unix/sigsegv.cpp:

	Fixes for NetBSD 2.0

2004-12-26 23:24  gbeauche

	* src/Windows/: router/tcp.cpp, router/mib/mibaccess.cpp,
	  b2ether/packet32.cpp:

	cross compile fixes

2004-12-19 15:55  gbeauche

	* src/Unix/Linux/NetDriver/Makefile:

	enable build with kernel 2.6

2004-12-18 22:20  gbeauche

	* src/Unix/: video_vosf.h, vm_alloc.cpp, vm_alloc.h:

	s/vm_page_size/vm_get_page_size/ to avoid name clash on MacOS X

2004-12-18 19:28  gbeauche

	* src/Unix/video_x.cpp:

	Force use of MacX mappings with Apple's X server

2004-12-18 18:10  gbeauche

	* src/Unix/ether_unix.cpp:

	Make EtherInterrupt/packet[] "static" so that it is allocated in the .data
	section, which is likely accessible under 32-bit address on 64-bit platforms

2004-12-18 17:49  gbeauche

	* src/Unix/Linux/NetDriver/sheep_net.c:

	support for kernel 2.6 (from MOL)

2004-12-11 13:07  gbeauche

	* src/Unix/sigsegv.cpp:

	Check that we can really read at the faulty eip in Windows prior to decoding
	the instruction. Also fix the unrecoverable fault dump to really be useful.

2004-12-11 10:20  gbeauche

	* src/Unix/video_vosf.h:

	remove obsolete headers inclusion, implement vosf lock with native windows
	mutexes, use new vm_page_size() accessor

2004-12-11 10:19  gbeauche

	* src/Unix/: vm_alloc.cpp, vm_alloc.h:

	implement vm_page_size() to get the actual size of a page

2004-12-11 10:16  gbeauche

	* src/Windows/util_windows.h:

	native windows mutexes as (fast) critical sections

2004-12-11 09:41  gbeauche

	* src/Windows/: util_windows.cpp, util_windows.h:

	thread wrappers

2004-12-06 23:42  gbeauche

	* src/Windows/prefs_windows.cpp:

	ethernet related prefs items

2004-12-06 23:31  gbeauche

	* src/Windows/ether_windows.cpp:

	Raw import of ether_windows.cpp from original Basilisk II for Windows.
	Fix code so that it builds in Cygwin/Mingw32.

2004-12-05 17:11  gbeauche

	* src/Windows/sys_windows.cpp:

	Refactor native windows system support routines from sys_unix.cpp. This
	includes CD-ROM support but still lacks original B2 features involving
	floppies, real hard disk, and hard file options

2004-12-05 16:54  gbeauche

	* src/Windows/: kernel_windows.cpp, kernel_windows.h,
	  main_windows.cpp:

	Import some extra functions from Win32 libraries. Expose OS versions.

2004-12-05 16:51  gbeauche

	* src/Windows/b2ether/: multiopt.h, packet32.cpp, inc/b2ether_hl.h,
	  inc/ntddpack.h:

	import original b2ether code from B2/Win32

2004-12-05 16:48  gbeauche

	* src/Windows/router/: arp.cpp, arp.h, dump.cpp, dump.h,
	  dynsockets.cpp, dynsockets.h, ftp.cpp, ftp.h, icmp.cpp, icmp.h,
	  iphelp.cpp, iphelp.h, ipsocket.cpp, ipsocket.h, router.cpp,
	  router.h, router_types.h, tcp.cpp, tcp.h, udp.cpp, udp.h,
	  mib/interfaces.cpp, mib/interfaces.h, mib/mibaccess.cpp,
	  mib/mibaccess.h:

	import NAT-Router code from original Basilisk II for Windows

2004-12-05 15:28  gbeauche

	* src/Windows/main_windows.cpp:

	add --cdboot command line option akin to MoL's

2004-12-05 15:05  gbeauche

	* src/Windows/prefs_windows.cpp:

	merge in "pollmedia" prefs item

2004-12-05 15:04  gbeauche

	* src/Windows/cdenable/: cache.cpp, cache.h, cdenable.h,
	  eject_nt.cpp, eject_nt.h, ntcd.cpp, ntcd.h:

	currently in 2004 ;-)

2004-12-05 15:03  gbeauche

	* src/Windows/cdenable/: cache.cpp, cache.h, cdenable.h,
	  eject_nt.cpp, eject_nt.h, ntcd.cpp, ntcd.h:

	cdenable interface

2004-12-03 22:59  gbeauche

	* src/Windows/prefs_windows.cpp:

	more extfs related prefs items (debugextfs, extdrives)

2004-12-03 22:48  gbeauche

	* src/Windows/: main_windows.cpp, user_strings_windows.cpp:

	Requires Windows NT >= 4.0, implement ErrorAlert(), WarningAlert()

2004-12-03 22:05  gbeauche

	* src/Windows/timer_windows.cpp:

	renamed SysTimerInit() to timer_init()

2004-12-03 22:05  gbeauche

	* src/Windows/user_strings_windows.cpp:

	cosmetics

2004-12-03 22:04  gbeauche

	* src/Windows/prefs_windows.cpp:

	Add Windows specific "enableextfs" prefs items. There, the "extfs" path is
	replaced by a virtual desktop containing all current drives.

2004-12-03 22:03  gbeauche

	* src/Windows/: extfs_windows.cpp, posix_emu.cpp, posix_emu.h:

	Merge and upgrade native filesystem support from B2/Win. The nice
	"My Computer" icon is now back. Adapt from recent extfs_unix.cpp.

2004-12-03 22:01  gbeauche

	* src/Windows/: util_windows.cpp, util_windows.h:

	Merge util_windows.cpp (exists, get_file_size, create_file) from original
	Basilisk II for Windows

2004-12-02 23:29  gbeauche

	* src/Unix/sigsegv.cpp:

	ppc64 fixes

2004-11-30 23:40  gbeauche

	* src/Windows/main_windows.cpp:

	fully native (no cygwin dep) version of main_windows.cpp

2004-11-29 23:31  gbeauche

	* src/Windows/user_strings_windows.cpp:

	Merge in "My Computer" user strings from original B2/win

2004-11-29 22:43  gbeauche

	* src/Windows/xpram_windows.cpp:

	native win32 XPRAM handling for both Basilisk II and SheepShaver

2004-11-29 21:59  gbeauche

	* src/: Unix/prefs_unix.cpp, Windows/prefs_windows.cpp:

	typos

2004-11-29 21:54  gbeauche

	* src/Windows/prefs_windows.cpp:

	native win32 implementation for prefs file (BasiliskII_prefs)

2004-11-29 00:15  gbeauche

	* src/Windows/timer_windows.cpp:

	fix win32 timer_host2mac_time()

2004-11-28 19:31  gbeauche

	* src/SDL/video_sdl.cpp:

	Always use vm_acquire* to allocate frame buffers, so that cygwin/x86 version
	can have a chance in case VOSF is not profitable (on video mode switches)
	Improve video mode switches in SheepShaver/SDL, aka avoid crashes on win32
	as there is apparently no thread canceleation algorithm used in SDL/win32.

2004-11-28 17:54  gbeauche

	* src/Windows/timer_windows.cpp:

	add native windows timers

2004-11-22 22:42  gbeauche

	* src/adb.cpp:

	Generate CursorDeviceDispatch() call onto the SheepShaver Procedures region

2004-11-21 08:11  gbeauche

	* src/include/debug.h:

	Windows debug functions only in native win32 mode

2004-11-20 23:35  gbeauche

	* src/uae_cpu/compiler/compemu_support.cpp:

	add some code to gather stats on m68k registers used in translated blocks

2004-11-17 00:59  gbeauche

	* src/Unix/configure.ac:

	Use Windows clipboard code with SDL graphics only. X11 output will use
	the X server glue anyway

2004-11-17 00:57  gbeauche

	* src/Windows/clip_windows.cpp:

	Windows clipboard support (copy-paste)

2004-11-15 23:40  gbeauche

	* src/Unix/: video_vosf.h, video_x.cpp:

	lock X11 display better around update_display_window_vosf()

2004-11-15 23:27  gbeauche

	* src/: emul_op.cpp, rom_patches.cpp, AmigaOS/clip_amiga.cpp,
	  BeOS/clip_beos.cpp, Unix/clip_unix.cpp, Unix/main_unix.cpp,
	  Unix/video_vosf.h, Unix/video_x.cpp, include/emul_op.h,
	  include/rom_patches.h:

	Backport copy-paste of 'TEXT' from SheepShaver

2004-11-15 23:24  gbeauche

	* src/Unix/sysdeps.h:

	Fast spinlocks from SheepShaver for X11 clipboard handling

2004-11-15 00:24  gbeauche

	* src/include/debug.h:

	Fix build on Windows with recent gcc (winbug)

2004-11-15 00:07  gbeauche

	* src/Unix/: Makefile.in, configure.ac:

	Add Lauri's icon for Basilisk II builds on Windows

2004-11-14 23:47  gbeauche

	* src/Windows/: BasiliskII.ico, BasiliskII.rc:

	Windows resources (icon)

2004-11-14 23:24  gbeauche

	* src/Unix/configure.ac:

	Check for egrep early, as AC_EGREP_CPP wouldn't work correctly otherwise
	(e.g. GCC version not detected, likewise for ANSI C headers). Add check
	for Windows exceptions support. Some cosmetics for Cygwin.

2004-11-14 23:23  gbeauche

	* src/Unix/main_unix.cpp:

	Don't use pthread_mutexattr_setprotocol() on Cygwin targets as
	PTHREAD_PRIO_INHERIT is not defined correctly and it probably wouldn't
	work as expected anyway.

2004-11-14 23:21  gbeauche

	* src/Unix/Makefile.in:

	Handle .exe suffix for Windows builds. Remove obsolete rules for cpuopti.

2004-11-14 23:01  gbeauche

	* src/SDL/keycodes:

	Windows keycodes

2004-11-14 21:41  gbeauche

	* src/Unix/video_blit.cpp:

	Implement RGB555 mode on 16-bit displays (Windows)

2004-11-13 23:44  gbeauche

	* src/Unix/sigsegv.cpp:

	Integrate SIGSEGV recovery from libsigsegv for Windows and Cygwin.
	Also implement instruction skipper for Windows/x86.

2004-11-13 23:39  gbeauche

	* src/Unix/vm_alloc.cpp:

	Windows memory allocators

2004-11-13 14:28  gbeauche

	* src/: adb.cpp, audio.cpp:

	Implement Direct Addressing mode for SheepShaver.

2004-11-11 07:07  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	fix tester for BSF flags handling

2004-11-10 07:33  gbeauche

	* src/Unix/configure.ac:

	fix detection of <linux/if.h> (thanks Bob Deblier)

2004-11-08 23:24  gbeauche

	* src/uae_cpu/compiler/compemu_support.cpp:

	fix inline dispatcher to really generate a cmove on x86-64 (silly bug!)

2004-11-08 21:10  gbeauche

	* src/uae_cpu/compiler/: codegen_x86.cpp, compemu.h,
	  compemu_support.cpp, gencomp.c:

	Merge BSF simulation on P4 from Amithlon. Use 33-bit memory addressing model.

2004-11-08 21:07  gbeauche

	* src/Unix/: configure.ac, main_unix.cpp, video_x.cpp,
	  vm_alloc.cpp, vm_alloc.h:

	Enable 33-bit memory addressing on 64-bit JIT capable platforms (e.g. x86-64).
	This is useful to get rid of address offset sign extensions. It uses POSIX
	shared memory to create aliased regions, fallback to usual sign-extension
	way if shm_open et al. don't work (e.g. no /dev/shm mounted)

2004-11-08 20:48  gbeauche

	* src/uae_cpu/compiler/codegen_x86.h:

	Enable RIP-relative addressing, optimize REX conditions processing in
	! X86_FLAT_REGISTERS mode, fix __REX_mem encodings (e.g. POPLm)

2004-11-03 00:07  gbeauche

	* ChangeLog:

	update for SDL audio/video + JIT compiler for x86_64

2004-11-02 23:52  gbeauche

	* src/uae_cpu/compiler/compemu_support.cpp:

	fix protection changes on translation cache + cosmetic fixlet

2004-11-02 23:28  gbeauche

	* src/uae_cpu/compiler/: codegen_x86.cpp, compemu_fpp.cpp:

	fix JIT FPU for x86_64

2004-11-02 20:40  gbeauche

	* src/Unix/configure.ac:

	disable store motion on gcc >= 3.3-hammer (and normal 3.4), where the option
	is available actually

2004-11-01 18:40  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	preserve r11 as the register used to resolve pointers to functions

2004-11-01 17:12  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	- affine need_to_preserve[] to get close to linux/x86_64 ABI
	- optimize NOP fillers on x86-64 (based on GNU as implementation)

2004-11-01 16:07  gbeauche

	* src/Unix/configure.ac:

	enable JIT on x86_64

2004-11-01 16:01  gbeauche

	* src/uae_cpu/: newcpu.cpp, newcpu.h, compiler/codegen_x86.cpp,
	  compiler/compemu.h, compiler/compemu_support.cpp:

	revive and fix almost two-year old port to x86_64

2004-11-01 15:37  gbeauche

	* src/uae_cpu/compiler/codegen_x86.h:

	- optimize absolute addresses into RIP relative, if possible
	- fix MOVQir as the operand is 64-bit
	- fix IMULWrr, IMULLrr, IMULQrr, MOVSBWrr, MOVZBWrr

2004-11-01 15:30  gbeauche

	* src/uae_cpu/compiler/test_codegen_x86.cpp:

	add dumb but handy brute-force runtime assembler verifier, someone will
	probably want to rewrite it to use BFD/opcodes internals for checks

2004-10-31 16:02  gbeauche

	* src/uae_cpu/compiler/codegen_x86.h:

	Reorder SPL, BPL, SIL, DIL IDs so that 8-bit register allocation is simpler
	Fix MOVZBL and MOVSBL encodings with those extended 8-bit registers

2004-10-24 22:22  gbeauche

	* src/uae_cpu/compiler/codegen_x86.h:

	fix SIB encoding with base=r13
	fix PUSH/POP with x86_64 extended registers
	fix CALL/JMP REX prefixes

2004-07-27 21:40  gbeauche

	* src/SDL/video_sdl.cpp:

	Try to fix 16 bpp over 32 bpp on MacOS X.

2004-07-19 19:25  gbeauche

	* src/: SDL/audio_sdl.cpp, Unix/configure.ac, Unix/main_unix.cpp:

	SDL audio support

2004-07-02 06:08  gbeauche

	* src/SDL/video_sdl.cpp:

	NQD moved to SheepShaver src/gfxaccel.cpp

2004-06-29 21:50  gbeauche

	* src/: SDL/video_sdl.cpp, Unix/video_blit.h, Unix/video_vosf.h:

	Don't try to make a cast value an lvalue (Brian Johnson). Add some explicit
	casts to (int) in order to avaoid this warning:
	warning: comparison between `const enum video_depth' and `enum <anonymous>'

2004-06-27 22:22  gbeauche

	* src/MacOSX/clip_macosx.cpp:

	Indentation fixes. Sorry, my OS X ~/.emacs is total garbage.

2004-06-27 22:06  gbeauche

	* src/Unix/: configure.ac, sys_unix.cpp:

	Add configure macros to check for -framework Carbon & -framework IOKit so
	that we choose to include ../MacOSX/clip_macosx.cpp, sys_darwin.cpp or not.

2004-06-27 20:36  gbeauche

	* src/MacOSX/clip_macosx.cpp:

	typo

2004-06-27 20:15  gbeauche

	* src/MacOSX/clip_macosx.cpp:

	Clipboard handling on MacOS X.

2004-06-27 18:14  gbeauche

	* src/Unix/: Makefile.in, configure.ac:

	Handle SDL scancode -> Mac keycode map files

2004-06-27 17:31  gbeauche

	* src/SDL/keycodes:

	SDL scancodes -> Mac keycodes translation file

2004-06-27 17:31  gbeauche

	* src/SDL/video_sdl.cpp:

	Force processing of modifier keys through SDL keysyms. Fix mapping of
	Option & Command keys on MacOS X. Fix scroll lock on MacOS X too.

2004-06-26 17:20  gbeauche

	* src/: SDL/video_sdl.cpp, Unix/video_blit.h, Unix/video_vosf.h:

	Fix video_vosf_init() for BasiliskII/SDL

2004-06-26 16:26  gbeauche

	* src/Unix/video_vosf.h:

	Try a better VOSF run-time performance check heuristic.

2004-06-26 15:22  gbeauche

	* src/: SDL/video_sdl.cpp, Unix/video_vosf.h:

	Add heuristic to deitermine run-time effect of VOSF acceleration, and
	disable it if it turns out to not be profitable

2004-06-24 22:38  gbeauche

	* src/SDL/video_sdl.cpp:

	Enable hardware cursor acceleration in SheepShaver/SDL version too.

2004-06-24 22:34  gbeauche

	* src/Unix/configure.ac:

	Check for the "true" command better with AC_PATH_PROG. aka fix BLESS
	command checking on MacOS X.

2004-06-24 21:46  gbeauche

	* src/SDL/video_sdl.cpp:

	Try to get maximum display width by assuming that would match maximum
	possible resolution for fullscreen+hwsurface. Fix, termination of VModes[].
	Really handle "windowmodes" prefs item, but this needs code factoring.

2004-06-24 15:25  gbeauche

	* src/SDL/video_sdl.cpp:

	Initial SDL support for SheepShaver, though it seems to slow down the
	emulator somehow. Also use better timing in redraw_func().

2004-06-24 15:19  gbeauche

	* src/Unix/: video_blit.h, video_vosf.h:

	Move VideoMode wrappers to video_blit.h.

2004-06-24 15:18  gbeauche

	* src/Unix/main_unix.cpp:

	Use atexit(SDL_Quit) idiom. XCloseDisplay() only when using X11 graphics.

2004-06-23 22:55  gbeauche

	* src/SDL/video_sdl.cpp:

	SDL_WaitThread() works better when the thread arg is valid. ;-)

2004-06-23 22:37  gbeauche

	* src/SDL/video_sdl.cpp:

	Fix events processing on MacOS X, though mouse motion is still not smooth
	enough.

2004-06-23 22:33  gbeauche

	* src/Unix/: Makefile.in, clip_unix.cpp, configure.ac:

	Use clip_unix.cpp only with X11 targets. Otherwise, default to clip_dummy.cpp

2004-06-23 16:32  gbeauche

	* src/dummy/clip_dummy.cpp:

	Add GetScrap(). Use FOURCC for Mac 4-char codes

2004-06-23 14:30  gbeauche

	* src/Unix/: Makefile.in, clip_unix.cpp, configure.ac,
	  main_unix.cpp, sysdeps.h, video_blit.cpp, video_blit.h,
	  video_vosf.h, video_x.cpp:

	Initial SDL/video support. Fix VOSF code could lead to a crash on run-time
	resolution/depth switching. Rearrange blitter lookup code, aka make it cleaner.

2004-06-23 13:47  gbeauche

	* src/SDL/video_sdl.cpp:

	Initial SDL support.

2004-06-22 22:42  gbeauche

	* src/Unix/keycodes:

	Fix double mappings in "MacX" section, aka do recognize 'r' key.

2004-06-22 20:04  gbeauche

	* src/Unix/keycodes:

	Handle Control key in "MacX" mappings.

2004-05-27 13:58  cebix

	* TODO:

	updated

2004-05-25 07:50  nigel

	* src/MacOSX/NNThread.m:

	New Autorelease pool stuff for NNTimer

2004-05-25 07:38  nigel

	* src/MacOSX/NNThread.h:

	New Autorelease pool stuff for NNTimer

2004-05-25 07:37  nigel

	* src/MacOSX/Emulator.mm:

	Some confusion about method name in NNTimer. Renamed it.

2004-05-25 05:26  nigel

	* src/MacOSX/Emulator.mm:

	Force an autorelease pool around the redraw thread.
	Requires an updated NNThread class

2004-05-25 04:26  nigel

	* src/MacOSX/Info.plist:

	v16-classic

2004-05-25 04:24  nigel

	* src/MacOSX/HowTo.html:

	Added howto import files using Disk Copy

2004-05-25 04:22  nigel

	* src/MacOSX/1_prepare_files.sh:

	Added Classic building option

2004-05-15 16:21  gbeauche

	* src/BeOS/: sysdeps.h, timer_beos.cpp:

	Delay_usec() for BeOS too

2004-05-12 11:46  gbeauche

	* src/Unix/ether_unix.cpp:

	typos

2004-05-09 16:32  gbeauche

	* src/Unix/ether_unix.cpp:

	Move and fix tun interface shutdown call

2004-05-09 16:16  gbeauche

	* ChangeLog:

	TUN/TAP support

2004-05-09 16:15  gbeauche

	* README:

	Try to document TUN/TAP use.

2004-05-09 16:11  gbeauche

	* src/: prefs_items.cpp, Unix/Makefile.in, Unix/configure.ac,
	  Unix/ether_unix.cpp, Unix/tunconfig, Unix/user_strings_unix.cpp,
	  Unix/user_strings_unix.h:

	TUN/TAP support

2004-05-02 11:34  nigel

	* src/MacOSX/0_HOW_TO_BUILD.txt:

	Added notes about the classic version of the app

2004-05-02 11:12  nigel

	* src/MacOSX/sys_darwin.cpp:

	Working code to locate floppy drives

2004-05-02 11:09  nigel

	* src/MacOSX/prefs_macosx.cpp:

	Always remove cdrom & floppy prefs, as we always need to locate them freshly

2004-05-02 11:06  nigel

	* src/MacOSX/Versions.html:

	v16, now in two flavours!

2004-05-02 11:03  nigel

	* src/MacOSX/ToDo.html:

	More ideas

2004-05-02 11:02  nigel

	* src/MacOSX/PrefsEditor.mm:

	Cope with non-ASCII directory/file names

2004-02-16 16:02  gbeauche

	* src/Unix/sigsegv.cpp:

	Decode MOVSX r32, r/m16 (generated by icc v8.0 on x86)

2004-01-29 12:28  nigel

	* src/MacOSX/configure.in:

	Typo in IDE auto-detection

2004-01-29 12:26  nigel

	* src/MacOSX/Makefile.in:

	On second thoughts, not many people will be building on 10.1,
	so it is better to create a dummy file now.

2004-01-29 12:24  nigel

	* src/MacOSX/Makefile.in:

	Try to get nowrite.icns from 10.1 install

2004-01-29 12:20  nigel

	* src/MacOSX/BasiliskII.xcode/project.pbxproj:

	Some project files had absolute paths (i.e. ~nigel), and the compiler
	-D flags had values that are more correctly picked up from config.h

2004-01-29 12:15  nigel

	* src/MacOSX/Info.plist:

	Properties of target when built in Xcode

2004-01-29 12:10  nigel

	* src/MacOSX/EmulatorView.mm:

	Protect from bug/crash when a click in the window would
	try to send ADB mouse events to a non-existant emulator

2004-01-28 07:31  nigel

	* src/MacOSX/BasiliskII.pbproj/project.pbxproj:

	Remove defines for OS_, BSD_COMP, *_ADDRESSING and FPU_, as these should be
	included by config.h, and defining them here makes them hard to change

2004-01-28 07:29  nigel

	* src/MacOSX/: extfs_macosx.h, macos_util_macosx.h:

	John Daniel's changes; CarbonCore is hard to find (sub framework of the
	CoreServices framework).  Easier to include full Carbon header instead
	(and remove extra defs).

2004-01-28 07:26  nigel

	* src/MacOSX/configure.in:

	/bin/true isn't on OS X, auto-detect Xcode (vs Project Builder),
	some textual changes to make it even more like Unix/autoconfigure.ac

2004-01-28 07:24  nigel

	* src/MacOSX/Makefile.in:

	Xcode vs Project Builder is now automatically configured - no extra rules

2004-01-28 07:21  nigel

	* src/MacOSX/Controller.h:

	Correct comment about ENABLE_MULTIPLE

2004-01-28 07:20  nigel

	* src/MacOSX/0_HOW_TO_BUILD.txt:

	Mention Xcode, add note about strange 10.1 linking bug

2004-01-28 04:09  nigel

	* src/MacOSX/English.lproj/MainMenu.nib/: info.nib, objects.nib:

	Added help items on some buttons

2004-01-28 04:07  nigel

	* src/MacOSX/English.lproj/InfoPlist.strings:

	Shorten slightly - General Public License didn't fit in the about window

2004-01-27 22:04  nigel

	* src/MacOSX/Makefile.in:

	Use xcode for app target, too (thanks to John Daniel)

2004-01-27 11:54  nigel

	* src/MacOSX/BasiliskII.pbproj/: nigel.pbxuser, project.pbxproj:

	Minor changes for latest code

2004-01-27 11:48  nigel

	* src/MacOSX/BasiliskII.xcode/project.pbxproj:

	Project file for Xcode (10.3 development IDE)

2004-01-27 11:31  nigel

	* src/MacOSX/prefs_macosx.cpp:

	Corrected removal of bad serial prefs data

2004-01-27 11:28  nigel

	* src/MacOSX/video_macosx.h:

	Typo in comment

2004-01-27 11:20  nigel

	* src/MacOSX/video_macosx.mm:

	Code to cope with errors from an incomplete preferences file

2004-01-27 04:44  nigel

	* src/MacOSX/English.lproj/InfoPlist.strings:

	Happy New Year :)

2004-01-27 04:39  nigel

	* src/MacOSX/video_macosx.mm:

	On 10.1, parse_screen_prefs() was being called with a nil string
	(i.e. PrefsInit wasn't getting a screen pref item). Cope with that.

2004-01-27 04:37  nigel

	* src/MacOSX/sys_darwin.cpp:

	Can only use floppy location code on OS X 10.2 or above?

2004-01-27 04:35  nigel

	* src/MacOSX/configure.in:

	Some latest changes from Unix version, add subterfuge test back in
	(even though it will still hang - it is not needed on OS X),
	use DIRECT/REAL_ADDRESSING/FPU_IEEE/UAE from config

2004-01-27 01:18  nigel

	* src/MacOSX/1_prepare_files.sh:

	Link to new Darwin test apps, copy some Unix source that has to be compiled
	using the local sysdeps.h, REAL ADDRESSING configure example

2004-01-27 01:15  nigel

	* src/MacOSX/Makefile.in:

	Cleanup extra Darwin generated link and programs, stuff from 10.3's autoconf,
	OS X finder cache, ide rule now uses xcode, oldide rule for Project Builder.

2004-01-27 00:18  nigel

	* src/MacOSX/main_macosx.mm:

	JIT flush changes from latest unix_main.cpp

2004-01-26 12:06  nigel

	* src/MacOSX/sysdeps.h:

	Added AQUA symbol, made more like latest Unix version

2004-01-26 11:12  nigel

	* src/MacOSX/prefs_macosx.cpp:

	Added code to remove my broken old floppy & serial prefs values

2004-01-26 11:11  nigel

	* src/MacOSX/sys_darwin.cpp:

	Special serial/floppy device locating code

2004-01-26 11:08  nigel

	* src/Unix/sys_unix.cpp:

	Tidy up Aqua/Darwin specific code

2004-01-26 11:06  nigel

	* src/MacOSX/Versions.html:

	Version 15 changes

2004-01-26 11:01  nigel

	* src/MacOSX/ToDo.html:

	Floppy/real addressing changes

2004-01-22 00:00  gbeauche

	* src/Unix/sigsegv.cpp:

	cosmetic fixes when printing movsbq operation summary

2004-01-21 23:50  gbeauche

	* src/Unix/sigsegv.cpp:

	handle (skip) x86 movsbl instructions

2004-01-21 23:14  gbeauche

	* src/Unix/sigsegv.cpp:

	Summary: possible support of SheepShaver on Zaurus PDAs

	Add Linux/ARM instruction skipping, includes support for ARMv4+ halfword
	and signed data transfer instructions. Note that load/store multiple are
	not handled and someone has to make sure post-incr/write-back logic is
	correctly implemented.

2004-01-20 23:49  nigel

	* src/Unix/sigsegv.cpp:

	Added missing switch value to eliminate a warning

2004-01-20 23:44  nigel

	* src/MacOSX/video_macosx.h:

	Updated screen update comment. 10.3 can achieve over 600fps!

2004-01-20 23:41  nigel

	* src/MacOSX/video_macosx.mm:

	Fix for non CGIMAGEREF drawing, dummy Screen_fault_handler()

2004-01-20 23:35  nigel

	* src/MacOSX/sysdeps.h:

	Incorporate recent changes from Unix/sysdeps.h

2004-01-20 23:31  nigel

	* src/MacOSX/sys_darwin.cpp:

	Use correct (non-deprecated) names for some keys

2004-01-20 03:30  nigel

	* src/Unix/Makefile.in:

	Make distclean remove some extra files/dirs generated by autoconf,
	and some Darwin test programs generated by configure.
	Note - Ideally it would also remove configure?

2004-01-19 16:59  gbeauche

	* src/Unix/sigsegv.cpp:

	ARM/linux sigsegv handler. Instruction skipper yet to be written for
	happy Zaurus owners.

2004-01-12 15:54  cebix

	* src/Unix/: Darwin/lowmem.c, Darwin/testlmem.sh,
	  FreeBSD/scsi_freebsd.cpp, FreeBSD/scsidump.cpp,
	  Irix/audio_irix.cpp, Irix/unaligned.c, Linux/scsi_linux.cpp,
	  Linux/NetDriver/sheep_net.c, Solaris/audio_solaris.cpp:

	Happy New Year!

2004-01-12 15:29  cebix

	* README, src/adb.cpp, src/audio.cpp, src/cdrom.cpp, src/disk.cpp,
	  src/emul_op.cpp, src/ether.cpp, src/extfs.cpp,
	  src/macos_util.cpp, src/main.cpp, src/prefs.cpp,
	  src/prefs_items.cpp, src/rom_patches.cpp, src/rsrc_patches.cpp,
	  src/scsi.cpp, src/serial.cpp, src/slot_rom.cpp, src/sony.cpp,
	  src/timer.cpp, src/user_strings.cpp, src/video.cpp,
	  src/xpram.cpp, src/AmigaOS/prefs_amiga.cpp,
	  src/AmigaOS/sysdeps.h, src/AmigaOS/user_strings_amiga.cpp,
	  src/AmigaOS/user_strings_amiga.h, src/AmigaOS/video_amiga.cpp,
	  src/BeOS/about_window.cpp, src/BeOS/about_window.h,
	  src/BeOS/audio_beos.cpp, src/BeOS/clip_beos.cpp,
	  src/BeOS/ether_beos.cpp, src/BeOS/extfs_beos.cpp,
	  src/BeOS/main_beos.cpp, src/BeOS/prefs_beos.cpp,
	  src/BeOS/prefs_editor_beos.cpp, src/BeOS/scsi_beos.cpp,
	  src/BeOS/serial_beos.cpp, src/BeOS/sys_beos.cpp,
	  src/BeOS/sysdeps.h, src/BeOS/timer_beos.cpp,
	  src/BeOS/user_strings_beos.cpp, src/BeOS/user_strings_beos.h,
	  src/BeOS/video_beos.cpp, src/BeOS/xpram_beos.cpp,
	  src/MacOSX/Controller.h, src/MacOSX/Controller.mm,
	  src/MacOSX/Emulator.h, src/MacOSX/Emulator.mm,
	  src/MacOSX/EmulatorView.h, src/MacOSX/EmulatorView.mm,
	  src/MacOSX/PrefsEditor.h, src/MacOSX/PrefsEditor.mm,
	  src/MacOSX/audio_defs_macosx.h, src/MacOSX/audio_macosx.cpp,
	  src/MacOSX/audio_macosx.mm, src/MacOSX/extfs_macosx.h,
	  src/MacOSX/extfs_macosx.mm, src/MacOSX/macos_util_macosx.h,
	  src/MacOSX/main_macosx.h, src/MacOSX/main_macosx.mm,
	  src/MacOSX/misc_macosx.h, src/MacOSX/misc_macosx.mm,
	  src/MacOSX/prefs_macosx.cpp, src/MacOSX/sys_darwin.cpp,
	  src/MacOSX/sysdeps.h, src/MacOSX/video_macosx.h,
	  src/MacOSX/video_macosx.mm, src/Unix/BasiliskII.1,
	  src/Unix/asm_support.s, src/Unix/audio_oss_esd.cpp,
	  src/Unix/clip_unix.cpp, src/Unix/ether_unix.cpp,
	  src/Unix/extfs_unix.cpp, src/Unix/keycodes,
	  src/Unix/main_unix.cpp, src/Unix/posix_sem.cpp,
	  src/Unix/prefs_editor_gtk.cpp, src/Unix/prefs_unix.cpp,
	  src/Unix/serial_unix.cpp, src/Unix/sigsegv.cpp,
	  src/Unix/sigsegv.h, src/Unix/sys_unix.cpp, src/Unix/sysdeps.h,
	  src/Unix/timer_unix.cpp, src/Unix/user_strings_unix.cpp,
	  src/Unix/user_strings_unix.h, src/Unix/video_blit.cpp,
	  src/Unix/video_blit.h, src/Unix/video_vosf.h,
	  src/Unix/video_x.cpp, src/Unix/vm_alloc.cpp, src/Unix/vm_alloc.h,
	  src/Unix/xpram_unix.cpp, src/dummy/audio_dummy.cpp,
	  src/dummy/clip_dummy.cpp, src/dummy/ether_dummy.cpp,
	  src/dummy/prefs_dummy.cpp, src/dummy/prefs_editor_dummy.cpp,
	  src/dummy/scsi_dummy.cpp, src/dummy/serial_dummy.cpp,
	  src/dummy/user_strings_dummy.cpp, src/dummy/xpram_dummy.cpp,
	  src/include/adb.h, src/include/audio.h, src/include/audio_defs.h,
	  src/include/cdrom.h, src/include/clip.h, src/include/debug.h,
	  src/include/disk.h, src/include/emul_op.h, src/include/ether.h,
	  src/include/ether_defs.h, src/include/extfs.h,
	  src/include/extfs_defs.h, src/include/macos_util.h,
	  src/include/main.h, src/include/prefs.h,
	  src/include/prefs_editor.h, src/include/rom_patches.h,
	  src/include/rsrc_patches.h, src/include/scsi.h,
	  src/include/serial.h, src/include/serial_defs.h,
	  src/include/slot_rom.h, src/include/sony.h, src/include/sys.h,
	  src/include/timer.h, src/include/user_strings.h,
	  src/include/version.h, src/include/video.h,
	  src/include/video_defs.h, src/include/xpram.h,
	  src/native_cpu/cpu_emulation.h, src/powerrom_cpu/cpu_emulation.h,
	  src/powerrom_cpu/powerrom_cpu.cpp, src/uae_cpu/basilisk_glue.cpp,
	  src/uae_cpu/cpu_emulation.h,
	  src/uae_cpu/compiler/codegen_x86.cpp,
	  src/uae_cpu/compiler/codegen_x86.h,
	  src/uae_cpu/compiler/compemu.h,
	  src/uae_cpu/compiler/compemu_fpp.cpp,
	  src/uae_cpu/compiler/compemu_support.cpp,
	  src/uae_cpu/compiler/flags_x86.h, src/uae_cpu/compiler/gencomp.c,
	  src/uae_cpu/fpu/core.h, src/uae_cpu/fpu/exceptions.cpp,
	  src/uae_cpu/fpu/exceptions.h, src/uae_cpu/fpu/flags.cpp,
	  src/uae_cpu/fpu/flags.h, src/uae_cpu/fpu/fpu.h,
	  src/uae_cpu/fpu/fpu_ieee.h, src/uae_cpu/fpu/fpu_uae.h,
	  src/uae_cpu/fpu/fpu_x86.cpp, src/uae_cpu/fpu/fpu_x86.h,
	  src/uae_cpu/fpu/impl.h, src/uae_cpu/fpu/mathlib.cpp,
	  src/uae_cpu/fpu/mathlib.h, src/uae_cpu/fpu/rounding.cpp,
	  src/uae_cpu/fpu/rounding.h, src/uae_cpu/fpu/types.h:

	Happy New Year! :)

2004-01-10 08:54  gbeauche

	* src/adb.cpp:

	Make sure 68k procedures are stored on 16-bit word boundaries.

2004-01-04 16:35  gbeauche

	* src/Unix/audio_oss_esd.cpp:

	Force DSP_RESET on AudioExit() so that we don't get "clicks" (?).

2004-01-04 06:11  gbeauche

	* src/Unix/video_vosf.h:

	Always prefer our (inlined) spinlocks.

2004-01-04 05:47  gbeauche

	* src/Unix/audio_oss_esd.cpp:

	Force device to stop immediately with an SNDCTL_DSP_RESET. Otherwise, a
	regular close() sends SNDCTL_DSP_SYNC which can hang (and does on PPC)

2003-12-20 23:22  gbeauche

	* src/Unix/sigsegv.cpp:

	Instruction skipper for Solaris/SPARC.

2003-12-20 21:50  gbeauche

	* src/Unix/sigsegv.cpp:

	Add support for Linux/hppa, FreeBSD/alpha. Misc debugging output.

2003-12-20 21:44  gbeauche

	* src/Unix/vm_alloc.cpp:

	Fix build with DEC C++ compiler on Tru64.

2003-12-20 10:06  gbeauche

	* src/Unix/sigsegv.cpp:

	MIPS instruction skipper. TODO: check LWL/LWR semantics.

2003-12-20 07:43  gbeauche

	* src/Unix/sigsegv.cpp:

	Fix subterfuge mode on IRIX/mips. Get PC in both modes for Irix too

2003-11-28 15:49  cebix

	* src/Unix/Linux/NetDriver/Makefile:

	run depmod after installing module

2003-11-24 23:27  gbeauche

	* src/Unix/: vm_alloc.cpp, vm_alloc.h:

	Enable possibility to manually pass VM_MAP_32BIT & friends. This is needed
	for the PowerPC "JIT1" engine.

2003-11-21 14:19  gbeauche

	* src/: Unix/main_unix.cpp, uae_cpu/compiler/compemu_support.cpp,
	  uae_cpu/compiler/compemu.h:

	Implement lazy icache range invalidation. Disable for now until it shows
	a real benefit over only 2%

2003-11-21 14:16  gbeauche

	* src/Unix/: configure.ac, sysdeps.h:

	fix loff_t & caddr_t type checks

2003-11-21 13:27  gbeauche

	* src/uae_cpu/fpu/mathlib.h:

	fix fp_do_sgn1() for "double"-targets

2003-11-18 11:19  nigel

	* src/MacOSX/main_macosx.mm:

	Latest changes from Unix version (which I don't think work)

2003-11-18 11:17  nigel

	* src/MacOSX/configure.in:

	Latest changes from Unix version (mostly signal/page zero fixes)

2003-11-18 11:14  nigel

	* src/Unix/sysdeps.h:

	Compile fix for OS X (which does not define loff_t)

2003-11-11 00:10  gbeauche

	* src/Unix/sigsegv.cpp:

	really fix writes to byte registers

2003-11-10 23:54  gbeauche

	* src/Unix/sigsegv.cpp:

	fix configure tests. i.e. move up arch_insn_skipper_tests()

2003-11-10 23:47  gbeauche

	* src/Unix/sigsegv.cpp:

	Extend x86 instruction skipper to AMD64. Add plenty of arch dependent
	opcodes to test it. Also fix DEBUG output & writes (zero'ing) to %xH regs

2003-10-21 23:10  gbeauche

	* src/Unix/sigsegv.cpp:

	- FreeBSD/i386 sigcontext subterfuge support for instruction skipper
	- NetBSD/alpha support from Boehm GC
	- NetBSD/i386 won't work in sigcontext subterfuge mode unless instruction
	  is decoded more accurately to compute the effective address. Also note
	  that NetBSD 1.6 does not support siginfo_t yet.

2003-10-21 21:59  gbeauche

	* src/Unix/sigsegv.cpp:

	Solaris/SPARC support for SIGSEGV_FAULT_INSTRUCTION

2003-10-14 10:29  gbeauche

	* src/: prefs_items.cpp, uae_cpu/compiler/compemu_support.cpp:

	Add "jitblacklist" prefs item so that opcodes ranges could be excluded for
	translation. This should help debugging of (badly) translated code.

	Usage: jitblacklist xxxx(-yyyy)?(;xxxx(-yyyy)?)*
	where xxxx/yyyy are hexadecimal numbers

2003-10-13 20:15  gbeauche

	* src/Unix/sigsegv.cpp:

	fix merge with Mach exception filters, we have preconditions to check

2003-10-13 19:56  gbeauche

	* src/Unix/sigsegv.cpp:

	indentation fixes, optimize handle_badaccess() to receive only necessary
	data and don't copy a struct sigcontext again on x86.

2003-10-13 19:43  gbeauche

	* src/Unix/sigsegv.cpp:

	return something more convenient to debug on errors

2003-10-12 22:39  gbeauche

	* src/Unix/: Makefile.in, configure.ac, main_unix.cpp,
	  Darwin/lowmem.c, Darwin/pagezero.c, Darwin/testlmem.sh:

	Merge in __PAGEZERO hack from Michael Z. Sliczniak so that REAL_ADDRESSING
	mode can work under Darwin.

2003-10-12 21:58  gbeauche

	* src/Unix/configure.ac:

	Really make sure VERSION & PACKAGE macros are defined when generating a
	configure script with autoconf 2.52.

2003-10-12 21:55  gbeauche

	* src/Unix/sys_unix.cpp:

	Add hacks to disable "floppy" & "serial[ab]" entries that would cause
	Basilisk II to hang on MacOS X as an X11 build. I am not sure this is
	supposed to work in an Aqua build so I leave that enable there, assuming
	<AvailabilityMacros.h> is included somehow, thus defining MAC_OS_X_VERSION_*
	and friends.

2003-10-12 21:41  gbeauche

	* src/Unix/sigsegv.cpp:

	Make sure reported fault instruction address falls into the expected code
	range. This is a configure-time safety net that depends on the GCC "Labels
	as Values" extension.

2003-10-12 21:21  gbeauche

	* src/Unix/main_unix.cpp:

	Report failure to install the SIGSEGV handler correctly

2003-10-12 21:15  gbeauche

	* README, src/Unix/sigsegv.cpp:

	Mach memory fault recovery from Michael Z. Sliczniak

2003-10-12 15:56  gbeauche

	* src/Unix/configure.ac:

	Mach bad access recovery support from Michael Z. Sliczniak

2003-10-12 11:00  gbeauche

	* src/Unix/vm_alloc.h:

	Fix vm_acquire() and friend on MacOS X

2003-10-03 18:18  gbeauche

	* src/: Unix/vm_alloc.cpp, uae_cpu/compiler/compemu_support.cpp:

	Make sure a 32-bit B2/JIT works reasonnably well on AMD64 too. This implies
	to force RAMBaseHost < 0x80000000. This is empirically determined to work on
	Linux/x86 and Linux/amd64.

2003-10-02 09:51  gbeauche

	* src/uae_cpu/compiler/compemu_support.cpp:

	flags are live after a call to fflags_into_flags_internal()

2003-10-02 09:48  gbeauche

	* src/uae_cpu/compiler/compemu_fpp.cpp:

	get a chance to see some illegal instruction variants if we ever come to
	encounter them.

2003-09-29 13:30  cebix

	* BasiliskII.spec:

	parallel build uses NCPU jobs instead of NCPU+1

2003-09-29 08:27  gbeauche

	* src/Unix/video_vosf.h:

	use spinlocks on SheepShaver/Linux/PPC, and possibly others where spinlocks
	are available. TODO: check the fastest & safest means to lock VOSF stuff.

2003-09-29 08:04  gbeauche

	* src/Unix/sigsegv.cpp:

	really fix typo!

2003-09-29 08:02  gbeauche

	* src/Unix/sigsegv.cpp:

	fix typo

2003-09-29 07:02  gbeauche

	* src/Unix/: main_unix.cpp, sigsegv.cpp, sigsegv.h, video_vosf.h:

	New SIGSEGV API so that skip-instruction requests are more explicit. Yes,
	that's api change, but that's cooler now for SheepShaver. ;-)

2003-08-17 11:58  gbeauche

	* src/Unix/configure.ac:

	Check for readline headers in the headers check section as otherwise, and
	I don't exactly know why, AC_HEADER_STDC would fail with newer autoconf
	versions.

2003-08-17 10:52  gbeauche

	* src/Unix/sigsegv.cpp:

	Bring x86 instruction skipper back to life

2003-08-17 10:35  gbeauche

	* src/Unix/configure.ac:

	Aliases for PACKAGE and VERSION used for localisation if compiling cxmon
	now that we check for AM_GNU_GETTEXT. Yes, life sucks sometimes.

2003-08-17 10:20  gbeauche

	* src/Unix/sshpty.c:

	#define log printf in B2 stubs

2003-08-17 10:16  gbeauche

	* src/Unix/configure.ac:

	AM_GNU_GETTEXT for gnome stuff

2003-08-17 00:27  nigel

	* src/MacOSX/English.lproj/MainMenu.nib/objects.nib:

	Corrected names in keyboard menu

2003-08-16 11:16  nigel

	* src/MacOSX/PrefsEditor.mm:

	Cope with invalid keyboard ids

2003-08-16 11:14  nigel

	* src/MacOSX/Emulator.mm:

	Restart now works if the emulator is paused
	(i.e. it unpauses it first)

2003-08-16 03:28  nigel

	* src/adb.cpp, src/prefs_items.cpp, README:

	Added new keyboardtype preference (stolen from the Windows port)

2003-08-16 03:03  nigel

	* src/MacOSX/English.lproj/MainMenu.nib/: classes.nib, objects.nib:

	Added new keyboardtype popup menu

2003-08-16 02:59  nigel

	* src/MacOSX/BasiliskII.pbproj/project.pbxproj:

	Corrected path on some Unix source, added HowTo.html,
	updated vers. no, turned off debugging

2003-08-16 02:53  nigel

	* src/MacOSX/: ToDo.html, Versions.html:

	New version (still at beta), new ideas, slight reformatting

2003-08-16 02:51  nigel

	* src/MacOSX/: PrefsEditor.h, PrefsEditor.mm:

	Extra code for keyboardtype popup menu, renamed a variable

2003-08-16 02:47  nigel

	* src/MacOSX/Controller.mm:

	Default app for HowTo.html (instead of TextEdit), formatting (spaces->tabs)

2003-08-02 11:03  nigel

	* src/MacOSX/main_macosx.mm:

	Some segmentation trap changes from latest main_unix.cpp

2003-08-02 10:43  nigel

	* src/MacOSX/prefs_macosx.cpp:

	extfs now defaults to user's home directory (mounting / is a bit dangerous, and slow)

2003-08-02 08:48  nigel

	* INSTALL:

	Added OS X sections

2003-08-02 08:47  nigel

	* src/MacOSX/0_HOW_TO_BUILD.txt:

	Small tidyup

2003-08-02 08:19  nigel

	* src/MacOSX/: 1_prepare_files.sh, Makefile.in:

	Updated Unix config.{guess,sub} which know about Darwin means that
	we can use them instead of looking for the OS X installed versions.

2003-08-02 07:26  nigel

	* src/MacOSX/BasiliskII.pbproj/project.pbxproj:

	App needs Unix/sigsegv.cpp. How did I miss this?

2003-08-02 06:22  nigel

	* src/MacOSX/configure.in:

	Added minor changes from latest Unix version

2003-07-25 13:45  cebix

	* src/Unix/configure.ac:

	fixed the test for GCC [Brian J. Johnson]

2003-07-25 13:41  cebix

	* src/Unix/main_unix.cpp:

	fix for no-threads case for an emulated 68k [Todd Vierling]

2003-07-12 11:04  cebix

	* src/Unix/Irix/audio_irix.cpp:

	added format switching and other improvements [Brian Johnson]

2003-07-01 18:10  cebix

	* src/Unix/configure.ac:

	modernized the autoconf stuff

2003-06-27 13:59  cebix

	* src/Unix/: config.guess, config.sub, install-sh, mkinstalldirs:

	updated autoconf auxiliary files

2003-06-03 12:46  nigel

	* src/MacOSX/English.lproj/MainMenu.nib/classes.nib:

	New items for changing prefs file

2003-06-03 12:40  nigel

	* src/MacOSX/configure.in:

	Incomporated some more stuff from latest Unix version, formatting changes

2003-06-03 12:32  nigel

	* src/MacOSX/Versions.html:

	Reformatted raw text, added latest changes (preliminarily for next version)

2003-06-03 12:28  nigel

	* src/MacOSX/ToDo.html:

	Removed publish suggestion

2003-06-03 12:27  nigel

	* src/MacOSX/Makefile.in:

	Added RCS Id

2003-06-03 12:26  nigel

	* src/MacOSX/HowTo.html:

	Better ROM copying doco (as suggested by Sacha Mitchell)

2003-06-03 12:22  nigel

	* src/MacOSX/Emulator.h:

	Sorted methods

2003-06-03 12:14  nigel

	* src/MacOSX/: 0_HOW_TO_BUILD.txt, 1_prepare_files.sh:

	Minor doco changes

2003-06-03 09:01  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	Call correct PUSHF/POPF macro

2003-05-28 10:17  gbeauche

	* src/uae_cpu/fpu/fpu_ieee.cpp:

	workaround a compiler bug on SPARC (Milan)

2003-05-28 10:14  gbeauche

	* src/uae_cpu/fpu/fpu_ieee.cpp:

	really make long double values (Milan)

2003-05-22 22:13  gbeauche

	* src/Unix/: video_blit.cpp, video_vosf.h, video_x.cpp:

	Rearrange video_vosf.h to accomodate both SheepShaver and BasiliskII video
	infrastructure. Make video_blit.cpp a little more emulator independent.

2003-05-19 17:15  gbeauche

	* src/uae_cpu/compiler/codegen_x86.h:

	- Fix "extended register" predicate to exclude X86_NOREG and X86_RIP
	- Really handle requested 32-bit absolute address in AMD64 target
	- Fix REX prefixes in 16-bit ALU instructions
	- Fix POPF, remove useless? POPFD and PUSHFD

2003-05-14 06:50  gbeauche

	* src/Unix/: main_unix.cpp, sigsegv.cpp, sigsegv.h:

	New API to ignore a SIGSEGV fault. This should help on SheepShaver/x86 for now
	since I still don't know why MacOS would like to write to ROM on a particular
	test.

2003-05-13 16:56  gbeauche

	* src/Unix/vm_alloc.cpp:

	Fix check against return value of memset() in vm_acquire_fixed

2003-05-13 16:33  gbeauche

	* src/Unix/configure.ac:

	Fix check for mmap()'able low mem globals

2003-05-13 12:34  gbeauche

	* src/: adb.cpp, audio.cpp:

	Little-endian fixes for SheepShaver

2003-04-02 02:19  nigel

	* src/MacOSX/PrefsEditor.mm:

	Extra code for changing preferences file

2003-04-02 02:18  nigel

	* src/MacOSX/PrefsEditor.h:

	Extra methods and outlets for changing preferences file,
	slight tidyup

2003-04-02 02:15  nigel

	* src/MacOSX/prefs_macosx.cpp:

	Allow prefs file path from args,
	include some extra stuff from latest unix version of file

2003-04-02 00:50  nigel

	* src/MacOSX/main_macosx.mm:

	Arg processing for prefs file path, include some extra stuff
	(SEGV and JIT) from latest unix version of file

2003-04-02 00:37  nigel

	* src/MacOSX/EmulatorView.mm:

	Eliminate a few warnings

2003-04-01 05:26  nigel

	* src/uae_cpu/readcpu.h:

	Building on GCC 2 causes errors:
	../uae_cpu/gencpu.c: In function `void gen_opcode(long unsigned int)':
	../uae_cpu/gencpu.c:874: conversion from `unsigned int' to `enum wordsizes'
	../uae_cpu/gencpu.c:875: conversion from `unsigned int' to `enum amodes'
	due to mismatching of types in struct instr and types in function prototypes.
	However, this only started happening recently and I don't know why :-(

2003-04-01 03:17  nigel

	* src/MacOSX/HowTo.html:

	Some extra versions tested, extra tips, ExtFS 7.5.3

2003-04-01 01:58  nigel

	* src/MacOSX/Versions.html:

	Final v13 changelist

2003-04-01 01:56  nigel

	* src/MacOSX/Controller.mm:

	Allow changes in Prefs window while emulator is running

2003-04-01 01:55  nigel

	* src/MacOSX/English.lproj/MainMenu.nib/objects.nib:

	Extra Help menu items, change RAM size without pressing return

2003-04-01 01:53  nigel

	* src/MacOSX/English.lproj/MainMenu.nib/classes.nib:

	Controller classes for extra Help menu items

2003-04-01 01:52  nigel

	* src/MacOSX/English.lproj/InfoPlist.strings:

	Copyright symbol corrected (edited the file in vi and did an option G.
	It now looks wrong in something like TextEdit, but appears correct in
	the About panel and the Finder).

2003-03-27 00:04  nigel

	* src/MacOSX/: ToDo.html, Versions.html:

	Added v13, updated bugs

2003-03-26 23:37  nigel

	* src/MacOSX/EmulatorView.mm:

	1) Publish methods for clearing and blackening the bitmap
	2) Always do the calculations for a possibly scaled view.
	Even if we prevent the user from changing the view size,
	the Monitors control panel in the emulator may still try to
	select a resolution which is too large for the screen,
	and thus the window will have to be reduced to fit,
	and thus the screen and bitmap co-ords may not match

2003-03-26 23:35  nigel

	* src/MacOSX/EmulatorView.h:

	Publish methods for clearing and blackening the bitmap

2003-03-26 23:08  nigel

	* src/MacOSX/video_macosx.mm:

	Re-entry fix (purge vectors in VideoExit()),
	animate resizing of window, and centre afterwards

2003-03-26 23:04  nigel

	* src/MacOSX/Emulator.mm:

	Fixes for safe Restart()ing, some tidying up

2003-03-26 22:26  nigel

	* src/MacOSX/HowTo.html:

	Starter documentation (in response to some users' FAQs)

2003-03-26 01:45  nigel

	* src/MacOSX/Emulator.mm:

	Correctly deal with error conditions from InitEmulator()

2003-03-26 00:26  nigel

	* src/MacOSX/main_macosx.mm:

	Repair QuitEmulator replacement macro.
	(we was incorrectly returning after the call to InitAll() )

2003-03-26 00:20  nigel

	* src/MacOSX/: Controller.h, Controller.mm:

	Extra help menu action (for HowTo)

2003-03-26 00:18  nigel

	* src/MacOSX/prefs_macosx.cpp:

	Increase default windowed screen height to the minimum
	for a colour Mac (was appropriate for B&W only)

2003-03-25 01:47  nigel

	* src/MacOSX/PrefsEditor.mm:

	Minor UI error from removal of OpenGL button

2003-03-25 01:46  nigel

	* src/MacOSX/video_macosx.mm:

	When in CGIMAGEREF windowed mode; cleanup
	when changing modes, future mask generation code.

2003-03-25 01:44  nigel

	* src/MacOSX/main_macosx.mm:

	Extra warning for ROM path not set,
	try to terminate in QuitEmulator()

2003-03-25 01:42  nigel

	* src/MacOSX/sysdeps.h:

	Incorporate x86_64 changes from latest Unix version

2003-03-24 22:50  nigel

	* src/MacOSX/main_macosx.mm:

	Oops. QuitEmuNoExit() was exiting the NSApp.

2003-03-24 11:41  nigel

	* src/MacOSX/configure.in:

	Fixes for latest FPU emulation source.
	(We add the FPU_* into config.h so that the IDE can pick it up automatically)

2003-03-24 11:31  nigel

	* src/MacOSX/BasiliskII.pbproj/project.pbxproj:

	timer_unix.cpp in current directory, fpu_ieee.cpp instead of fpu_uae.cpp

2003-03-24 10:18  nigel

	* src/MacOSX/: 1_prepare_files.sh, Makefile.in:

	Unix/timer_unix.cpp was also being compiled with the wrong sysdeps.h
	(the one from the Unix directory)

2003-03-24 06:42  nigel

	* src/MacOSX/BasiliskII.pbproj/project.pbxproj:

	Compile fix for latest uae_cpu

2003-03-24 06:18  nigel

	* src/MacOSX/: 1_prepare_files.sh, Makefile.in,
	  BasiliskII.pbproj/project.pbxproj:

	I was compiling ../Unix/sys_unix.cpp, but that meant the compiler
	was pulling in ../Unix/sysdeps.h that did not define loff_t.
	So, I now generate and compile a symlink to that file instead

2003-03-23 23:42  nigel

	* src/MacOSX/audio_defs_macosx.h:

	audio_defs.h compatible with OS X

2003-03-23 23:36  nigel

	* src/MacOSX/audio_macosx.mm:

	Start of audio hacking

2003-03-21 19:12  gbeauche

	* src/uae_cpu/compiler/: codegen_x86.cpp, compemu.h,
	  compemu_fpp.cpp, compemu_support.cpp:

	Remove some dead code. Start implementation of optimized calls to interpretive
	fallbacks for untranslatable instruction handlers. Disabled for now since
	call_m_01() is not correctly imeplemented yet.

2003-03-21 13:04  nigel

	* src/MacOSX/English.lproj/MainMenu.nib/objects.nib:

	Prevent progress indicator from growing when window resized

2003-03-21 12:57  nigel

	* src/MacOSX/English.lproj/MainMenu.nib/: classes.nib, objects.nib:

	Removed unused outlets and buttons

2003-03-21 12:38  nigel

	* src/MacOSX/1_prepare_files.sh:

	Oops. Those files are in CVS. Comment out the TIFF repair commands

2003-03-21 12:32  nigel

	* src/MacOSX/English.lproj/: Collapsed.tiff, Expanded.tiff,
	  classes.nib, info.nib, objects.nib:

	Oops. Stuffed up a CVS file, and added these in the wrong place

2003-03-21 12:28  nigel

	* src/MacOSX/BasiliskII.pbproj/project.pbxproj:

	Updated version and year in copyright, added source file

2003-03-21 12:24  nigel

	* src/MacOSX/English.lproj/objects.nib:

	Smaller reset & shutdown buttons - resized & moved a few items

2003-03-21 12:22  nigel

	* src/MacOSX/1_prepare_files.sh:

	Generate some icons used by Interface from OS X's login panel

2003-03-21 12:04  nigel

	* src/MacOSX/PrefsEditor.mm:

	Removed any OpenGL stuff

2003-03-21 11:46  nigel

	* src/MacOSX/English.lproj/: Collapsed.tiff, Expanded.tiff,
	  classes.nib, info.nib, objects.nib:

	Some Interface Builder files that somehow weren't checked in?

2003-03-21 10:07  nigel

	* src/MacOSX/: ToDo.html, Versions.html:

	New version, removed a few things from ToDo list

2003-03-21 09:14  nigel

	* README:

	Removed OpenGL relerences, updated description of windowed mode

2003-03-21 07:05  nigel

	* src/MacOSX/sys_darwin.cpp:

	Darwin-specific CD code.

2003-03-21 07:03  nigel

	* src/Unix/sys_unix.cpp:

	Darwin-specific prefs and initial CD code. Since some of the CD code is just too weird to include here, I just call extern functions which I currently implement in a file sys_darwin.cpp

2003-03-21 06:44  nigel

	* src/MacOSX/PrefsEditor.mm:

	When using CGIMAGEREF drawing strategy, allow any bit depth

2003-03-21 06:41  nigel

	* src/MacOSX/: EmulatorView.h, EmulatorView.mm:

	Allow snapshot of window, no matter what the drawing strategy. Mention drawing strategy in benchmark results

2003-03-21 06:29  nigel

	* src/MacOSX/video_macosx.mm:

	Now supports all bit depth when in windowed mode
	(but only when using CGIMAGEREF drawing strategy)

2003-03-21 06:14  nigel

	* src/MacOSX/video_macosx.h:

	Use CGIMAGEREF as drawing strategy, and update comments explaining why

2003-03-20 13:49  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	Detect x86-64

2003-03-19 17:06  gbeauche

	* src/uae_cpu/compiler/codegen_x86.h:

	Optimize TEST[BWLQ]ir case where dest register is %rax
	Add JCCSii and JCCii which directly takes the displacement value to encode

2003-03-19 17:05  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	Emulate CMOV in the new code generator for processors that don't support
	this intruction

2003-03-19 16:32  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	Add missing wrappers of the new runtime-assembler primitives

2003-03-19 16:28  gbeauche

	* src/uae_cpu/compiler/compemu_support.cpp:

	Add facility to filter out some opcodes from the compfunctbl[] et al.

2003-03-19 16:25  gbeauche

	* src/uae_cpu/compiler/codegen_x86.h:

	Fix MOVBrr

2003-03-19 11:34  gbeauche

	* src/uae_cpu/compiler/codegen_x86.h:

	Fix 0(%rbp,<reg>,1) operand encoding

2003-03-18 17:26  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	Add new backend, disabled for until it's proofread and fully functional
	Remove obsolete string-related instructions

2003-03-18 17:01  gbeauche

	* src/uae_cpu/compiler/codegen_x86.h:

	Add sign/zero-extend instructions

2003-03-18 16:28  gbeauche

	* src/uae_cpu/compiler/codegen_x86.h:

	Fix _REXBmr(). Add CPUID. Some C++ compiler fixes. Make x86_emit_failure()
	be void, and let x86_emit_failure0() be an int expression instead.

2003-03-18 13:12  gbeauche

	* src/uae_cpu/compiler/codegen_x86.h:

	Add CMOV and BSF/BSR instructions

2003-03-18 10:08  gbeauche

	* src/uae_cpu/compiler/codegen_x86.h:

	Handle absolute and RIP addressing modes in x86-64

2003-03-17 22:37  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	clobber "cc" for flags, not "flags". Thanks Milan for noticing it.

2003-03-17 17:18  gbeauche

	* src/uae_cpu/compiler/codegen_x86.h:

	Add some SSE/SSE2 instructions

2003-03-14 17:11  gbeauche

	* README:

	typo

2003-03-14 17:10  gbeauche

	* README:

	Document current JIT options.

2003-03-14 17:10  gbeauche

	* ChangeLog:

	JIT compiler is integrated but not yet the default for Linux/x86 and
	FreeBSD/x86.

2003-03-13 20:34  gbeauche

	* src/uae_cpu/compiler/: codegen_x86.cpp, compemu_support.cpp,
	  gencomp.c:

	Implement a generic setzflg_l() for P4, thus permitting to re-enable
	translation of ADDX/SUBX/BCLR/BTST/BSET/BCHG instructions. i.e. make
	it faster. ;-)

2003-03-13 15:57  gbeauche

	* src/uae_cpu/compiler/: codegen_x86.cpp, compemu.h,
	  compemu_support.cpp, gencomp.c:

	Workaround change in flags handling for BSF instruction on Pentium 4.
	i.e. currently disable translation of ADDX/SUBX/B<CHG,CLR,SET,TST> instructions
	in that case. That is to say, better (much?) slower than inaccurate. :-(

2003-03-13 09:51  gbeauche

	* src/uae_cpu/compiler/compemu_support.cpp:

	Fix align_target with a padding of 0 bytes

2003-03-11 11:44  nigel

	* src/MacOSX/video_macosx.mm:

	Mouse position fixes when in fullscreen mode.

2003-03-11 11:32  nigel

	* src/MacOSX/: ToDo.html, Versions.html:

	Minor doco updates

2003-03-11 11:31  nigel

	* src/MacOSX/PrefsEditor.mm:

	32bit defaults for windowed mode.

2003-03-11 11:31  nigel

	* src/MacOSX/Controller.mm:

	Simplified (and sped up) mouse movement processing when in fullscreen mode.

2003-03-11 11:27  nigel

	* src/MacOSX/: EmulatorView.h, EmulatorView.mm:

	Corrected mouse co-ordinate processing after full screen resizing,
	simplified mouse movement processing for full screen, added a few comments.

2003-02-06 19:24  cebix

	* src/Unix/Linux/NetDriver/: Makefile, sheep_net.c:

	some cleanups

2003-02-06 19:10  cebix

	* src/Unix/Linux/NetDriver/Makefile:

	added "install" target

2003-01-31 23:48  gbeauche

	* src/uae_cpu/compiler/codegen_x86.h:

	Add some FPU instructions. Minor clean-ups.

2003-01-31 20:39  gbeauche

	* src/uae_cpu/compiler/codegen_x86.h:

	Add new run-time assembler derived from GNU lightning. It is suitable for
	both i386 and x86-64 architectures. Still needs some work (see TODO) and
	an actual glue to the JIT backend.

	Original work is LGPL, but per section 3 of this license, I opt for GPL v2
	for Basilisk II purposes.

2003-01-16 18:33  cebix

	* src/cdrom.cpp:

	read_toc() dumps the entire TOC when DEBUG=1

2003-01-10 23:18  nigel

	* src/MacOSX/video_macosx.h:

	Change MIN_HEIGHT, add new one for classic mode

2003-01-10 23:16  nigel

	* src/MacOSX/configure.in:

	Corrections for 10.1 (which has a much older autoconf)

2003-01-10 23:12  nigel

	* src/MacOSX/: ToDo.html, Versions.html:

	Updates for latest (though as yet unreleased) version

2003-01-10 23:05  nigel

	* src/MacOSX/Makefile.in:

	Make cpuemu[1-8].cpp if a for loop, a few minor corrections

2003-01-10 23:01  nigel

	* src/MacOSX/: Controller.h, Controller.mm:

	Extra methods for new Help menu items

2003-01-10 23:00  nigel

	* src/MacOSX/0_HOW_TO_BUILD.txt:

	Added a few notes on different compilation strategies

2002-12-19 10:40  nigel

	* src/MacOSX/video_macosx.mm:

	10.2 enhancements, eliminated some warnings, added alpha channel mask stuff

2002-12-18 12:13  nigel

	* src/MacOSX/sysdeps.h:

	Corrected 10.2 problem, add 10.1 compile fix for newer configure.in

2002-12-18 12:05  nigel

	* src/MacOSX/video_macosx.h:

	Better comments about drawing strategies,
	new define to specify using the alpha channel

2002-12-18 11:56  nigel

	* src/MacOSX/: PrefsEditor.h, PrefsEditor.mm:

	[[blah alloc] init] -> [blah new],
	error checking when deleting volume files

2002-12-18 11:54  nigel

	* src/MacOSX/NNThread.m:

	[[blah alloc] init] -> [blah new]

2002-12-18 11:53  nigel

	* src/MacOSX/: EmulatorView.h, EmulatorView.mm:

	Allow randomise to work with different drawing strategies

2002-12-18 11:50  nigel

	* src/MacOSX/: Controller.mm, Emulator.mm:

	[[blah alloc] init] becomes [blah new]

2002-12-18 11:33  nigel

	* src/MacOSX/ToDo.html:

	JIT

2002-11-24 20:07  gbeauche

	* src/Unix/: configure.ac, main_unix.cpp:

	Add changes from Brian Johnson:
	- Update MIPSpro compiler flags
	- Only define static variables if they are to be used
	- Try to lock the pthreads mutex prior to unlocking/destroying it

2002-11-16 15:38  gbeauche

	* src/Unix/sysdeps.h:

	Update ASM_SYM_FOR_FUNC to match x86-64 too, may be useful later.

2002-11-16 15:28  gbeauche

	* src/uae_cpu/fpu/: core.h, exceptions.h, flags.h, fpu_ieee.cpp,
	  mathlib.cpp, mathlib.h, rounding.h, types.h:

	Use old x87 FPU stack on x86-64 too because we now use long doubles there for
	better accuracy. Aka. prefer compatibility over speed.

2002-11-05 11:59  gbeauche

	* src/uae_cpu/m68k.h:

	OPTIMIZED_FLAGS for x86-64 with the pushf/pop method since sahf/lahf are
	invalid in long mode.

2002-11-05 11:58  gbeauche

	* src/Unix/configure.ac:

	Add configury for x86-64

2002-11-05 10:33  gbeauche

	* src/main.cpp:

	Updates to reflect recent cxmon 64bit changes

2002-11-05 10:32  gbeauche

	* src/Unix/configure.ac:

	Get rid of CPU_* defines as nobody actually used them and are useless

2002-11-05 10:32  gbeauche

	* src/Unix/sysdeps.h:

	x86-64 can do unaligned accesses

2002-11-02 18:13  gbeauche

	* src/uae_cpu/: gencpu.c, newcpu.cpp, newcpu.h,
	  compiler/compemu_support.cpp:

	Remove obsolete CFLOW_* constants but keep cpuop_{begin,end} for an
	inline-threaded core.

2002-11-02 17:23  gbeauche

	* src/uae_cpu/readcpu.cpp:

	Fix buffer overflow reported by Aranym people

2002-10-31 08:54  nigel

	* src/MacOSX/main_macosx.mm:

	Eliminate compile warning

2002-10-31 08:52  nigel

	* src/MacOSX/: configure.in, sysdeps.h:

	SOme 10.2 compile fixes

2002-10-29 14:28  nigel

	* src/MacOSX/sysdeps.h:

	Fixes for compiling on 10.2

2002-10-29 14:27  nigel

	* src/MacOSX/main_macosx.mm:

	Eliminate warning

2002-10-29 14:26  nigel

	* src/MacOSX/configure.in:

	Correct path for some Unix files

2002-10-29 14:23  nigel

	* src/MacOSX/config.h.in:

	Now generated by autoheader

2002-10-29 14:18  nigel

	* src/MacOSX/1_prepare_files.sh:

	Added Id, overwrite existing symlinks, run autoheader

2002-10-28 10:56  nigel

	* Makefile:

	Added rules to generate MacOSX archive

2002-10-22 12:11  nigel

	* src/MacOSX/: ToDo.html, Versions.html:

	Added info about documentation

2002-10-22 12:10  nigel

	* src/MacOSX/NNThread.m:

	Add include to eliminate warning

2002-10-22 12:09  nigel

	* src/MacOSX/Makefile.in:

	Corrected dependency for non-ide building
	(makefile was not generating cpuemu*.cpp)

2002-10-15 16:25  cebix

	* ChangeLog, README, TODO, src/Unix/audio_oss_esd.cpp,
	  src/Unix/prefs_editor_gtk.cpp, src/Unix/prefs_unix.cpp,
	  src/Unix/user_strings_unix.cpp, src/Unix/user_strings_unix.h:

	Unix: new prefs options "dsp" and "mixer" to set the OSS device names instead
	of the hardcoded '/dev/dsp' and '/dev/mixer'

2002-10-13 11:14  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	Some instructions assume offsets are only 1-byte long. I don't think this
	is 100% correct. Therefore, insert some asserts so that would fail.

2002-10-12 16:27  gbeauche

	* src/uae_cpu/compiler/: codegen_x86.cpp, compemu_support.cpp:

	Add raw_emit_nop_filler() with more efficient no-op fillers stolen from
	GNU binutils 2.12.90.0.15. Speed bump is marginal (less than 6%). Make it
	default though, that's conditionalized by tune_nop_fillers constant.

2002-10-06 23:29  nigel

	* src/MacOSX/configure.in:

	Incorporate several changes from latest Unix version of file

2002-10-06 23:28  nigel

	* src/MacOSX/Makefile.in:

	Change required for GCC 3.1 (stdc++ library needed in C++ program link),
	general tidy-up (now use G++ to compile several files at once for gencpu)

2002-10-06 23:26  nigel

	* src/MacOSX/EmulatorView.mm:

	Newer prototype required by GCC 3.1

2002-10-06 23:23  nigel

	* src/MacOSX/1_prepare_files.sh:

	MacOS 10.2 compatibility (diffeent config.sub & config.guess location),
	argument processing (like Unix autogen.sh)

2002-10-03 19:57  gbeauche

	* TECH:

	Real addressing mode also works on Linux/ppc. Uhoh, what was the initial
	problem anyway?

2002-10-03 16:16  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	Don't forget to note CPU detection code mostly comes from Linux kernel.

2002-10-03 16:13  gbeauche

	* src/uae_cpu/compiler/: codegen_x86.cpp, compemu.h,
	  compemu_fpp.cpp, compemu_support.cpp, flags_x86.h, gencomp.c:

	JIT add copyright notices just to notify people that's real derivative
	work from GPL code (UAE-JIT). Additions and improvements are from B2
	developers.

2002-10-03 15:50  gbeauche

	* TECH:

	Real addressing is reported to work on FreeBSD/i386 too

2002-10-03 15:49  gbeauche

	* src/Unix/sigsegv.cpp:

	configure script is reportedly no longer crashing on FreeBSD when
	SIGSEGV_SKIP_INSTRUCTION is set.

2002-10-03 15:47  gbeauche

	* src/Unix/audio_oss_esd.cpp:

	B2 maintainer for FreeBSD reported <sys/soundcard.h> is the one to use in all
	recent versions of FreeBSD.

2002-10-03 15:05  gbeauche

	* src/uae_cpu/: readcpu.cpp, compiler/compemu_support.cpp:

	- Turn on runtime detection of loop and jump alignment as Aranym people
	  reported they got some improvement with it and larger loops. Small
	  loops are an issue for now until unrolling is implemented for DBcc.
	- Const jumps are identified in readcpu. I don't want to duplicate code
	  uselessly. Rather, it's the JIT job to know whether we are doing block
	  inlining and un-marking those instructions as end-of-block.

2002-10-03 15:01  gbeauche

	* src/uae_cpu/compiler/compemu.h:

	Turn on block inlining so that people could test this feature and report
	if they do gain something or renders JIT less stable.

2002-10-03 14:59  gbeauche

	* src/uae_cpu/compiler/gencomp.c:

	Do translate BSR.L, we don't have any issue with that even if we are
	doing block inlining since we have a complete chain of information about
	the blocks to checksum.

2002-10-03 14:58  gbeauche

	* src/uae_cpu/compiler/compemu_fpp.cpp:

	Do translate FMUL instructions, the core needs to be fixed and this is
	not translation of that instruction. I believe this is related to some
	misgeneration of FPU core sequence and allocation of FP registers?

2002-10-02 16:22  gbeauche

	* src/uae_cpu/compiler/compemu_support.cpp:

	Add PROFILE_UNTRANSLATED_INSNS information. Interestingly, the following
	are the bottleneck now: DIVS, BSR.L (why isn't it translated yet?),
	bit-field instructions (I need to self-motivate enough for that), and
	A-Traps.

2002-10-02 15:55  gbeauche

	* src/uae_cpu/: readcpu.cpp, readcpu.h, compiler/compemu.h,
	  compiler/compemu_support.cpp:

	- Remove dead code in readcpu.cpp concerning CONST_JUMP control flow.
	- Replace unused fl_compiled with fl_const_jump
	- Implement block inlining enabled with USE_INLINING && USE_CHECKSUM_INFO.
	  However, this is currently disabled as it doesn't give much and exhibits
	  even more a cache/code generation problem with FPU JIT compiled code.
	- Actual checksum values are now integral part of a blockinfo regardless
	  of USE_CHECKSUM_INFO is set or not. Reduce number of elements in that
	  structure and speeds up a little calculation of checksum of chained blocks.
	- Don't care about show_checksum() for now.

2002-10-01 16:22  gbeauche

	* src/uae_cpu/compiler/: compemu.h, compemu_support.cpp:

	- Rewrite blockinfo allocator et al. Use a template class so that this
	  can work with other types related to blockinfos.
	- Add new method to compute checksums. This should permit code inlining
	  and follow-ups of const_jumps without breaking the lazy cache invalidator.
	  aka. chain infos for checksuming. TODO: Incomplete support thus disabled.

2002-10-01 09:58  gbeauche

	* src/Unix/configure.ac:

	- CAN_JIT=yes has to be moved into the actual block containing JITSRCS.
	- Optimistically reenable gas/x86 assembly optimizations and JIT for FreeBSD
	  as it used to work in the past there. If not, beat me.

2002-10-01 09:51  gbeauche

	* src/Unix/configure.ac:

	Huh, am I still asleep? Actually use the cpuemuX_nf.cpp pattern rather
	than the *.s variant.

2002-10-01 09:39  gbeauche

	* src/uae_cpu/: basilisk_glue.cpp, newcpu.cpp, newcpu.h,
	  compiler/compemu_support.cpp:

	- Optimize use of quit_program variable. This is a real boolean for B2.
	- Remove unused/dead code concerning surroundings of (debugging).
	- m68k_compile_execute() is generated and optimized code now.

2002-10-01 09:37  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	- #include "flags_x86.h" here to get NATICE_CC_?? helper macros
	- Add raw_cmp_b_mi() and raw_call_m_indexed() for generated
	  m68k_compile_execute() function

2002-10-01 09:34  gbeauche

	* src/Unix/configure.ac:

	Drop cpuopti on x86 now that we have a fast JIT. I don't want to bother
	fixing cpuopti or workarounding code for any known and unknown gcc bug.

2002-09-28 12:42  gbeauche

	* src/Unix/video_x.cpp:

	- Let fullscreen DGA mode work again, even with a DirectColor visual. In
	  that case, we do need add it when creating the window otherwise we
	  result int a nice BadMatch for X_CreateWindow request. FIXME?
	- Fix typo and do enable VOSF in DGA mode, if necessary.

2002-09-20 16:52  gbeauche

	* src/uae_cpu/fpu/types.h:

	Disable USE_QUAD_DOUBLE for now and probably for good as (i) the emulator
	implementation is not correct, (ii) I don't know of any CPU which
	handles this kind of format *natively* with conformance to IEEE.

2002-09-20 14:55  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	Fix align_jumps for athlon, that's really "16" and gcc-3.2 sources contained
	the same error. ;-)

2002-09-19 20:52  gbeauche

	* src/uae_cpu/fpu/fpu_ieee.cpp:

	- Implement {make,extract}_extended() for USE_QUAD_DOUBLE
	- Don't forget to fill in mantissa3 member for USE_QUAD_DOUBLE in
	  make_extended_*() but make sure NaN, inf, zeros are handled beforehand

2002-09-19 16:02  gbeauche

	* src/uae_cpu/fpu/: fpu_ieee.cpp, mathlib.h, types.h:

	Don't define USE_LONG_DOUBLE when sizeof(long double) == 16. This still
	is not very clean but it should build now. Probably live with USE_LONG_DOUBLE
	for any case where native long double exists and sizeof > 8 ?

2002-09-19 15:42  gbeauche

	* src/uae_cpu/fpu/: core.h, exceptions.h, flags.h, impl.h,
	  rounding.h:

	Get rid of any "extern inline" bits. Use static inline instead as MIPS
	compilers don't really like the former syntax.

2002-09-19 14:59  gbeauche

	* src/uae_cpu/compiler/: codegen_x86.cpp, compemu_support.cpp:

	- Rewrite raw_init_cpu() to match more details, from kernel sources.
	- Add possibility to tune code alignment to the underlying processor. However,
	  this is turned off as I don't see much improvement and align_jumps = 64
	  for Athlon looks suspicious to me.
	- Remove two extra align_target() that are already covered.
	- Remove unused may_trap() predicate.

2002-09-18 15:56  gbeauche

	* src/uae_cpu/compiler/codegen_x86.cpp:

	Optimize runtime assembler with shorter equivalents when the accumulator
	(%eax) is referenced along with immediates.

2002-09-18 13:06  gbeauche

	* src/Unix/configure.ac:

	Ensure the IEEE fpu core is used when building the JIT compiler

2002-09-18 11:41  gbeauche

	* src/: Unix/configure.ac, uae_cpu/compiler/compemu_support.cpp:

	Move -DSAHF_SETO_PROFITABLE down in x86 & gas specific block. Also ensure
	SAHF_SETO_PROFITABLE is defined when compiling the JIT. Aka I don't want
	to support obsolete and probably bogus code nowadays.

2002-09-18 10:25  gbeauche

	* src/Unix/configure.ac:

	Define SAHF_SETO_PROFITABLE on x86, aka restore full performance of the
	JIT compiler. ;-) BTW, also fixes some valgrind warnings.

2002-09-18 09:55  gbeauche

	* src/uae_cpu/compiler/compemu_support.cpp:

	Don't forget to use vm_realease() to free up translation cache. Also free
	the right amount of memory that was previously allocated.

2002-09-18 07:50  gbeauche

	* src/uae_cpu/compiler/compemu_support.cpp:

	Use vm_acquire() to allocate translation cache

2002-09-17 16:09  gbeauche

	* src/Unix/Makefile.in:

	Additions for the JIT compiler opcode translators + NOFLAGS variant of
	regular instruction handlers.

2002-09-17 16:08  gbeauche

	* src/Unix/configure.ac:

	Additions for the JIT compiler (--enable-jit-compiler, --enable-jit-debug)

2002-09-17 16:08  gbeauche

	* src/Unix/main_unix.cpp:

	Make FlushCodeRange aware of the JIT compiler's flush_icache()

2002-09-17 16:07  gbeauche

	* src/include/user_strings.h:

	Additional string defs for JIT-specific options

2002-09-17 16:06  gbeauche

	* src/: prefs_items.cpp, user_strings.cpp,
	  Unix/prefs_editor_gtk.cpp:

	Update prefs editor with "JIT Compiler" pane

2002-09-17 16:05  gbeauche

	* src/uae_cpu/: basilisk_glue.cpp, cpu_emulation.h, gencpu.c,
	  newcpu.cpp, newcpu.h, spcflags.h:

	- Changes to support 68040 -> x86 dynamic translator
	- Globalize FLIGHT_RECORDER, possibly used in compiler/ sources as well

2002-09-17 16:04  gbeauche

	* src/uae_cpu/compiler/: codegen_x86.cpp, compemu.h,
	  compemu_fpp.cpp, compemu_support.cpp, flags_x86.h, gencomp.c:

	Import JIT compiler

2002-09-16 15:40  gbeauche

	* src/Unix/configure.ac:

	Check for for C99 math functions in the form *l()

2002-09-16 15:40  gbeauche

	* src/uae_cpu/fpu/mathlib.h:

	Only use *l() math functions when they are available

2002-09-16 15:06  gbeauche

	* src/Unix/: configure.ac, main_unix.cpp:

	Conditionalize use of pthread_mutexattr_setpshared() as this is an optional
	POSIX feature from _POSIX_THREAD_PROCESS_SHARED group. Besides, Ulrich Drepper
	mentions "the kernel support for this option wasn't available until 2.5.7.
	Future versions of the thread library will support this option."
	<http://people.redhat.com/drepper/posix-option-groups.html>

	BTW, this nukes a warning when build on FreeBSD 4.6

2002-09-16 14:54  cebix

	* src/Unix/autogen.sh:

	updated autogen.sh to AutoGen(TM) 8.0 Professional :-)

2002-09-16 14:48  gbeauche

	* src/Unix/sysdeps.h:

	#include <pthread.h> to get pthread_attr_t definition

2002-09-16 14:17  gbeauche

	* src/Unix/configure.ac:

	Portability fixes: use a switch to test for ac_cv_c_float_format

2002-09-16 14:10  gbeauche

	* src/Unix/acconfig.h:

	Remove acconfig.h, obsoleted by new autoconf2.5 stuff

2002-09-16 13:32  gbeauche

	* ChangeLog:

	- Moved minium autoconf support to 2.52+
	- Add large file support for 2+ GB hard disk images

2002-09-16 13:29  gbeauche

	* src/Unix/: configure.ac, configure.in:

	Now use autoconf 2.52+ as it provides nice AC_SYS_LARGEFILE check and a
	fixed check for exit() prototype.

2002-09-16 13:28  gbeauche

	* src/Unix/acinclude.m4:

	Remove TYPE_SOCKLEN_T check as it was merged in main configure script already.

2002-09-16 12:03  gbeauche

	* src/Unix/: configure.in, sysdeps.h:

	- Make "ieee" core default, where applicable
	- Import gcc configury to determine HOST_FLOAT_FORMAT

2002-09-16 12:01  gbeauche

	* src/uae_cpu/fpu/: fpu_ieee.cpp, mathlib.h, types.h:

	- FP endianness is now testing at configure time
	- Fix junk introduced in previous rev for extract_extended()

2002-09-15 18:21  gbeauche

	* src/uae_cpu/fpu/: fpu_ieee.cpp, mathlib.h, types.h:

	Fix "ieee" FPU core on big endian and without long double > double support
	- Handle conversions to/from host double for m68k long doubles formats
	- Make mathlib aware of sizeof(long double) == sizeof(double) arches
	- Attempt to fix FSCALE implementation

2002-09-13 15:06  gbeauche

	* src/uae_cpu/fpu/: fpu_ieee.cpp, fpu_uae.cpp:

	USE_LONG_DOUBLE guards

2002-09-13 12:51  gbeauche

	* src/Unix/configure.in:

	Updates for new FPU core architecture, add "ieee" core (x86 for now)

2002-09-13 12:50  gbeauche

	* src/uae_cpu/: gencpu.c, newcpu.cpp, newcpu.h:

	Updates for new FPU core architecture

2002-09-13 12:50  gbeauche

	* src/uae_cpu/fpu/: core.h, exceptions.cpp, exceptions.h,
	  flags.cpp, flags.h, fpu.h, fpu_ieee.cpp, fpu_ieee.h, fpu_uae.cpp,
	  fpu_uae.h, fpu_x86.cpp, fpu_x86.h, fpu_x86_asm.h, impl.h,
	  mathlib.cpp, mathlib.h, rounding.cpp, rounding.h, types.h:

	* Basilisk II JIT integration, phase 2:
	- Add new FPU core architecture
	- Clean fpu_x86_asm.h as it is no longer automatically generated

2002-09-01 16:32  gbeauche

	* src/uae_cpu/: memory.cpp, newcpu.cpp, spcflags.h:

	Use B2_mutex instead of pthread mutexes when ENABLE_EXCLUSIVE_SPCFLAGS is
	set. However, this is not used at the moment. Is there an advantage? People
	may want to add arch-optimized SPCFLAGS_{SET,CLEAR}.

2002-09-01 15:17  gbeauche

	* src/uae_cpu/: basilisk_glue.cpp, build68k.c, gencpu.c,
	  newcpu.cpp, newcpu.h, noflags.h, readcpu.cpp, readcpu.h,
	  spcflags.h, table68k:

	- Merge with Basilisk II/JIT cpu core, interpretive part for now
	- Clean use of USE_PREFETCH_BUFFER macro and dependent bits

2002-09-01 12:01  cebix

	* src/AmigaOS/: asm_support.asm, main_amiga.cpp, scsi_amiga.cpp,
	  video_amiga.cpp:

	- implemented direct SCSI transfers (bypassing the buffer)
	- minor fixes

2002-07-31 16:46  cebix

	* ChangeLog, TODO, src/Unix/Makefile.in, src/Unix/acconfig.h,
	  src/Unix/configure.in, src/Unix/main_unix.cpp,
	  src/Unix/prefs_unix.cpp, src/Unix/serial_unix.cpp,
	  src/Unix/sshpty.c, src/Unix/sshpty.h, src/Unix/strlcpy.c,
	  src/Unix/strlcpy.h, src/Unix/Irix/README.networking:

	- it is now possible to make the serial drivers pipe their input/output
	  to programs by using a '|' followed by a command line as the modem or
	  printer port setting (instead of a device name like '/dev/ttyS0')
	  [Brian Johnson]
	- the option "--config FILE" tells B2 to use a different config file

2002-07-23 18:02  cebix

	* src/Unix/Linux/NetDriver/sheep_net.c:

	fixes by Steven N. Hirsch (versioned symbols, module license)

2002-07-17 06:51  gbeauche

	* src/Unix/sigsegv.cpp:

	- New arch support for IP retrieval on SIGSEGV.

2002-07-02 10:23  nigel

	* src/MacOSX/English.lproj/MainMenu.nib/classes.nib:

	Updated for latest Controller and EmulatorView class methods

2002-07-02 09:47  nigel

	* src/MacOSX/video_macosx.mm:

	Compatibility with latest C++ monitor object. Unfortunately this requires
	a terrible hack to guess the number of bytes per row for each mode, which
	is terribly hardware dependant, but is the only way at the moment.

2002-06-27 14:28  gbeauche

	* src/Unix/sigsegv.cpp:

	Correctly guard FreeBSD bits

2002-06-23 08:27  jlachmann

	* src/AmigaOS/: asm_support.asm, audio_amiga.cpp, clip_amiga.cpp,
	  ether_amiga.cpp, extfs_amiga.cpp, main_amiga.cpp,
	  prefs_editor_amiga.cpp, scsi_amiga.cpp, serial_amiga.cpp,
	  sys_amiga.cpp, timer_amiga.cpp, video_amiga.cpp, xpram_amiga.cpp:

	Adapted to OO video scheme; Audio volume/muting/sample rate now settable

2002-06-05 10:18  nigel

	* src/MacOSX/: EmulatorView.h, EmulatorView.mm:

	Better mouse event control for full screen mode

2002-06-05 10:11  nigel

	* src/MacOSX/video_macosx.mm:

	Sequencing changes in init_screen(), removed some global vars and functions,
	assorted tidyup, big changes to video_switch_to_mode()

2002-06-05 09:41  nigel

	* src/MacOSX/PrefsEditor.mm:

	Debug statements were not in D() macros

2002-06-02 12:20  nigel

	* src/MacOSX/video_macosx.h:

	Un-necessary function and global int

2002-06-02 10:26  nigel

	* src/MacOSX/ToDo.html:

	Hanging after minimising icon no longer relevant (I don't minimise anymore).
	Replaced with "fullscreen cursor jump" error.

2002-05-30 12:50  nigel

	* src/MacOSX/: Controller.h, Controller.mm:

	Sheet and fullscreen-safe input processing, small tidyup

2002-05-30 12:46  nigel

	* src/MacOSX/: EmulatorView.h, EmulatorView.mm:

	New way of storing if emulator is in full screen mode

2002-05-30 12:43  nigel

	* src/MacOSX/: video_macosx.h, video_macosx.mm:

	Removed duplicate modes, new way of checking fullscreen mode, use sheets
	instead of panels for warnings & errors

2002-05-30 12:36  nigel

	* src/MacOSX/Emulator.mm:

	Minor tidyup

2002-05-30 12:28  nigel

	* src/MacOSX/: misc_macosx.h, misc_macosx.mm:

	EndSheet() to end non-modal (i.e. non Error) sheets, fixed leak in ErrorSheet()

2002-05-26 00:12  nigel

	* src/MacOSX/PrefsEditor.mm:

	A better screens prefs change

2002-05-25 23:58  nigel

	* src/MacOSX/main_macosx.mm:

	Removed redundant (old C++ environment) stuff

2002-05-25 23:56  nigel

	* src/MacOSX/PrefsEditor.mm:

	Fix for screen radio-button selection bug, general tidyup.

2002-05-25 23:54  nigel

	* src/MacOSX/misc_macosx.mm:

	Blocking sheet presentation routines, simpler interfaces

2002-05-25 23:54  nigel

	* src/MacOSX/misc_macosx.h:

	Added simpler interfaces to panels (less arguments).
	Note that this file is now Objective C++ only, so I should rename it to .hh

2002-05-23 12:57  nigel

	* src/MacOSX/ToDo.html:

	Extfs version doco change

2002-05-23 12:48  nigel

	* src/MacOSX/: Emulator.h, Emulator.mm:

	Added ScreenHideShow: action

2002-05-20 18:12  gbeauche

	* ChangeLog, README, src/Unix/sigsegv.cpp:

	Backout "ignoresegv" support on FreeBSD/x86 for now. Unfortunately, the
	configure script would hang whereas standalone testing will pass all tests.
	Any idea why??
	- Unix/sigsegv.cpp (ix86_skip_instruction): Add decoder for mozbl instruction.
	  (SIGSEGV_REGISTER_FILE [FreeBSD/x86]): Note why we start at EDI offset
	  rather than plain sigcontext pointer. i.e. I don't know sigset_t size
	  beforehand and don't intend to.

2002-05-20 17:50  gbeauche

	* ChangeLog, README:

	Implement "ignoresegv" feature on FreeBSD/x86
	- Update README and ChangeLog accordingly.

2002-05-20 17:49  gbeauche

	* src/Unix/sigsegv.cpp:

	Implement "ignoresegv" feature on FreeBSD/x86 (tested on FreeBSD 4.5)
	- sigsegv.cpp (ix86_skip_instruction): Add decoder for movzwl instructions.
	  (main): oddly, FreeBSD doesn't seem to let a write to a page if it is
	  write-only. Aka. make the page readable too.

2002-05-20 16:06  gbeauche

	* ChangeLog:

	- Notify "ignoresegv" feature in ChangeLog

2002-05-20 16:03  gbeauche

	* src/Unix/sigsegv.cpp:

	- Fix compilation on Linux/x86 with SIGCONTEXT_SUBTERFUGE

2002-05-20 16:00  gbeauche

	* src/Unix/sigsegv.cpp:

	- sigsegv.cpp (ix86_skip_instruction): Fix DEBUG compilation.

2002-05-20 15:56  gbeauche

	* README, src/Unix/sigsegv.cpp:

	Implement "ignoresegv" feature on Darwin/ppc (tested on MacOS X)
	- Unix/sigsegv.cpp (powerpc_decode_instruction): New.
	  (get_fault_instruction [MacOS X]): Factorize code.
	  (get_fault_instruction [Linux/m68k]): Don't use expression statement.
	- README (ignoresegv): Add Darwin/ppc to list of supported platforms.

2002-05-19 21:58  gbeauche

	* README, src/Unix/sigsegv.cpp:

	Implement "ignoresegv" feature on Linux/ppc:
	- Unix/sigsegv.cpp (powerpc_skip_instruction): New from SheepShaver code.
	- README (ignoresegv): Add Linux/ppc to list of supported platforms.

2002-05-16 15:48  gbeauche

	* src/Unix/: main_unix.cpp, sigsegv.cpp, sigsegv.h, video_vosf.h:

	- video_vosh.h (Screen_fault_handler): Move unrecoverable fault case to...
	- main_unix.cpp (sigsegv_dump_state): ... Here.
	- sigsegv.h (sigsegv_fault_handler_t): Rename from sigsegv_handler_t.
	- sigsegv.h (sigsegv_state_dumper_t): New.

2002-05-12 13:51  gbeauche

	* src/Unix/sigsegv.cpp:

	- Merge with clisp SIGSEGV library version 1.2 with support added for
	  HP-UX (contributed by Paolo Bonzini)
	- Add missing? include <ucontext.h> for Irix and OSF/1 support

2002-05-12 11:10  gbeauche

	* README, src/Unix/acconfig.h, src/Unix/configure.in,
	  src/Unix/main_unix.cpp, src/Unix/prefs_editor_gtk.cpp,
	  src/Unix/prefs_unix.cpp, src/Unix/sigsegv.cpp,
	  src/Unix/sigsegv.h, src/Unix/user_strings_unix.cpp,
	  src/Unix/user_strings_unix.h:

	Implement the "ignoresegv" feature from SheepShaver. This is Unix-specific
	so far. Target platform is currently Linux/x86.

2002-05-12 10:34  nigel

	* src/MacOSX/EmulatorView.mm:

	Took out redundant method (was used before event handling re-write)

2002-05-05 09:48  nigel

	* src/MacOSX/0_HOW_TO_BUILD.txt:

	Minor corrections

2002-04-29 11:23  nigel

	* src/MacOSX/config.h.in:

	Changes from recent Unix version

2002-04-29 11:17  nigel

	* src/MacOSX/: ToDo.html, Versions.html:

	Minor doco changes

2002-04-28 14:06  cebix

	* src/: cdrom.cpp, Unix/sys_unix.cpp:

	default CD-ROM drive is /dev/cd0c on NetBSD

2002-04-28 12:09  cebix

	* src/Unix/video_x.cpp:

	fixed compilation problem in fbdev code

2002-04-25 13:14  cebix

	* src/video.cpp:

	added some safety checks

2002-04-25 11:00  cebix

	* src/: main.cpp, slot_rom.cpp, video.cpp, Unix/video_vosf.h,
	  Unix/video_x.cpp, include/video.h:

	- added infrastructure for multi-monitor support; only video_x.cpp is
	  converted for the new scheme; not actually tested with a mult-monitor
	  setup yet but at least single-monitor display doesn't seem to be broken
	  (UAE banked addressing would definitely require some extensions to handle
	  multiple frame buffers)
	- struct video_mode has an extra field that is free for use by platform-
	  specific code

2002-04-05 13:00  nigel

	* src/MacOSX/configure.in:

	caddr_t change (to go with vm_alloc.* change?) from Unix files

2002-04-05 12:15  nigel

	* src/MacOSX/video_macosx.mm:

	Modify getCFint32() to cope with values of zero
	(it was assuming 0 was an error condition)

2002-03-29 16:24  gbeauche

	* src/Unix/sys_unix.cpp:

	- Clarified test of access() return value
	- s/strcpy/sprintf/ for cd_dev concatenation
	- Statically allocate fd_dev[] and cd_dev[]
	Better testing is yet to be done

2002-03-29 01:30  nigel

	* src/MacOSX/ToDo.html:

	Added 'nogui' to unimplemented

2002-03-27 20:11  cebix

	* src/Unix/sys_unix.cpp:

	support for Linux devfs

2002-03-27 10:45  gbeauche

	* src/uae_cpu/fpu/fpu_x86_asm.h:

	- Update to fix build with gcc-3.1 and -O3 optimization level

2002-03-23 13:57  gbeauche

	* src/uae_cpu/: newcpu.cpp, newcpu.h, table68k:

	- When X86_ASSEMBLY is set, aka when cpuopti is used, do call the
	  instruction handler by hand and make sure to save %ebp too
	- Really merge cpu core with uae-0.8.21:
	  - Trace mode fixes (Bernd Roesch & Bernd Schmidt)
	  - Reintegrate PTEST and PFLUSH instructions back as no-ops

2002-03-20 19:37  cebix

	* src/Unix/configure.in:

	fix for IRIX [Marcus Herbert]

2002-03-20 19:03  cebix

	* src/Unix/: serial_unix.cpp, sys_unix.cpp, video_x.cpp:

	added missing return values

2002-03-19 14:25  cebix

	* src/main.cpp:

	XPRAM gets loaded with default values if "NuMc" signature isn't found. This is
	done so the correct (default) video mode is used if the PRAM was wiped.

2002-03-18 21:25  gbeauche

	* src/uae_cpu/newcpu.cpp:

	- Close log file

2002-03-18 13:30  gbeauche

	* src/Unix/configure.in:

	- Add even more term libs and prefer ncurses over the rest.

2002-03-18 12:59  gbeauche

	* src/Unix/configure.in:

	- Invert AC_CHECK_LIB for readline and termcap so that the test program
	  for readline detection is actually linked against -ltermcap -lreadline.

2002-03-18 11:40  nigel

	* src/MacOSX/: 0prepare_links, 1_prepare_files.sh:

	New script to set up everything for doing a make

2002-03-18 11:07  nigel

	* src/MacOSX/BasiliskII.pbproj/project.pbxproj:

	Updated version to 10

2002-03-18 11:05  nigel

	* src/MacOSX/extfs_macosx.mm:

	Added to comment for add_rsrc()

2002-03-18 11:04  nigel

	* src/MacOSX/Versions.html:

	Added version 10

2002-03-18 11:02  nigel

	* src/MacOSX/ToDo.html:

	Noted fix of cursor key bug, added 'full screen startup' bug,
	corrected memory mapping (mmap) comment

2002-03-18 11:00  nigel

	* src/MacOSX/EmulatorView.mm:

	Extra code to map cursor keys

2002-03-18 10:58  nigel

	* src/MacOSX/0_HOW_TO_BUILD.txt:

	Simplified for use with new '1_prepare_files.sh' script

2002-03-18 10:48  nigel

	* src/MacOSX/Controller.mm:

	Bug fix. Key events were not being passed in full screen mode,
	because the window, having been minimised, is no longer 'Key.'

2002-03-16 21:36  gbeauche

	* src/Unix/sigsegv.cpp:

	- Add fault instruction recovery for Linux/ppc and siginfo_t handlers

2002-03-16 16:31  gbeauche

	* src/uae_cpu/newcpu.cpp:

	- Add Flight Recorder for m68k too. That helps. ;-)

2002-03-16 11:50  nigel

	* src/MacOSX/: 0_HOW_TO_BUILD.txt, 0prepare_links, Makefile.in,
	  BasiliskII.pbproj/data00ec.006,
	  BasiliskII.pbproj/project.pbxproj:

	New script to generate symlinks, remove any symlink generation from Makefile,
	Makefile now generates 8 wrappers for cpuemu.cpp to slightly improve compile
	time, added the 8 wrappers to the Project Builder file, updated doco

2002-03-16 10:58  gbeauche

	* src/Unix/configure.in:

	- Large File support is now specific to Linux since it breaks build on
	  other platforms like Solaris/SPARC and I could only test under Linux.
	  TODO: Better use the AC_SYS_LARGEFILE macro from autoconf-2.5.

2002-03-16 10:51  gbeauche

	* src/Unix/: acconfig.h, configure.in, vm_alloc.cpp:

	- Check for caddr_t. On some systems like Solaris/SPARC, mmap() address
	  type (first parameter) is caddr_t instead of void *. Explicitly cast
	  address to (caddr_t) type and C++ implicit pointer conversion rules
	  will do the rest. aka. caddr_t -> void * is OK unlike the opposite.

2002-03-16 10:49  gbeauche

	* src/Unix/vm_alloc.h:

	- Also include <sys/types.h> if system has <unistd.h>

2002-03-16 10:12  gbeauche

	* src/Unix/configure.in:

	- Expand TYPE_SOCKLEN_T as it is a non-standard autoconf macro that lives
	  in ac-archive/Miscellaneous. Extracted from version 1.2 (2000/07/19) by
	  Lars Brinkhoff <lars@nocrew.org>.

2002-03-16 10:03  nigel

	* src/MacOSX/Controller.h:

	Initial revision of Mac OS X port code. Uses Objective-C++. Needs Mac OS 10.1

2002-03-16 10:00  nigel

	* src/MacOSX/Controller.mm:

	Initial revision of Mac OS X port code. Uses Objective-C++. Needs Mac OS 10.1

2002-03-16 09:16  nigel

	* src/MacOSX/configure.in:

	Added latest changes in Unix version

2002-03-16 09:09  nigel

	* src/MacOSX/Makefile.in:

	Added BasiliskII.icns (needed to build the application), and a rule
	to generate it (empty file) if the developer doesn't supply an icon

2002-03-16 05:47  nigel

	* src/MacOSX/Makefile.in:

	Add Project builder and resource directories

2002-03-16 05:47  nigel

	* src/MacOSX/configure.in:

	Updated final "make" message

2002-03-16 05:27  nigel

	* README:

	Added Mac OS X screen preferences, Mac OS X to the 'ported to' list,
	my details to the Acknowledgements/Contributions

2002-03-16 04:00  nigel

	* src/MacOSX/BasiliskII.pbproj/data00ec.006:

	Initial revision

2002-03-16 03:59  nigel

	* src/MacOSX/: 0_HOW_TO_BUILD.txt, audio_macosx.cpp, config.h.in,
	  configure.in, Credits.html, Emulator.h, Emulator.mm,
	  EmulatorView.h, EmulatorView.mm, extfs_macosx.h, extfs_macosx.mm,
	  macos_util_macosx.h, main_macosx.h, Makefile.in, main_macosx.mm,
	  misc_macosx.h, NNThread.h, misc_macosx.mm, NNThread.m,
	  prefs_macosx.cpp, PrefsEditor.h, PrefsEditor.mm, ToDo.html,
	  sysdeps.h, Versions.html, video_macosx.h, video_macosx.mm,
	  BasiliskII.pbproj/nigel.pbxuser,
	  BasiliskII.pbproj/project.pbxproj,
	  English.lproj/InfoPlist.strings,
	  English.lproj/MainMenu.nib/Collapsed.tiff,
	  English.lproj/MainMenu.nib/Expanded.tiff,
	  English.lproj/MainMenu.nib/classes.nib,
	  English.lproj/MainMenu.nib/info.nib,
	  English.lproj/MainMenu.nib/objects.nib,
	  English.lproj/MainMenu.nib/resetH.tiff,
	  English.lproj/MainMenu.nib/resetN.tiff,
	  English.lproj/MainMenu.nib/shutdownH.tiff,
	  English.lproj/MainMenu.nib/shutdownN.tiff,
	  Multiple-Windows/README,
	  Multiple-Windows/English.lproj/InfoPlist.strings,
	  Multiple-Windows/English.lproj/MainMenu.nib/classes.nib,
	  Multiple-Windows/English.lproj/MainMenu.nib/info.nib,
	  Multiple-Windows/English.lproj/MainMenu.nib/objects.nib,
	  Multiple-Windows/English.lproj/Win512x342.nib/Collapsed.tiff,
	  Multiple-Windows/English.lproj/Win512x342.nib/Expanded.tiff,
	  Multiple-Windows/English.lproj/Win512x342.nib/classes.nib,
	  Multiple-Windows/English.lproj/Win512x342.nib/info.nib,
	  Multiple-Windows/English.lproj/Win512x342.nib/objects.nib,
	  Multiple-Windows/English.lproj/Win512x342.nib/resetH.tiff,
	  Multiple-Windows/English.lproj/Win512x342.nib/resetN.tiff,
	  Multiple-Windows/English.lproj/Win512x342.nib/shutdownH.tiff,
	  Multiple-Windows/English.lproj/Win512x342.nib/shutdownN.tiff:

	Initial revision of Mac OS X port code. Uses Objective-C++. Needs Mac OS 10.1

2002-03-10 20:17  cebix

	* src/AmigaOS/video_amiga.cpp:

	minor cleanups

2002-03-10 19:34  cebix

	* src/: audio.cpp, include/audio.h, include/audio_defs.h:

	some cleanups in the sound component

2002-02-23 17:54  cebix

	* ChangeLog, src/sony.cpp, src/Unix/sys_unix.cpp:

	fixed floppy disk change detection problems under Linux

2002-02-22 17:48  cebix

	* src/Unix/: main_unix.cpp, sys_unix.cpp:

	- default floppy device under Linux is now /dev/fd?u1440 because /dev/fd?H1440
	  is deprecated

2002-02-11 14:28  gbeauche

	* src/Unix/vm_alloc.cpp:

	- vm_acquire_fixed: Fix memset() and vm_protect() calls so that the address
	  is really the one specified instead of always zero.

2002-02-07 16:10  cebix

	* ChangeLog, src/cdrom.cpp, src/disk.cpp, src/ether.cpp,
	  src/Unix/audio_oss_esd.cpp, src/Unix/configure.in,
	  src/Unix/ether_unix.cpp, src/Unix/main_unix.cpp,
	  src/Unix/serial_unix.cpp, src/Unix/sys_unix.cpp,
	  src/Unix/sysdeps.h, src/Unix/video_x.cpp,
	  src/Unix/Irix/audio_irix.cpp, src/Unix/Solaris/audio_solaris.cpp:

	cleaned up pthread attributes [Brian Johnson]

2002-02-01 19:25  cebix

	* src/Unix/sigsegv.cpp:

	direct addressing works under FreeBSD (says Michael Alyn Miller :-)

2002-01-26 18:10  cebix

	* TODO, src/scsi.cpp, src/Unix/Linux/scsi_linux.cpp:

	- scsi_linux.cpp uses SCSI generic interface version 2
	- slightly more verbose SCSI debugging messages

2002-01-25 12:14  cebix

	* src/Unix/acinclude.m4:

	added missing file

2002-01-22 17:15  cebix

	* TODO, src/Unix/acconfig.h, src/Unix/configure.in,
	  src/Unix/main_unix.cpp, src/Unix/prefs_editor_gtk.cpp:

	GNOME-style about box and GNOME file entries are used if libgnomeui is present

2002-01-22 16:07  cebix

	* Makefile, src/Unix/aclocal.m4, src/Unix/autogen.sh:

	aclocal.m4 is generated by aclocal via autogen.sh

2002-01-20 16:58  cebix

	* src/: BeOS/about_window.cpp, Unix/prefs_editor_gtk.cpp:

	2001 -> 2002

2002-01-18 21:06  cebix

	* ChangeLog, src/emul_op.cpp, src/rom_patches.cpp:

	- fixed the problem with Ticks getting incremented on every interrupt, not
	  just 60Hz (e.g. moving the mouse made the caret blink faster)
	- removed the TAB characters from the ChangeLog file

2002-01-18 19:14  cebix

	* src/Unix/configure.in:

	added mon_lowmem.cpp to mon sources

2002-01-17 20:31  cebix

	* src/ether.cpp:

	patch for compilation problem under Irix

2002-01-15 14:58  cebix

	* BasiliskII.spec, ChangeLog, Makefile, README, src/adb.cpp,
	  src/audio.cpp, src/cdrom.cpp, src/disk.cpp, src/emul_op.cpp,
	  src/ether.cpp, src/extfs.cpp, src/macos_util.cpp, src/main.cpp,
	  src/prefs.cpp, src/prefs_items.cpp, src/rom_patches.cpp,
	  src/rsrc_patches.cpp, src/scsi.cpp, src/serial.cpp,
	  src/slot_rom.cpp, src/sony.cpp, src/timer.cpp,
	  src/user_strings.cpp, src/video.cpp, src/xpram.cpp,
	  src/AmigaOS/Makefile, src/AmigaOS/asm_support.asm,
	  src/AmigaOS/audio_amiga.cpp, src/AmigaOS/clip_amiga.cpp,
	  src/AmigaOS/ether_amiga.cpp, src/AmigaOS/extfs_amiga.cpp,
	  src/AmigaOS/main_amiga.cpp, src/AmigaOS/prefs_amiga.cpp,
	  src/AmigaOS/prefs_editor_amiga.cpp, src/AmigaOS/scsi_amiga.cpp,
	  src/AmigaOS/serial_amiga.cpp, src/AmigaOS/sys_amiga.cpp,
	  src/AmigaOS/sysdeps.h, src/AmigaOS/timer_amiga.cpp,
	  src/AmigaOS/user_strings_amiga.cpp,
	  src/AmigaOS/user_strings_amiga.h, src/AmigaOS/video_amiga.cpp,
	  src/AmigaOS/xpram_amiga.cpp, src/BeOS/about_window.cpp,
	  src/BeOS/about_window.h, src/BeOS/audio_beos.cpp,
	  src/BeOS/clip_beos.cpp, src/BeOS/ether_beos.cpp,
	  src/BeOS/extfs_beos.cpp, src/BeOS/main_beos.cpp,
	  src/BeOS/prefs_beos.cpp, src/BeOS/prefs_editor_beos.cpp,
	  src/BeOS/scsi_beos.cpp, src/BeOS/serial_beos.cpp,
	  src/BeOS/sys_beos.cpp, src/BeOS/sysdeps.h,
	  src/BeOS/timer_beos.cpp, src/BeOS/user_strings_beos.cpp,
	  src/BeOS/user_strings_beos.h, src/BeOS/video_beos.cpp,
	  src/BeOS/xpram_beos.cpp, src/BeOS/SheepDriver/sheep_driver.c,
	  src/BeOS/SheepDriver/sheep_driver.h,
	  src/BeOS/SheepNet/sheep_net.cpp, src/BeOS/SheepNet/sheep_net.h,
	  src/Unix/BasiliskII.1, src/Unix/asm_support.s,
	  src/Unix/audio_oss_esd.cpp, src/Unix/clip_unix.cpp,
	  src/Unix/configure.in, src/Unix/ether_unix.cpp,
	  src/Unix/extfs_unix.cpp, src/Unix/keycodes,
	  src/Unix/main_unix.cpp, src/Unix/posix_sem.cpp,
	  src/Unix/prefs_editor_gtk.cpp, src/Unix/prefs_unix.cpp,
	  src/Unix/serial_unix.cpp, src/Unix/sigsegv.cpp,
	  src/Unix/sigsegv.h, src/Unix/sys_unix.cpp, src/Unix/sysdeps.h,
	  src/Unix/timer_unix.cpp, src/Unix/user_strings_unix.cpp,
	  src/Unix/user_strings_unix.h, src/Unix/video_blit.cpp,
	  src/Unix/video_blit.h, src/Unix/video_vosf.h,
	  src/Unix/video_x.cpp, src/Unix/vm_alloc.cpp, src/Unix/vm_alloc.h,
	  src/Unix/xpram_unix.cpp, src/Unix/FreeBSD/scsi_freebsd.cpp,
	  src/Unix/FreeBSD/scsidump.cpp, src/Unix/Irix/audio_irix.cpp,
	  src/Unix/Irix/unaligned.c, src/Unix/Linux/scsi_linux.cpp,
	  src/Unix/Linux/NetDriver/sheep_net.c,
	  src/Unix/Solaris/audio_solaris.cpp, src/dummy/audio_dummy.cpp,
	  src/dummy/clip_dummy.cpp, src/dummy/ether_dummy.cpp,
	  src/dummy/prefs_dummy.cpp, src/dummy/prefs_editor_dummy.cpp,
	  src/dummy/scsi_dummy.cpp, src/dummy/serial_dummy.cpp,
	  src/dummy/user_strings_dummy.cpp, src/dummy/xpram_dummy.cpp,
	  src/include/adb.h, src/include/audio.h, src/include/audio_defs.h,
	  src/include/cdrom.h, src/include/clip.h, src/include/debug.h,
	  src/include/disk.h, src/include/emul_op.h, src/include/ether.h,
	  src/include/ether_defs.h, src/include/extfs.h,
	  src/include/extfs_defs.h, src/include/macos_util.h,
	  src/include/main.h, src/include/prefs.h,
	  src/include/prefs_editor.h, src/include/rom_patches.h,
	  src/include/rsrc_patches.h, src/include/scsi.h,
	  src/include/serial.h, src/include/serial_defs.h,
	  src/include/slot_rom.h, src/include/sony.h, src/include/sys.h,
	  src/include/timer.h, src/include/user_strings.h,
	  src/include/version.h, src/include/video.h,
	  src/include/video_defs.h, src/include/xpram.h,
	  src/native_cpu/cpu_emulation.h, src/powerrom_cpu/cpu_emulation.h,
	  src/powerrom_cpu/powerrom_cpu.cpp, src/uae_cpu/basilisk_glue.cpp,
	  src/uae_cpu/cpu_emulation.h:

	- documentation updates
	- 2001 -> 2002
	- version 0.9 -> 1.0

2002-01-07 16:30  gbeauche

	* src/Unix/sigsegv.cpp:

	- Add EIP recovery on Linux/x86 when using siginfo_t based signal handlers

2002-01-06 14:05  cebix

	* src/Unix/Linux/NetDriver/: Makefile, sheep_net.c:

	updated for kernel 2.4.9

2002-01-06 08:22  gbeauche

	* src/Unix/configure.in:

	- Add 64-bit file size support, at least for Linux

2002-01-06 08:21  gbeauche

	* src/uae_cpu/gencpu.c:

	- Fix condition codes handling for BFINS instructions (uae 0.8.20)

2001-10-16 17:27  jlachmann

	* src/AmigaOS/: main_amiga.cpp, user_strings_amiga.cpp,
	  user_strings_amiga.h, video_amiga.cpp:

	AmigaOS: Improved video mode switching - more strict error checking

2001-10-14 18:00  jlachmann

	* src/AmigaOS/: asm_support.asm, sysdeps.h, user_strings_amiga.cpp,
	  user_strings_amiga.h, video_amiga.cpp:

	AmigaOS: added Video depth/resolution switching

2001-10-07 19:50  cebix

	* TODO, src/xpram.cpp, src/AmigaOS/main_amiga.cpp,
	  src/AmigaOS/xpram_amiga.cpp, src/BeOS/main_beos.cpp,
	  src/BeOS/xpram_beos.cpp, src/Unix/main_unix.cpp,
	  src/Unix/user_strings_unix.cpp, src/Unix/xpram_unix.cpp,
	  src/include/xpram.h:

	prepared XPRAM code for PowerMac emulation (8192 bytes NVRAM)

2001-09-18 17:16  cebix

	* src/Unix/: config.guess, config.sub, mkinstalldirs:

	updated autoconf/automake helper files

2001-09-02 13:50  cebix

	* src/Unix/: acconfig.h, aclocal.m4, configure.in, ether_unix.cpp:

	- added IRIX patches from Brian Johnson
	- the existence of socklen_t is now checked by the configure script

2001-08-19 17:38  gbeauche

	* src/Unix/: video_blit.cpp, video_blit.h:

	- 64-bit blitters will use native "quad"-sized loads/stores, if available.

2001-08-19 16:21  gbeauche

	* src/uae_cpu/: gencpu.c, readcpu.cpp, table68k:

	- merge 680x0 emulation core with uae 0.8.17

2001-08-19 16:18  gbeauche

	* src/Unix/: Makefile.in, configure.in:

	- configure.in: actually save CXXFLAGS instead of CFLAGS in the code to
	  detect whether the compiler supports -fno-merge-constants or not
	- Makefile.in: make sure to link gencpu with g++ since it contains objects
	  compiled from C++ code. Fix build problems with gcc 3.0.1

2001-08-02 13:52  gbeauche

	* src/Unix/configure.in:

	* Don't merge constants (pass -fno-merge-constants to the compiler) since
	  it breaks B2 in fpu/fpu_x86.cpp on the second call to fpu_init(), at the
	  fsave instruction. This problem appeared with the following compilers:
	  - "Official" : gcc-3.1 (mainline CVS)
	  - Mandrake   : gcc-2.96 >= 0.59mdk, gcc-3.0.1 >= 0.1mdk
	  - Red Hat    : gcc-2.96 >= 89, gcc-3.0 >= 1

2001-07-31 14:10  cebix

	* src/Unix/sys_unix.cpp:

	fstab parsing ignores comment lines

2001-07-15 14:19  cebix

	* src/: cdrom.cpp, disk.cpp, ether.cpp, sony.cpp, BeOS/Makefile,
	  BeOS/ether_beos.cpp, BeOS/prefs_editor_beos.cpp, BeOS/sysdeps.h:

	- UDP tunneling works under BeOS
	- fixed BeOS compilation problems

2001-07-15 05:40  gbeauche

	* src/Unix/audio_oss_esd.cpp:

	- audio_oss_esd.cpp (open_esd): even return false if !ENABLE_ESD and shut
	  up the compiler by the way

2001-07-15 02:34  cebix

	* src/AmigaOS/ether_amiga.cpp:

	fixed indentation

2001-07-15 02:26  cebix

	* src/dummy/ether_dummy.cpp:

	return value from ether_init() was missing

2001-07-15 02:15  cebix

	* INSTALL, README, TODO, src/user_strings.cpp:

	- documentation updated
	- UDP tunnelling not only works with AppleTalk but at least with TCP/IP and
	  MacIPX as well

2001-07-14 20:01  cebix

	* src/: cdrom.cpp, disk.cpp, Unix/main_unix.cpp,
	  dummy/audio_dummy.cpp, dummy/ether_dummy.cpp:

	- disk.cpp looks for HFS partition info in the disk image; this makes it
	  possible to, for example, use MacOS-partitioned hard disks and removable
	  media under B2/Unix even if the OS doesn't understand Mac partition maps
	  by specifying the appropriate block device name as a Mac volume
	- fixed typo in audio_dummy.cpp
	- added minimally required UDP tunneling code to ether_dummy.cpp
	- main_unix.cpp: if pthreads are not supported, we trigger the Ethernet
	  interrupt in the 60Hz ticker; this makes UDP tunneling work under
	  NetBSD/m68k (as the only form of networking)

2001-07-14 18:41  gbeauche

	* src/Unix/: video_vosf.h, video_x.cpp, vm_alloc.cpp:

	- video_x.cpp: the_buffer shall always be mapped through vm_alloc() so
	  that it can be vm_protect()'ed at will afterwards
	- video_x.cpp: let driver_base free() the_buffer_copy and the_host_buffer,
	  if necessary
	- video_vosf.h: reverted to use malloc() for mainBuffer.dirtyPages and
	  mainBuffer.pageInfo
	- vm_alloc.cpp: small cleanups
	- fixed typos

2001-07-14 15:02  cebix

	* src/: Unix/asm_support.s, Unix/video_x.cpp,
	  Unix/Linux/NetDriver/sheep_net.c, uae_cpu/memory.cpp,
	  uae_cpu/memory.h:

	- 1-bit mode under X11 always uses default visual
	- fixed possible crash in driver_window dtor (image data would be freed twice,
	  once by XDestroyImage() and once in driver_base dtor)
	- fixed compilation problems with banked memory
	- fixed typos

2001-07-13 18:49  cebix

	* src/: ether.cpp, AmigaOS/ether_amiga.cpp, BeOS/ether_beos.cpp,
	  Unix/ether_unix.cpp:

	- outgoing packet source address is set in ether.cpp
	- UDP tunnelling sends packets to Ethernet broadcast address as IP broadcasts

2001-07-13 15:39  cebix

	* TECH, src/ether.cpp, src/rsrc_patches.cpp,
	  src/AmigaOS/ether_amiga.cpp, src/BeOS/ether_beos.cpp,
	  src/Unix/audio_oss_esd.cpp, src/Unix/ether_unix.cpp,
	  src/dummy/audio_dummy.cpp, src/dummy/ether_dummy.cpp,
	  src/include/ether.h:

	- updated the TECH document
	- EtherReset() clears the UDP protocol list
	- audio_oss_esd.cpp: AudioExit() calls close_audio()
	- ether_unix.cpp: uses map<> for protocol handlers
	- updated audio_dummy.cpp and ether_dummy.cpp

2001-07-13 10:13  gbeauche

	* src/uae_cpu/: gencpu.c, m68k.h, newcpu.cpp, newcpu.h:

	- merged some code from uae-0.8.16

2001-07-12 19:48  cebix

	* ChangeLog, README, src/ether.cpp, src/prefs_items.cpp,
	  src/user_strings.cpp, src/AmigaOS/ether_amiga.cpp,
	  src/BeOS/ether_beos.cpp, src/Unix/ether_unix.cpp,
	  src/Unix/prefs_editor_gtk.cpp, src/Unix/sysdeps.h,
	  src/include/ether.h, src/include/user_strings.h:

	- Implemented AppleTalk-over-UDP tunnelling, activated by setting "udptunnel"
	  to "true". This uses the BSD socket API, so it's fairly portable (currently
	  only imeplemented under Unix, though). This works by sending raw Ethernet
	  packets as UDP packets to a fixed port number ("udpport", default is 6066),
	  using IP broadcasts to simulate Ethernet broad- and multicasts. Currently
	  only tested with AppleTalk.

2001-07-11 19:26  cebix

	* src/: audio.cpp, emul_op.cpp, extfs.cpp, slot_rom.cpp, video.cpp,
	  Unix/audio_oss_esd.cpp, Unix/prefs_editor_gtk.cpp,
	  Unix/video_blit.cpp, Unix/video_vosf.h, Unix/video_x.cpp:

	fixed a couple of compiler warnings

2001-07-11 17:04  cebix

	* src/Unix/video_x.cpp:

	- find_visual_for_depth() did not return true on success

2001-07-10 15:50  cebix

	* src/Unix/video_x.cpp:

	- background_pixel, border_pixel and colormap attributes of window are now
	  always set as this seems to be required for non-default visuals

2001-07-09 15:44  cebix

	* src/Unix/timer_unix.cpp:

	Irix needs pthread cond variables which need the pthread.h header file

2001-07-09 11:21  cebix

	* ChangeLog, README, src/adb.cpp, src/emul_op.cpp, src/timer.cpp,
	  src/video.cpp, src/Unix/main_unix.cpp, src/Unix/timer_unix.cpp,
	  src/Unix/video_x.cpp, src/include/main.h:

	- ADB has its own interrupt flag, INTFLAG_ADB
	- ADBMouseMoved(), ADBMouseDown/Up() and ADBKeyDown/Up() trigger the ADB
	  interrupt
	- ADB mutex is only used for mouse movement (the only input state where it
	  matters)
	- adb.cpp: toggling relative mouse mode resets mouse_x/y
	- PrimeTime(0) schedules a timer task with 0 delay time; this is still not
	  the correct implementation, but it makes MacSyndicate work...
	- Unix: pthreads are preferred to POSIX.4 timers for 60Hz ticks because the
	  timers drift badly under Linux and the thread can compensate for drifting
	  well enough
	- Unix: moved GetTicks_usec() and Delay_usec() to timer_unix.cpp
	- video_x.cpp: X mouse acceleration is disabled in relative mouse mode because
	  MacOS does its own acceleration
	- video_x.cpp: palette[].pixel and palette[].flags are always preset
	- video_x.cpp: decoupled X event handling from 60Hz video refresh cycle by
	  using select() with a timeout on the X fd

2001-07-07 09:14  gbeauche

	* src/Unix/: video_vosf.h, video_x.cpp:

	- added video_vosf_init()/video_vosf_exit() for initialization and destruction
	  of the internal structures used for the VOSF system
	- use vm_acquire()/vm_release() for VOSF buffers and hope the_buffer is
	  allocated above RAM address space (temporary workaround for 64-bit
	  addressing systems)
	- don't free() screen buffers in driver_base dtor
	- don't free() memory mapped buffers in driver_base dtor

2001-07-07 09:12  gbeauche

	* src/Unix/sigsegv.cpp:

	- small fixes for Linux/ia64

2001-07-07 09:08  gbeauche

	* src/uae_cpu/memory.h:

	- Experimental fixes for 64-bit addressing systems (e.g. Linux/ia64). The
	  cpu emulation almost work correctly. FP emulation seems totaly boguous.

2001-07-07 09:07  gbeauche

	* src/Unix/: main_unix.cpp, vm_alloc.cpp:

	- Try to map memory contiguously with base addresses returned in increasing
	  order. No host memory region used for Mac emulation (ScratchMem, RAM, ROM,
	  frame buffer) shall be allocated below the RAM space. Actually, MEMBaseDiff
	  should be set to the min(above-mentioned address spaces).
	  ==> Temporary fix for 64-bit addressing systems (e.g. Linux/ia64)

2001-07-06 22:37  cebix

	* src/Unix/: video_x.cpp, vm_alloc.cpp:

	fixed memory leaks in video mode switching

2001-07-06 22:00  cebix

	* src/Unix/: video_blit.cpp, video_x.cpp:

	added support for 2/4-bit modes on 8-bit visuals

2001-07-06 21:04  cebix

	* src/Unix/: Irix/audio_irix.cpp, Solaris/audio_solaris.cpp:

	small fixes

2001-07-06 20:49  cebix

	* src/Unix/: video_vosf.h, video_x.cpp:

	- an appropriate visual is selected for the requested Mac color depth
	- the list of supported Mac color depths is constructed from the list of
	  depth and visuals supported by the X server

2001-07-06 17:36  cebix

	* ChangeLog, src/extfs.cpp, src/macos_util.cpp,
	  src/AmigaOS/sysdeps.h, src/AmigaOS/timer_amiga.cpp,
	  src/BeOS/sysdeps.h, src/BeOS/timer_beos.cpp, src/Unix/sysdeps.h,
	  src/Unix/timer_unix.cpp, src/include/macos_util.h:

	replaced TIME_OFFSET constant by portable TimeToMacTime() function

2001-07-05 21:24  cebix

	* src/Unix/audio_oss_esd.cpp:

	some cleanups

2001-07-05 20:30  cebix

	* ChangeLog, TODO, src/audio.cpp, src/AmigaOS/audio_amiga.cpp,
	  src/BeOS/audio_beos.cpp, src/Unix/audio_oss_esd.cpp,
	  src/Unix/user_strings_unix.cpp, src/Unix/user_strings_unix.h,
	  src/Unix/Irix/audio_irix.cpp, src/Unix/Solaris/audio_solaris.cpp,
	  src/include/audio.h:

	- supported audio formats are now kept in STL vectors
	- added run-time audio parameter switching for OSS/ESD audio output
	- setting ESPEAKER env variable causes B2 to try ESD before OSS

2001-07-04 11:12  cebix

	* src/: video.cpp, include/video_defs.h:

	some small fixes

2001-07-03 19:26  cebix

	* src/AmigaOS/video_amiga.cpp:

	fixed typo and added VideoQuitFullScreen()

2001-07-03 19:20  cebix

	* src/: slot_rom.cpp, video.cpp, AmigaOS/video_amiga.cpp,
	  BeOS/video_beos.cpp, Unix/video_x.cpp, include/video.h:

	- improved compatibility of multiple depth/resolution handling with versions
	  of MacOS before 7.6:
	   - Apple mode IDs are now allocated contiguously from 0x80 (the video_*.cpp
	     module must call video_init_depth_list() after adding all modes)
	   - if the video driver didn't receive a GetVideoParameters call, it patches
	     ScrnBase and the main GDevice upon a video mode switch (otherwise MacOS
	     will continue to use the old frame buffer base)
	   - the rowBytes values in the video parameters slot resources are correct
	     for all bit depths

2001-07-03 15:59  cebix

	* ChangeLog, src/adb.cpp, src/emul_op.cpp, src/main.cpp,
	  src/AmigaOS/main_amiga.cpp, src/BeOS/main_beos.cpp,
	  src/BeOS/sysdeps.h, src/Unix/main_unix.cpp, src/Unix/sysdeps.h,
	  src/Unix/user_strings_unix.cpp, src/Unix/user_strings_unix.h,
	  src/Unix/video_vosf.h, src/Unix/video_x.cpp, src/include/adb.h,
	  src/include/main.h:

	- added support for platform-independant mutexes, currently only properly
	  implemented under Unix
	- adb.cpp uses mutexes for thread-safe mouse handling
	- video_x.cpp: pressing Ctrl-F5 in windowed mode switches to a "grabbed"
	  relative mouse mode, useful for some games
	- video_x.cpp: fixed some bugs relating to the hotkeys (key releases are no
	  longer treated as hotkeys)

2001-07-02 11:59  gbeauche

	* src/cdrom.cpp:

	- there is no implicit conversion from vector<T>::iterator to T&

2001-07-01 21:09  cebix

	* ChangeLog, src/video.cpp, src/AmigaOS/video_amiga.cpp,
	  src/BeOS/video_beos.cpp, src/Unix/video_blit.cpp,
	  src/Unix/video_vosf.h, src/Unix/video_x.cpp, src/include/video.h:

	- video_set_palette() gets passed the number of used palette entries
	- video_x.cpp supports 2- and 4-bit modes on truecolor screens

2001-07-01 19:57  cebix

	* src/Unix/: video_blit.cpp, video_vosf.h, video_x.cpp:

	added support for 8-bit windowed modes on 16 and 32-bit screens (for the
	games, man, the games! :-)

2001-07-01 14:38  cebix

	* src/: cdrom.cpp, disk.cpp, sony.cpp, video.cpp,
	  Unix/configure.in, Unix/video_blit.cpp, Unix/video_vosf.h,
	  Unix/video_x.cpp:

	- sony.cpp/disk.cpp/cdrom.cpp use vector<> of drive_info objects instead of
	  linked list
	- color depth switching updates slot ROM
	- video_x.cpp always supports 1-bit window modes
	- timer_create()/clock_gettime() are pulled from librt if present

2001-07-01 12:42  cebix

	* src/: slot_rom.cpp, video.cpp, BeOS/sysdeps.h,
	  BeOS/video_beos.cpp, include/video.h:

	fixed compilation problems on BeOS/ppc

2001-07-01 00:46  cebix

	* src/: video.cpp, Unix/video_x.cpp, include/video.h:

	- added some documentation
	- VidLocal.sp -> VidLocal.slot_param
	- X11 color map is loaded with ramp upon startup to avoid the annoying black
	  screen during initialization

2001-06-30 22:23  cebix

	* ChangeLog, src/video.cpp, src/Unix/video_x.cpp:

	gamma tables work with X11

2001-06-30 20:18  cebix

	* src/Unix/: prefs_editor_gtk.cpp, video_x.cpp:

	- fixed compilation problems in fbdev DGA code
	- nicer "about" dialog in GTK prefs editor
	- display refresh is inhibited during mode switch if !HAVE_PTHREADS

2001-06-30 17:21  cebix

	* ChangeLog, TODO, src/main.cpp, src/video.cpp,
	  src/AmigaOS/main_amiga.cpp, src/AmigaOS/scsi_amiga.cpp,
	  src/AmigaOS/sys_amiga.cpp, src/AmigaOS/video_amiga.cpp,
	  src/BeOS/main_beos.cpp, src/BeOS/video_beos.cpp,
	  src/Unix/main_unix.cpp, src/Unix/video_vosf.h,
	  src/Unix/video_x.cpp, src/include/main.h,
	  src/include/video_defs.h, src/powerrom_cpu/powerrom_cpu.cpp:

	- experimental gamma table support
	- restructured video_x.cpp: uses classes for display types

2001-06-30 14:48  gbeauche

	* ChangeLog:

	typo ;-)

2001-06-30 12:58  cebix

	* ChangeLog, src/rsrc_patches.cpp, src/AmigaOS/asm_support.asm,
	  src/AmigaOS/main_amiga.cpp, src/AmigaOS/video_amiga.cpp,
	  src/Unix/asm_support.s, src/Unix/main_unix.cpp:

	- fixed compilation problems under AmigaOS
	- fsave/frestore on AmigaOS and NetBSD/m68k always use a 68882/68040-style
	  FPU frame, eliminating the need for 68060 FPU patches

2001-06-29 12:51  cebix

	* src/: slot_rom.cpp, video.cpp, include/slot_rom.h:

	slot ROM checksum is recalculated after patching during resolution switch

2001-06-28 22:06  gbeauche

	* src/Unix/: video_vosf.h, video_x.cpp:

	zero_fd is not longer used since vm_alloc.cpp should handle that correctly.
	However, vm_init() and vm_exit() are called in main_unix.cpp to ensure proper
	initialization of the internal zero_fd descriptor, if needed. i.e. no
	anonymous mapping for mmap()-based memory allocation.

2001-06-28 21:36  gbeauche

	* src/: slot_rom.cpp, video.cpp:

	vector<> is in namespace std

2001-06-28 21:19  cebix

	* TODO, src/slot_rom.cpp, src/video.cpp, src/Unix/main_unix.cpp,
	  src/Unix/user_strings_unix.cpp, src/Unix/user_strings_unix.h,
	  src/Unix/video_vosf.h, src/Unix/video_x.cpp, src/include/video.h,
	  src/include/video_defs.h, src/uae_cpu/basilisk_glue.cpp,
	  src/uae_cpu/cpu_emulation.h, src/uae_cpu/cpuopti.c,
	  src/uae_cpu/memory.cpp:

	video_x.cpp supports resolution switching in windowed mode: the available
	resolutions are 512x384, 640x480, 800x600, 1024x768 and 1280x1024 (the prefs
	editor has to be updated to reflect this). The resolution selected in the
	prefs editor is used as the default, but it can be changed in the Monitors
	control panel. So far only tested with direct addressing.

2001-06-27 20:05  cebix

	* src/: main.cpp, slot_rom.cpp, video.cpp, AmigaOS/video_amiga.cpp,
	  BeOS/video_beos.cpp, Unix/video_x.cpp, include/video.h:

	depth/resolution switching infrastructure should be complete now; slot ROM
	contains all supported depths, default mode is stored in XPRAM upon startup,
	and added video_switch_to_mode() call (currently unimplemented in all drivers)

2001-06-27 19:03  cebix

	* src/: slot_rom.cpp, video.cpp, AmigaOS/video_amiga.cpp,
	  BeOS/video_beos.cpp, Unix/video_vosf.h, Unix/video_x.cpp,
	  include/video.h, include/video_defs.h:

	added infrastructure for resolution/depth switching (currently, all video
	drivers only support one mode, the one selected by the user)

2001-06-26 22:35  gbeauche

	* TODO, src/Unix/Makefile.in, src/Unix/acconfig.h,
	  src/Unix/configure.in, src/Unix/main_unix.cpp,
	  src/Unix/sigsegv.cpp, src/Unix/video_vosf.h,
	  src/Unix/video_x.cpp, src/Unix/vm_alloc.cpp, src/Unix/vm_alloc.h,
	  src/uae_cpu/basilisk_glue.cpp, src/uae_cpu/memory.h:

	- added SIGSEGV support for Linux/Alpha (to be checked), Darwin/PPC
	- added uniform virtual memory allocation
	  (supports mmap(), vm_allocate(), or fallbacks to malloc()/free())
	- cleaned up memory allocation in main_unix.cpp

2001-06-22 08:34  gbeauche

	* src/Unix/video_blit.cpp:

	- In banked addressing mode, the UAE memory handlers should already handle
	  reads/writes to/from the frame buffer correctly. i.e. specialised blitters
	  should not be used there.

2001-06-19 08:29  gbeauche

	* src/Unix/configure.in:

	- cleaned up removal of '-g' for gcc

2001-06-19 08:29  gbeauche

	* src/Unix/: config.guess, config.sub:

	- config.guess: import CVS version 1.195
	- config.sub: import CVS version 1.212
	As a side effect, it now recognizes MacOS X

2001-06-05 12:23  gbeauche

	* src/uae_cpu/table68k:

	- NEGX may use X & Z flags

2001-06-05 12:16  gbeauche

	* src/Unix/sigsegv.cpp:

	- use "volatile" to prevent from optimization for writes to page

2001-05-31 21:46  cebix

	* src/BeOS/Makefile:

	fixed location of FPU source for PPC

2001-05-31 20:53  cebix

	* ChangeLog, src/Unix/aclocal.m4:

	final adjustments for 0.9 release

2001-05-31 15:36  cebix

	* src/video.cpp:

	small cleanup

2001-05-31 15:33  cebix

	* src/Unix/autogen.sh:

	don't call aclocal

2001-05-31 14:34  cebix

	* BasiliskII.spec:

	updated source archive name

2001-05-29 15:02  cebix

	* ChangeLog:

	prepared for snapshot release

2001-05-26 12:31  cebix

	* src/BeOS/: Makefile, about_window.cpp, about_window.h,
	  prefs_editor_beos.cpp, video_beos.cpp:

	"About" window looks nicer

2001-05-24 15:06  cebix

	* src/Unix/: aclocal.m4, configure.in:

	- VOSF is enabled by default

2001-05-24 14:31  cebix

	* ChangeLog, README, src/AmigaOS/prefs_amiga.cpp,
	  src/AmigaOS/prefs_editor_amiga.cpp, src/AmigaOS/scsi_amiga.cpp,
	  src/AmigaOS/user_strings_amiga.cpp,
	  src/AmigaOS/user_strings_amiga.h:

	- AmigaOS: SCSI buffer memory type can be selected via prefs

2001-05-22 19:01  cebix

	* src/Unix/configure.in:

	default FPUSRC was wrong

2001-05-21 03:21  gbeauche

	* src/Unix/sigsegv.cpp:

	- fixed "SIGSEGV recovery" not supported case

2001-05-20 20:31  gbeauche

	* ChangeLog, src/Unix/Makefile.in, src/Unix/acconfig.h,
	  src/Unix/configure.in, src/Unix/sigsegv.cpp, src/Unix/sigsegv.h,
	  src/Unix/video_vosf.h, src/Unix/video_x.cpp:

	- new and updated SIGSEGV support functions:
	  + configure script cleanups
	  + possible support for Direct Addressing / VOSF on other platforms

2001-05-15 14:24  cebix

	* src/prefs.cpp:

	PrefsExit() sets the_prefs to NULL

2001-04-25 14:53  gbeauche

	* src/uae_cpu/fpu/fpu_x86.cpp:

	- fixes for gcc-3.0

2001-04-10 18:33  cebix

	* src/Unix/configure.in:

	fixed bug with -Ofast on IRIX

2001-04-10 11:05  cebix

	* src/BeOS/: Makefile, main_beos.cpp:

	fixed compilation problems under BeOS/x86

2001-04-09 14:19  gbeauche

	* src/uae_cpu/fpu/fpu_x86.cpp:

	- fixed operand number for source register (do_fmod)

2001-04-08 12:21  cebix

	* ChangeLog, src/Unix/serial_unix.cpp:

	serial_unix.cpp: input/output_thread_cancel weren't initialized [Kolja Waschk]

2001-04-01 12:11  cebix

	* ChangeLog, src/prefs.cpp, src/prefs_items.cpp,
	  src/AmigaOS/prefs_amiga.cpp, src/BeOS/prefs_beos.cpp,
	  src/Unix/main_unix.cpp, src/Unix/prefs_unix.cpp,
	  src/include/prefs.h:

	- added help for command line options
	- PrefsInit() removes all processed options

2001-03-31 14:31  cebix

	* ChangeLog, src/extfs.cpp, src/AmigaOS/extfs_amiga.cpp,
	  src/BeOS/extfs_beos.cpp, src/BeOS/video_beos.cpp,
	  src/Unix/extfs_unix.cpp, src/include/extfs.h:

	- fixed bugs in the BeOS extfs file types handling

2001-03-31 11:44  cebix

	* src/BeOS/: SheepDriver/sheep_driver.c,
	  SheepDriver/sheep_driver.h, SheepNet/sheep_net.cpp,
	  SheepNet/sheep_net.h:

	updated copyright dates

2001-03-29 14:20  cebix

	* ChangeLog, README, src/Unix/configure.in,
	  src/Unix/ether_unix.cpp, src/Unix/Linux/ether_linux.cpp,
	  src/uae_cpu/fpu/fpu_x86_asm.h:

	- FreeBSD configure script cleanups [Michael Alyn Miller]
	- ether_linux.cpp moved and renamed to ether_unix.cpp, now also works with
	  the tap driver under FreeBSD [Michael Alyn Miller]
	- fpu_x86_asm.h: fixed problem in with newer GCC pre-processors

2001-03-28 16:53  cebix

	* ChangeLog, src/Unix/configure.in, src/Unix/main_unix.cpp:

	- "-Ofast" option is supplied to MIPSPro compiler [Brian J. Johnson
	- workaround for IRIX pthreads bug in Delay_usec() [Brian J. Johnson]

2001-03-28 14:18  cebix

	* src/Unix/Linux/NetDriver/: Makefile, sheep_net.c:

	cleaned up a little

2001-03-24 08:56  gbeauche

	* src/Unix/configure.in:

	- fixed FPU core auto-detection for non-x86 architectures

2001-03-20 18:04  gbeauche

	* src/: uae_cpu/fpp.cpp, uae_cpu/fpu_x86.cpp, uae_cpu/fpu_x86.h,
	  uae_cpu/fpu_x86_asm.h, Unix/configure.in,
	  uae_cpu/fpu/fpu_uae.cpp, uae_cpu/fpu/fpu_x86.cpp,
	  uae_cpu/fpu/fpu_x86.h, uae_cpu/fpu/fpu_x86_asm.h:

	Moved FPU emulation code sources to uae_cpu/fpu/

2001-03-20 17:35  gbeauche

	* src/: Unix/configure.in, uae_cpu/basilisk_glue.cpp,
	  uae_cpu/compiler.cpp, uae_cpu/compiler.h, uae_cpu/gencpu.c,
	  uae_cpu/newcpu.cpp, uae_cpu/newcpu.h:

	- removed old JIT compiler, its related support functions and files
	  (compiler.{h,cpp})

2001-03-19 13:11  gbeauche

	* src/uae_cpu/: build68k.c, gencpu.c, readcpu.cpp, readcpu.h,
	  table68k:

	Additions:
	- MOVE16 (Ay)+,(xxx).L
	- MOVE16 (xxx).L,(Ay)+
	- MOVE16 (Ay),(xxx).L
	- MOVE16 (xxx).L,(Ay)

	Fixes:
	- MOVE16 (Ax)+,(Ay)+ where x == y: address register shall be incremented
	  only once
	- CINV, CPUSH: 'p' field matches correctly the instruction 'cache field'

2001-03-18 15:41  cebix

	* src/Unix/Linux/NetDriver/sheep_net.c:

	backported the changes from the Mac-On-Linux project:
	 - now compiles under Linux 2.4 kernels
	 - Ethernet hardware address is virtualized on the Mac side
	 - automatically filters IP packets based on the IP address of the Mac side

2001-03-11 16:03  cebix

	* ChangeLog:

	testing the basilisk-cvs mailing list

2001-03-11 14:25  cebix

	* ChangeLog:

	This is a test. Ignore.

2001-03-11 14:24  cebix

	* ChangeLog:

	testing again

2001-03-11 14:21  cebix

	* ChangeLog:

	testing the basilisk-cvs list

2001-03-11 13:39  cebix

	* ChangeLog:

	testing the basilisk-cvs list

2001-03-11 13:38  cebix

	* ChangeLog:

	testing again

2001-03-11 13:30  cebix

	* ChangeLog:

	testing the basilisk-cvs list

2001-03-11 13:21  cebix

	* ChangeLog:

	testing the basilisk-cvs list

2001-03-06 18:41  cebix

	* ChangeLog, src/Unix/aclocal.m4, src/Unix/video_vosf.h,
	  src/Unix/video_x.cpp:

	added patches from Brian J. Johnson (better VOSF performance and responsiveness)

2001-02-17 16:35  cebix

	* ChangeLog:

	added date of CVS snapshot

2001-02-10 20:58  cebix

	* README:

	documentation update (networking under BeOS)

2001-02-10 20:46  cebix

	* src/BeOS/SheepNet/sheep_net.cpp:

	fixed compilation problem under BeOS/x86

2001-02-10 20:42  cebix

	* src/BeOS/SheepDriver/sheep_driver.c:

	compilation aborts on x86 machines

2001-02-10 20:04  cebix

	* ChangeLog, INSTALL, TODO:

	documentation updates

2001-02-10 20:03  cebix

	* src/sony.cpp:

	floppy driver updates DskErr

2001-02-10 19:58  cebix

	* src/powerrom_cpu/powerrom_cpu.cpp:

	added missing TriggerNMI() function

2001-02-10 19:58  cebix

	* src/BeOS/SheepDriver/Makefile:

	"make install" failed when driver was already installed

2001-02-10 15:29  cebix

	* src/Unix/: configure.in, video_vosf.h:

	implemented VOSF on Linux/ppc

2001-02-10 11:37  gbeauche

	* src/: emul_op.cpp, rom_patches.cpp:

	- added code to fake HWBases to scratch memory area

2001-02-10 09:20  gbeauche

	* TECH:

	Mode of operations
	- detailed a little more Banked Memory Addressing
	- added a description of Direct (Constant-Offset) Addressing
	- real addressing works on some non-68k, little-endian systems

2001-02-09 20:04  cebix

	* src/: BeOS/Makefile, BeOS/clip_beos.cpp, BeOS/extfs_beos.cpp,
	  BeOS/sysdeps.h, uae_cpu/fpu_x86.cpp:

	fixed compilation problems under BeOS

2001-02-02 20:52  cebix

	* BasiliskII.spec, ChangeLog, README, src/adb.cpp, src/audio.cpp,
	  src/cdrom.cpp, src/disk.cpp, src/emul_op.cpp, src/ether.cpp,
	  src/extfs.cpp, src/macos_util.cpp, src/main.cpp, src/prefs.cpp,
	  src/prefs_items.cpp, src/rom_patches.cpp, src/rsrc_patches.cpp,
	  src/scsi.cpp, src/serial.cpp, src/slot_rom.cpp, src/sony.cpp,
	  src/timer.cpp, src/user_strings.cpp, src/video.cpp,
	  src/xpram.cpp, src/AmigaOS/asm_support.asm,
	  src/AmigaOS/audio_amiga.cpp, src/AmigaOS/clip_amiga.cpp,
	  src/AmigaOS/ether_amiga.cpp, src/AmigaOS/extfs_amiga.cpp,
	  src/AmigaOS/main_amiga.cpp, src/AmigaOS/prefs_amiga.cpp,
	  src/AmigaOS/prefs_editor_amiga.cpp, src/AmigaOS/scsi_amiga.cpp,
	  src/AmigaOS/serial_amiga.cpp, src/AmigaOS/sys_amiga.cpp,
	  src/AmigaOS/sysdeps.h, src/AmigaOS/timer_amiga.cpp,
	  src/AmigaOS/user_strings_amiga.cpp,
	  src/AmigaOS/user_strings_amiga.h, src/AmigaOS/video_amiga.cpp,
	  src/AmigaOS/xpram_amiga.cpp, src/BeOS/audio_beos.cpp,
	  src/BeOS/clip_beos.cpp, src/BeOS/ether_beos.cpp,
	  src/BeOS/extfs_beos.cpp, src/BeOS/main_beos.cpp,
	  src/BeOS/prefs_beos.cpp, src/BeOS/prefs_editor_beos.cpp,
	  src/BeOS/scsi_beos.cpp, src/BeOS/serial_beos.cpp,
	  src/BeOS/sys_beos.cpp, src/BeOS/sysdeps.h,
	  src/BeOS/timer_beos.cpp, src/BeOS/user_strings_beos.cpp,
	  src/BeOS/user_strings_beos.h, src/BeOS/video_beos.cpp,
	  src/BeOS/xpram_beos.cpp, src/Unix/audio_oss_esd.cpp,
	  src/Unix/clip_unix.cpp, src/Unix/extfs_unix.cpp,
	  src/Unix/keycodes, src/Unix/main_unix.cpp,
	  src/Unix/posix_sem.cpp, src/Unix/prefs_editor_gtk.cpp,
	  src/Unix/prefs_unix.cpp, src/Unix/serial_unix.cpp,
	  src/Unix/sys_unix.cpp, src/Unix/sysdeps.h,
	  src/Unix/timer_unix.cpp, src/Unix/user_strings_unix.cpp,
	  src/Unix/user_strings_unix.h, src/Unix/xpram_unix.cpp,
	  src/Unix/FreeBSD/scsi_freebsd.cpp, src/Unix/FreeBSD/scsidump.cpp,
	  src/Unix/Irix/audio_irix.cpp, src/Unix/Irix/unaligned.c,
	  src/Unix/Linux/ether_linux.cpp, src/Unix/Linux/scsi_linux.cpp,
	  src/Unix/Linux/NetDriver/Makefile,
	  src/Unix/Linux/NetDriver/sheep_net.c,
	  src/Unix/Solaris/audio_solaris.cpp, src/dummy/audio_dummy.cpp,
	  src/dummy/clip_dummy.cpp, src/dummy/ether_dummy.cpp,
	  src/dummy/prefs_dummy.cpp, src/dummy/prefs_editor_dummy.cpp,
	  src/dummy/scsi_dummy.cpp, src/dummy/serial_dummy.cpp,
	  src/dummy/user_strings_dummy.cpp, src/dummy/xpram_dummy.cpp,
	  src/include/adb.h, src/include/audio.h, src/include/audio_defs.h,
	  src/include/cdrom.h, src/include/clip.h, src/include/debug.h,
	  src/include/disk.h, src/include/emul_op.h, src/include/ether.h,
	  src/include/ether_defs.h, src/include/extfs.h,
	  src/include/extfs_defs.h, src/include/macos_util.h,
	  src/include/main.h, src/include/prefs.h,
	  src/include/prefs_editor.h, src/include/rom_patches.h,
	  src/include/rsrc_patches.h, src/include/scsi.h,
	  src/include/serial.h, src/include/serial_defs.h,
	  src/include/slot_rom.h, src/include/sony.h, src/include/sys.h,
	  src/include/timer.h, src/include/user_strings.h,
	  src/include/version.h, src/include/video.h,
	  src/include/video_defs.h, src/include/xpram.h,
	  src/native_cpu/cpu_emulation.h, src/powerrom_cpu/cpu_emulation.h,
	  src/powerrom_cpu/powerrom_cpu.cpp, src/uae_cpu/basilisk_glue.cpp,
	  src/uae_cpu/cpu_emulation.h, src/uae_cpu/fpu_x86.cpp,
	  src/uae_cpu/fpu_x86.h:

	- bumped version number to 0.9
	- updated copyright dates

2001-01-31 21:28  gbeauche

	* src/Unix/video_blit.cpp:

		- Added blitters for BGR 555 mode

2001-01-30 07:27  gbeauche

	* TODO, src/emul_op.cpp:

		- Faked VIA, SCCRd, SCCWr base addressed to scratch memory area in
		  EMUL_OP_INSTALL_DRIVERS

2001-01-28 14:05  gbeauche

	* src/Unix/: Makefile.in, video_blit.cpp, video_blit.h,
	  video_vosf.h, video_x.cpp:

	Mainly changes to the VOSF code:
	- improved blitters selection
	- improved blitters performance if UNALIGNED_PROFITABLE is set
	- cleaned up 8 bpp blitters

2001-01-28 14:04  gbeauche

	* src/Unix/configure.in:

	- removed --enable-16bit-vidmode (unused and useless)

2001-01-28 14:03  gbeauche

	* src/Unix/sysdeps.h:

	- added do_byteswap_16() and do_byteswap_32()

2001-01-25 22:24  cebix

	* ChangeLog, README, TODO, src/AmigaOS/Makefile,
	  src/AmigaOS/asm_support.asm, src/AmigaOS/main_amiga.cpp,
	  src/Unix/main_unix.cpp:

	- AmigaOS: implemented XPRAM watchdog thread
	- AmigaOS: disabled 68060 Super Bypass mode because of CPU bug triggered
	  by MacOS 8
	- minor documentation updates

2001-01-25 21:37  cebix

	* src/include/video_defs.h:

	added numeric values to video driver control/status codes

2001-01-16 14:14  cebix

	* src/Unix/: aclocal.m4, autogen.sh:

	updated autogen.sh script

2001-01-11 18:00  gbeauche

	* src/Unix/: video_vosf.h, video_x.cpp:

	- Cleaned up some comments again
	- The dirtyPages[] array overrun conditions should be really safe now

2001-01-11 16:39  gbeauche

	* src/Unix/configure.in:

	- Added UNALIGNED_PROFITABLE to the list of i386 macro definitions
	- Changed OPTFLAGS macro definitions to OPTIMIZED_FLAGS

2001-01-11 16:39  gbeauche

	* src/Unix/video_vosf.h:

	Changes made to the update routines
	- Cleaned up the process for determining the ranges of pages touched
	  that have to be blitted onto the screen (find_next_page_set() and
	  find_next_page_clear() functions)
	Changes made to do_handle_screen_fault()
	- An unhandled address is now dealt by the default SIGSEGV handler
	- Print out the address of the instruction that caused the exception

2001-01-11 16:38  gbeauche

	* src/Unix/video_x.cpp:

	- Cleaned up the process for determining the ranges of pages touched
	  that have to be blitted onto the screen (find_next_page_set() and
	  find_next_page_clear() functions)
	- Cleaned up some comments
	Changes from Brian J. Johnson
	- Fixed mainBuffer.dirtyPages[] array overrun in VOSF code
	- Fixed calculation of the frames-per-second value

2001-01-11 13:19  gbeauche

	* src/uae_cpu/fpu_x86.cpp:

	- From Lauri's ChangeLog: "Fixed a bug in FPU FTAN opcode (didn't pop the value
	  1.0 that x86 partial tangent FPTAN always pushes to stack for 8087/287
	  compatibility)."

2001-01-06 22:15  cebix

	* src/Unix/video_x.cpp:

	XFree() doesn't need casting

2001-01-04 19:50  cebix

	* ChangeLog, src/main.cpp, src/prefs.cpp, src/prefs_items.cpp,
	  src/AmigaOS/main_amiga.cpp, src/AmigaOS/prefs_editor_amiga.cpp,
	  src/BeOS/main_beos.cpp, src/BeOS/prefs_editor_beos.cpp,
	  src/Unix/BasiliskII.1, src/Unix/main_unix.cpp,
	  src/Unix/prefs_editor_gtk.cpp, src/Unix/prefs_unix.cpp,
	  src/Unix/video_x.cpp, src/include/prefs.h:

	- removed the INT16 prefs item type; use INT32 instead
	- AmigaOS/Unix: it's now possible to specify preferences items on the
	  command line
	- Unix: command line options now take "--"-prefix, e.g. "--rominfo"

2001-01-02 21:03  cebix

	* BasiliskII.spec, TODO:

	- man page is included in RPM whether or not it is compressed

2000-11-30 16:20  cebix

	* src/Unix/: main_unix.cpp, sysdeps.h, video_vosf.h:

	- removed USE_MAPPED_MEMORY (unused)
	- fixed Delay_usec() on Solaris

2000-11-30 16:09  cebix

	* src/Unix/: video_vosf.h, video_x.cpp:

	fixed fbcopy_16_obo on big-endian systems

2000-11-13 16:59  cebix

	* src/BeOS/: Makefile, sheep_driver.h, sheep_net.h,
	  SheepDriver/Makefile, SheepDriver/sheep_driver.c,
	  SheepDriver/sheep_driver.h, SheepNet/Makefile,
	  SheepNet/sheep_net.cpp, SheepNet/sheep_net.h:

	added sources for "sheep" driver and "sheep_net" network add-on

2000-11-03 18:27  cebix

	* src/Unix/video_x.cpp:

	window close widget now maps to Mac "power" key

2000-11-03 18:21  cebix

	* src/Unix/: video_vosf.h, video_x.cpp:

	- clicking on the "close" widget of the MacOS display window rings the bell
	  but doesn't actually close the window to prevent Basilisk II from being
	  accidentally killed without a proper shutdown of MacOS
	- replaced many #ifdef HAVE_PTHREADS constructs with LOCK/UNLOCK macros
	- minor cleanups

2000-11-03 12:23  cebix

	* src/Unix/video_x.cpp:

	removed unnecessary window attributes

2000-11-02 19:41  cebix

	* src/Unix/main_unix.cpp:

	- fixed Delay_usec() on IRIX
	- xpram_func() calls Delay_usec() with a time of <1 second

2000-11-02 14:45  cebix

	* ChangeLog, src/Unix/aclocal.m4, src/Unix/configure.in,
	  src/Unix/main_unix.cpp, src/Unix/video_x.cpp,
	  src/Unix/Irix/audio_irix.cpp:

	- added audio support for IRIX [Brian J. Johnson]
	- improved Delay_usec() under FreeBSD and IRIX
	- fixed typo ("HAVE_PTHREDS") in video_x.cpp

2000-10-27 17:01  cebix

	* README, src/Unix/video_x.cpp:

	video_x.cpp: window asks for input focus with XSetWMHints()

2000-10-17 12:24  cebix

	* src/: AmigaOS/asm_support.asm, Unix/main_unix.cpp:

	- FPU is now available under NetBSD/m68k
	- main_unix.cpp: added more emulated privileged instructions

2000-10-16 17:37  cebix

	* src/AmigaOS/: main_amiga.cpp, prefs_editor_amiga.cpp,
	  video_amiga.cpp:

	fixed compilation problems

2000-10-15 15:08  cebix

	* src/: AmigaOS/extfs_amiga.cpp, Unix/aclocal.m4,
	  Unix/configure.in:

	- updated for latest version of mon

2000-10-14 16:30  cebix

	* src/Unix/: configure.in, extfs_unix.cpp:

	- configure.in patches for Irix from bjjohnson
	- extfs: .bin files get Stuffit Expander type/creator

2000-10-13 16:47  cebix

	* src/Unix/: video_vosf.h, video_x.cpp:

	- replaced floating-point page shift calculation by integer routine, fixing
	  the VOSF problems under NetBSD/m68k
	- fixed off-by-7 error in 1-bit window update routines

2000-10-11 18:07  cebix

	* BasiliskII.spec:

	marked fbdevices and keycodes files as config files

2000-10-11 17:55  cebix

	* src/: AmigaOS/asm_support.asm, Unix/asm_support.s,
	  Unix/configure.in, Unix/video_vosf.h, Unix/video_x.cpp:

	- added a few more emulated privileged instructions to NetBSD/m68k
	- tried to make VOSF run under NetBSD/m68k, little success (shows stripes and
	  sometimes crashes)

2000-10-11 17:40  cebix

	* ChangeLog, src/cdrom.cpp:

	cdrom.cpp: implemented Status(6)

2000-10-10 21:14  cebix

	* BasiliskII.spec, Makefile, README:

	updated docs

2000-10-10 20:55  cebix

	* src/Unix/Makefile.in:

	DESTDIR was not respected by installdirs target

2000-10-10 19:28  cebix

	* Makefile:

	updated rpm build target

2000-10-10 18:54  cebix

	* BasiliskII.spec, src/Unix/Makefile.in, src/Unix/autogen.sh,
	  src/Unix/main_unix.cpp:

	- updated spec file
	- make install/uninstall targets support DESTDIR variable
	- fixed compilation problem with DIRECT_ADDRESSING

2000-10-09 17:59  cebix

	* src/Unix/aclocal.m4:

	updated aclocal.m4

2000-10-09 17:45  cebix

	* src/: emul_op.cpp, rom_patches.cpp, rsrc_patches.cpp:

	EMUL_OP_BLOCK_MOVE is no longer used to replace the BlockMove() routine but
	to implement more clever cache flushing for it

2000-10-09 17:05  cebix

	* src/: AmigaOS/sysdeps.h, Unix/configure.in, Unix/main_unix.cpp,
	  Unix/sysdeps.h, Unix/video_x.cpp:

	works again under NetBSD/m68k

2000-10-08 18:41  cebix

	* src/Unix/: configure.in, video_vosf.h, video_x.cpp:

	added SA_SIGINFO to sa_flags when sa_sigaction is used

2000-10-05 17:26  cebix

	* Makefile:

	simplified building of RPMs

2000-10-05 17:24  cebix

	* BasiliskII.spec:

	added RPM spec file

2000-10-02 17:52  gbeauche

	* src/Unix/video_vosf.h:

	- fixed a bug in 24 bpp mode, at least when there are four bytes per pixel
	- a little loop optimization when clearing the dirty pages
	- changed unsigned longs with the uintptr type
	- also used uintpr for the page alignment function

2000-09-25 22:33  gbeauche

	* src/Unix/video_x.cpp:

	- fixed a bug in the previous patch that would fail to redraw the screen if
	  dynamic refresh is used.
	- cleaned up resume_emul() in DGA mode with VOSF.

2000-09-25 21:49  gbeauche

	* src/Unix/video_x.cpp:

	- cleaned up Expose event handling with VOSF

2000-09-25 17:53  cebix

	* ChangeLog, src/emul_op.cpp, src/Unix/BasiliskII.1,
	  src/Unix/configure.in, src/Unix/main_unix.cpp,
	  src/Unix/serial_unix.cpp:

	- adapted for mon V3.0 which is now the required minimum
	- fixed gcc 2.96 compiler warnings

2000-09-23 08:39  gbeauche

	* src/Unix/video_blit.h:

	- cleaned up and fixed 8bpp copy

2000-09-23 08:39  gbeauche

	* src/Unix/video_vosf.h:

	- fbcopy_raw now works if memcpy() is not used
	  (but it seems better to use memcpy since GCC has inline equivalent)

2000-09-23 06:51  gbeauche

	* src/Unix/video_blit.h:

	- added a condition if (depth <= 8) before copying more than two bytes

2000-09-23 06:51  gbeauche

	* src/Unix/video_vosf.h:

	- fixed blitters for big endian systems, will probably work now

2000-09-22 17:30  gbeauche

	* src/: native_cpu/cpu_emulation.h, powerrom_cpu/cpu_emulation.h:

	- added Host2MacAddr()

2000-09-22 17:24  gbeauche

	* TODO:

	- Bugs: Unix: real addressing mode: something is still deadly wrong there though it
	  works for example under Linux/i386.
	- video_vosf.h: check correctness of {15,16,24 bpp} blitters on big endian systems

2000-09-22 17:23  gbeauche

	* ChangeLog:

	- Direct and real addressing modes
	- Video on SEGV signals

2000-09-22 17:22  gbeauche

	* src/AmigaOS/main_amiga.cpp:

	- changed type of ScratchMem from uint32 to uint8 *

2000-09-22 17:22  gbeauche

	* src/uae_cpu/table68k:

	- fixed ADDQ and SUBQ bitmasks

2000-09-22 17:21  gbeauche

	* src/uae_cpu/newcpu.h:

	- changed set/get PC to better reflect direct or real addressing modes
	- removed m68k_get_pc_p()
	- default to not using prefetch buffer

2000-09-22 17:21  gbeauche

	* src/uae_cpu/newcpu.cpp:

	- changed set/get PC to better reflect direct or real addressing modes

2000-09-22 17:20  gbeauche

	* src/uae_cpu/memory.h:

	- merged DIRECT_ADDRESSING and REAL_ADDRESSING
	- conditionally removed unused code for direct addressing or real addressing modes

2000-09-22 17:20  gbeauche

	* src/uae_cpu/memory.cpp:

	- fixed 15 and 16 bpp frame_host_* functions for big endian systems
	- conditionally removed unused code for direct addressing or real addressing modes

2000-09-22 17:19  gbeauche

	* src/uae_cpu/gencpu.c:

	- removed generation of unused handlers in direct or real addressing modes
	  (no prefetch buffer, nor exception 3 handling)

2000-09-22 17:18  gbeauche

	* src/uae_cpu/cpu_emulation.h:

	- removed memory access functions for real addressing and included <memory.h>
	  instead
	- added Host2MacAddr

2000-09-22 17:18  gbeauche

	* src/uae_cpu/basilisk_glue.cpp:

	- added memory initilization for direct addressing (MEMBaseDiff)

2000-09-22 17:17  gbeauche

	* src/rsrc_patches.cpp:

	- added an experimental patch to fix a bug with the AppleShare extension in real addressing mode

2000-09-22 17:17  gbeauche

	* src/rom_patches.cpp:

	- changed type of ScratchMem from uint32 to uint8 *
	- use of Host2MacAddr to glue the ScratchMem area
	- added an experimental patch to fix a bug with Speedometer in real addressing mode
	- added an experimental patch to fix a bug with the AppleShare extension in real addressing mode

2000-09-22 17:16  gbeauche

	* src/Unix/video_x.cpp:

	- added direct and real addressing modes support
	- added Video on SEGV signals support

2000-09-22 17:16  gbeauche

	* src/Unix/video_vosf.h:

	- video on SEGV signals

2000-09-22 17:15  gbeauche

	* src/Unix/video_blit.h:

	- blit functions

2000-09-22 17:14  gbeauche

	* src/Unix/sysdeps.h:

	- added [u]intptr types
	- set rom protection flag according to the addressing mode used
	- set use_prefetch_buffer to 0

2000-09-22 17:14  gbeauche

	* src/Unix/main_unix.cpp:

	- added USE_SCRATCHMEM_SUBTERFUGE
	- added memory allocation in real and direct addressing modes through mmap()
	- added the possibility to allocate the whole mac memory from zero

2000-09-22 17:14  gbeauche

	* src/Unix/configure.in:

	- added AC_PROG_CC_C_O
	- added canonical system information
	- added Video on SEGV signals (VOSF)
	- added testing for different addressing modes
	- added check for size of void * in order to have proper [u]inptr types
	- added the removal of the "-g" flag if GCC is used

2000-09-22 17:12  gbeauche

	* src/Unix/: config.guess, config.sub:

	- canonical system information

2000-09-22 17:11  gbeauche

	* src/Unix/acconfig.h:

	- added ENABLE_VOSF
	- added HAVE_SIGINFO_T
	- added HAVE_SIGCONTEXT_SUBTERFUGE

2000-09-13 15:32  cebix

	* ChangeLog:

	cleaned up

2000-09-05 16:56  gbeauche

	* ChangeLog:

	Added port of Lauri's FPE code to GCC/i386

2000-09-05 16:55  gbeauche

	* src/Unix/configure.in:

	- added: FPUSRCS which defaults to ../uae_cpu/fpp.cpp
	- added: redifinition of FPUSRCS with ../uae_cpu/fpu_x86.cpp if the host
	  system supports it (GCC and X86_ASSEMBLY)

2000-09-05 16:54  gbeauche

	* src/uae_cpu/: fpu_x86.cpp, fpu_x86.h, fpu_x86_asm.h:

	Ported Lauri's FPU core to GCC/i386

2000-09-05 16:53  gbeauche

	* src/uae_cpu/fpp.cpp:

	- added FPU initialization routines

2000-09-05 16:53  gbeauche

	* src/uae_cpu/newcpu.cpp:

	- updated init_m68k with fpu_init() and fpu_set_integral_fpu() calls
	- added exit_m68k() and handle deinitialization of the FPU
	- updated m68k_reset to call fpu_reset()

2000-09-05 16:52  gbeauche

	* src/uae_cpu/newcpu.h:

	- added some prototypes for the new FPU core

2000-09-05 16:52  gbeauche

	* src/uae_cpu/basilisk_glue.cpp:

	- added call to exit_m68k()

2000-09-04 16:30  cebix

	* src/: AmigaOS/main_amiga.cpp, AmigaOS/prefs_editor_amiga.cpp,
	  AmigaOS/video_amiga.cpp, include/macos_util.h:

	- some cleanups in the AmigaOS code

2000-08-22 12:44  cebix

	* src/: video.cpp, include/main.h, native_cpu/cpu_emulation.h,
	  uae_cpu/basilisk_glue.cpp, uae_cpu/cpu_emulation.h:

	- fixed compilation problem under Linux
	- TriggerNMI() declaration moved to cpu_emulation.h

2000-08-20 14:08  jlachmann

	* ChangeLog, src/emul_op.cpp, src/macos_util.cpp,
	  src/rom_patches.cpp, src/video.cpp, src/AmigaOS/asm_support.asm,
	  src/AmigaOS/ether_amiga.cpp, src/AmigaOS/main_amiga.cpp,
	  src/AmigaOS/prefs_editor_amiga.cpp,
	  src/AmigaOS/user_strings_amiga.cpp,
	  src/AmigaOS/user_strings_amiga.h, src/AmigaOS/video_amiga.cpp,
	  src/include/emul_op.h, src/include/macos_util.h,
	  src/include/main.h, src/include/video_defs.h:

	added MacsBug Support -jl-

2000-08-14 14:38  cebix

	* src/: BeOS/extfs_beos.cpp, powerrom_cpu/powerrom_cpu.cpp:

	- modified BeOS/extfs_beos.cpp to implement new get_finfo/set_finfo functions
	  (untested)

2000-08-14 14:24  cebix

	* src/Unix/: autogen.sh, config.h.in, configure:

	- removed non-source files "config.h.in" and "configure" from CVS, added
	  "autogen.sh" script to regenerate them

2000-07-25 17:02  cebix

	* src/: audio.cpp, emul_op.cpp, include/audio.h, include/emul_op.h:

	- added EMUL_OP opcodes for sound input driver, created stubs for driver
	  routines

2000-07-25 16:25  cebix

	* src/: prefs_items.cpp, include/audio_defs.h:

	- fixed compilation problems

2000-07-25 15:19  cebix

	* README, TODO, src/cdrom.cpp, src/disk.cpp, src/extfs.cpp,
	  src/prefs.cpp, src/prefs_items.cpp, src/AmigaOS/Makefile,
	  src/BeOS/Makefile, src/BeOS/serial_beos.cpp,
	  src/Unix/Makefile.in, src/include/audio_defs.h,
	  src/include/clip.h, src/include/macos_util.h,
	  src/include/prefs.h, src/include/serial.h:

	- more cleanups
	- splitted prefs.cpp into prefs.cpp and prefs_items.cpp to make prefs.cpp
	  reusable for other projects

2000-07-25 13:52  cebix

	* src/Unix/main_unix.cpp:

	- one_tick() is casted to the correct type when used as a POSIX.4 signal handler

2000-07-25 11:13  cebix

	* src/: adb.cpp, extfs.cpp:

	- minor cleanups

2000-07-25 08:03  cebix

	* src/BeOS/prefs_editor_beos.cpp:

	- fixed a compiler warning

2000-07-24 20:39  cebix

	* src/: cdrom.cpp, Unix/main_unix.cpp, Unix/sys_unix.cpp:

	- CD-ROM under Linux only worked when a CD was in the drive when B2 was
	  started
	- Unix/main_unix.cpp: 1Hz interrupt wasn't triggered

2000-07-24 15:17  cebix

	* src/Unix/main_unix.cpp:

	- Mac ROM and RAM are allocated with malloc() instead of "new" (because
	  -fomit-frame-pointer breaks exceptions), and an error message is displayed
	  if the allocation fails

2000-07-22 18:25  cebix

	* ChangeLog, src/AmigaOS/video_amiga.cpp:

	- Amiga mouse pointer is hidden inside windowed displays

2000-07-22 18:12  cebix

	* ChangeLog, src/Unix/aclocal.m4, src/Unix/config.h.in,
	  src/Unix/configure, src/Unix/configure.in,
	  src/Unix/main_unix.cpp, src/Unix/sysdeps.h, src/Unix/video_x.cpp:

	- improved timing of periodic threads

2000-07-22 16:55  cebix

	* src/AmigaOS/cpu_emulation.h:

	- removed obsolete file

2000-07-22 16:20  cebix

	* src/AmigaOS/: prefs_editor_amiga.cpp, video_amiga.cpp:

	- fixed compilation problems with CyberGraphX code

2000-07-22 16:07  cebix

	* ChangeLog, src/audio.cpp, src/cdrom.cpp, src/disk.cpp,
	  src/emul_op.cpp, src/extfs.cpp, src/prefs.cpp,
	  src/rom_patches.cpp, src/rsrc_patches.cpp, src/sony.cpp,
	  src/timer.cpp, src/video.cpp, src/AmigaOS/extfs_amiga.cpp,
	  src/Unix/clip_unix.cpp, src/Unix/extfs_unix.cpp,
	  src/Unix/main_unix.cpp, src/Unix/video_x.cpp,
	  src/Unix/Linux/scsi_linux.cpp, src/include/audio_defs.h,
	  src/include/extfs_defs.h, src/include/macos_util.h,
	  src/include/serial_defs.h:

	- new FOURCC() macro in macos_util.h

2000-07-22 16:00  cebix

	* src/: emul_op.cpp, rom_patches.cpp, rsrc_patches.cpp,
	  AmigaOS/Makefile, AmigaOS/asm_support.asm,
	  AmigaOS/main_amiga.cpp, AmigaOS/sysdeps.h, BeOS/main_beos.cpp,
	  BeOS/sysdeps.h, include/video.h, native_cpu/cpu_emulation.h:

	- small fixes for NetBSD and AmigaOS

2000-07-21 18:01  cebix

	* ChangeLog, src/extfs.cpp, src/AmigaOS/extfs_amiga.cpp,
	  src/Unix/extfs_unix.cpp, src/include/extfs.h:

	- extfs: replaced get/set_finder_*() functions by get/set_finfo(), helper
	  files now store complete FInfo/FXInfo

2000-07-14 21:42  cebix

	* src/: extfs.cpp, macos_util.cpp, include/macos_util.h:

	- fixed compilation problems

2000-07-14 21:29  cebix

	* ChangeLog, src/cdrom.cpp, src/disk.cpp, src/emul_op.cpp,
	  src/extfs.cpp, src/slot_rom.cpp, src/sony.cpp,
	  src/AmigaOS/main_amiga.cpp, src/AmigaOS/prefs_editor_amiga.cpp,
	  src/AmigaOS/sys_amiga.cpp, src/AmigaOS/video_amiga.cpp,
	  src/BeOS/main_beos.cpp, src/Unix/main_unix.cpp,
	  src/include/emul_op.h, src/include/macos_util.h,
	  src/include/main.h, src/uae_cpu/basilisk_glue.cpp,
	  src/uae_cpu/fpp.cpp:

	- AmigaOS bug fixes by J.Lachmann (floppy, 2060scsi.device, "Add Volume" in
	  prefs editor)
	- imported some changes from the Windows source (1Hz interrupt, FPU fixes)

2000-07-13 17:45  cebix

	* ChangeLog, INSTALL, README, TECH, TODO, src/user_strings.cpp,
	  src/include/user_strings.h:

	- updated doc files

2000-07-13 17:45  cebix

	* src/AmigaOS/: prefs_editor_amiga.cpp, video_amiga.cpp:

	- Picasso 96 is given preference over CyberGfx because of P96's CyberGfx
	  emulation

2000-07-13 17:26  cebix

	* src/Unix/: prefs_editor_gtk.cpp, user_strings_unix.cpp,
	  user_strings_unix.h:

	- new "Input" pane, containing keycode and mouse wheel settings

2000-07-13 16:12  cebix

	* src/Unix/: configure, configure.in, main_unix.cpp,
	  prefs_editor_gtk.cpp, video_x.cpp, Linux/ether_linux.cpp:

	- DGA and SHM are only tried on local X11 displays
	- re-integrated old window update method (better performance over a networked
	  display connection), frameskip=0 selects new method, other values select
	  old method
	- fixed compilation errors

2000-07-13 13:47  cebix

	* src/Unix/: Makefile.in, acconfig.h, asm_support.s,
	  audio_oss_esd.cpp, config.h.in, configure, configure.in,
	  main_unix.cpp, posix_sem.cpp, prefs_editor_gtk.cpp, sysdeps.h,
	  timer_unix.cpp, user_strings_unix.cpp, user_strings_unix.h,
	  video_x.cpp:

	- first version to run natively on NetBSD/m68k

2000-07-06 16:04  cebix

	* ChangeLog, README, src/AmigaOS/main_amiga.cpp,
	  src/AmigaOS/prefs_editor_amiga.cpp,
	  src/AmigaOS/user_strings_amiga.cpp, src/AmigaOS/video_amiga.cpp:

	- AmigaOS: added CyberGraphX support

2000-06-23 14:22  cebix

	* ChangeLog, src/audio.cpp, src/emul_op.cpp, src/include/audio.h:

	- fixed possible crash when using audio after restarting MacOS

2000-05-16 17:11  cebix

	* ChangeLog, src/extfs.cpp, src/prefs.cpp,
	  src/AmigaOS/clip_amiga.cpp, src/BeOS/clip_beos.cpp,
	  src/Unix/clip_unix.cpp:

	- added "noclipconversion" prefs item

2000-04-14 19:03  cebix

	* src/prefs.cpp:

	- empty values in prefs file are now possible

2000-04-14 18:45  cebix

	* src/Unix/: configure, configure.in:

	- "./configure --without-mon" now works

2000-04-11 11:44  cebix

	* TECH:

	- fixed typo

2000-04-10 18:52  cebix

	* ChangeLog, README, TODO, src/adb.cpp, src/audio.cpp,
	  src/cdrom.cpp, src/disk.cpp, src/emul_op.cpp, src/ether.cpp,
	  src/extfs.cpp, src/macos_util.cpp, src/main.cpp, src/prefs.cpp,
	  src/rom_patches.cpp, src/rsrc_patches.cpp, src/scsi.cpp,
	  src/serial.cpp, src/sony.cpp, src/timer.cpp,
	  src/user_strings.cpp, src/video.cpp, src/xpram.cpp,
	  src/AmigaOS/audio_amiga.cpp, src/AmigaOS/clip_amiga.cpp,
